Attribute VB_Name = "niDAQmxBase.bas"
'/*============================================================================*/
'/*                 National Instruments / Data Acquisition                    */
'/*----------------------------------------------------------------------------*/
'/*    Copyright (c) National Instruments 2004.  All Rights Reserved.          */
'/*----------------------------------------------------------------------------*/
'/*                                                                            */
'/* Title:       nidaqmxbase.h                                                 */
'/* Purpose:     Include file for NI-DAQmxBase library support.                */
'/*                                                                            */
'/*============================================================================*/
'// NI-DAQmx Typedefs
'// Original DAQmx is:
'// typedef uInt32             TaskHandle;
'/******************************************************************************
'//********** Calibration Info Attributes **********
public const DAQmx_SelfCal_Supported as long = 6240  '// Indicates whether the device supports self calibration.
public const DAQmx_SelfCal_LastTemp as long = 6244  '// Indicates in degrees Celsius the temperature of the device at the time of the last self calibration. Compare this temperature to the current onboard temperature to determine if you should perform another calibration.
public const DAQmx_ExtCal_RecommendedInterval as long = 6248  '// Indicates in months the National Instruments recommended interval between each external calibration of the device.
public const DAQmx_ExtCal_LastTemp as long = 6247  '// Indicates in degrees Celsius the temperature of the device at the time of the last external calibration. Compare this temperature to the current onboard temperature to determine if you should perform another calibration.
public const DAQmx_Cal_UserDefinedInfo as long = 6241  '// Specifies a string that contains arbitrary, user-defined information. This number of characters in this string can be no more than Max Size.
public const DAQmx_Cal_UserDefinedInfo_MaxSize as long = 6428  '// Indicates the maximum length in characters of Information.
'//********** Channel Attributes **********
public const DAQmx_ChanType as long = 6271  '// Indicates the type of the virtual channel.
public const DAQmx_PhysicalChanName as long = 6389  '// Indicates the name of the physical channel upon which this virtual channel is based.
public const DAQmx_ChanDescr as long = 6438  '// Specifies a user-defined description for the channel.
public const DAQmx_AI_Max as long = 6109  '// Specifies the maximum value you expect to measure. This value is in the units you specify with a units property. When you query this property, it returns the coerced maximum value that the device can measure with the current settings.
public const DAQmx_AI_Min as long = 6110  '// Specifies the minimum value you expect to measure. This value is in the units you specify with a units property.  When you query this property, it returns the coerced minimum value that the device can measure with the current settings.
public const DAQmx_AI_CustomScaleName as long = 6112  '// Specifies the name of a custom scale for the channel.
public const DAQmx_AI_MeasType as long = 1685  '// Indicates the measurement to take with the analog input channel and in some cases, such as for temperature measurements, the sensor to use.
public const DAQmx_AI_Voltage_Units as long = 4244  '// Specifies the units to use to return voltage measurements from the channel.
public const DAQmx_AI_Temp_Units as long = 4147  '// Specifies the units to use to return temperature measurements from the channel.
public const DAQmx_AI_Thrmcpl_Type as long = 4176  '// Specifies the type of thermocouple connected to the channel. Thermocouple types differ in composition and measurement range.
public const DAQmx_AI_Thrmcpl_CJCSrc as long = 4149  '// Indicates the source of cold-junction compensation.
public const DAQmx_AI_Thrmcpl_CJCVal as long = 4150  '// Specifies the temperature of the cold junction if CJC Source is DAQmx_Val_ConstVal. Specify this value in the units of the measurement.
public const DAQmx_AI_Thrmcpl_CJCChan as long = 4148  '// Indicates the channel that acquires the temperature of the cold junction if CJC Source is DAQmx_Val_Chan. If the channel does not use a custom scale, NI-DAQmx uses the correct units. If the channel uses a custom scale, the pre-scaled units of the channel must be degrees Celsius.
public const DAQmx_AI_RTD_Type as long = 4146  '// Specifies the type of RTD connected to the channel.
public const DAQmx_AI_RTD_R0 as long = 4144  '// Specifies in ohms the sensor resistance at 0 deg C. The Callendar-Van Dusen equation requires this value. Refer to the sensor documentation to determine this value.
public const DAQmx_AI_RTD_A as long = 4112  '// Specifies the 'A' constant of the Callendar-Van Dusen equation. NI-DAQmx requires this value when you use a custom RTD.
public const DAQmx_AI_RTD_B as long = 4113  '// Specifies the 'B' constant of the Callendar-Van Dusen equation. NI-DAQmx requires this value when you use a custom RTD.
public const DAQmx_AI_RTD_C as long = 4115  '// Specifies the 'C' constant of the Callendar-Van Dusen equation. NI-DAQmx requires this value when you use a custom RTD.
public const DAQmx_AI_Thrmstr_A as long = 6345  '// Specifies the 'A' constant of the Steinhart-Hart thermistor equation.
public const DAQmx_AI_Thrmstr_B as long = 6347  '// Specifies the 'B' constant of the Steinhart-Hart thermistor equation.
public const DAQmx_AI_Thrmstr_C as long = 6346  '// Specifies the 'C' constant of the Steinhart-Hart thermistor equation.
public const DAQmx_AI_Thrmstr_R1 as long = 4193  '// Specifies in ohms the value of the reference resistor if you use voltage excitation. NI-DAQmx ignores this value for current excitation.
public const DAQmx_AI_ForceReadFromChan as long = 6392  '// Specifies whether to read from the channel if it is a cold-junction compensation channel. By default, an NI-DAQmx Read function does not return data from cold-junction compensation channels.  Setting this property to TRUE forces read operations to return the cold-junction compensation channel data with the other channels in the task.
public const DAQmx_AI_Current_Units as long = 1793  '// Specifies the units to use to return current measurements from the channel.
public const DAQmx_AI_Strain_Units as long = 2433  '// Specifies the units to use to return strain measurements from the channel.
public const DAQmx_AI_StrainGage_GageFactor as long = 2452  '// Specifies the sensitivity of the strain gage.  Gage factor relates the change in electrical resistance to the change in strain. Refer to the sensor documentation for this value.
public const DAQmx_AI_StrainGage_PoissonRatio as long = 2456  '// Specifies the ratio of lateral strain to axial strain in the material you are measuring.
public const DAQmx_AI_StrainGage_Cfg as long = 2434  '// Specifies the bridge configuration of the strain gages.
public const DAQmx_AI_Resistance_Units as long = 2389  '// Specifies the units to use to return resistance measurements.
public const DAQmx_AI_Freq_Units as long = 2054  '// Specifies the units to use to return frequency measurements from the channel.
public const DAQmx_AI_Freq_ThreshVoltage as long = 2069  '// Specifies the voltage level at which to recognize waveform repetitions. You should select a voltage level that occurs only once within the entire period of a waveform. You also can select a voltage that occurs only once while the voltage rises or falls.
public const DAQmx_AI_Freq_Hyst as long = 2068  '// Specifies in volts a window below Threshold Level. The input voltage must pass below Threshold Level minus this value before NI-DAQmx recognizes a waveform repetition at Threshold Level. Hysteresis can improve the measurement accuracy when the signal contains noise or jitter.
public const DAQmx_AI_LVDT_Units as long = 2320  '// Specifies the units to use to return linear position measurements from the channel.
public const DAQmx_AI_LVDT_Sensitivity as long = 2361  '// Specifies the sensitivity of the LVDT. This value is in the units you specify with Sensitivity Units. Refer to the sensor documentation to determine this value.
public const DAQmx_AI_LVDT_SensitivityUnits as long = 8602  '// Specifies the units of Sensitivity.
public const DAQmx_AI_RVDT_Units as long = 2167  '// Specifies the units to use to return angular position measurements from the channel.
public const DAQmx_AI_RVDT_Sensitivity as long = 2307  '// Specifies the sensitivity of the RVDT. This value is in the units you specify with Sensitivity Units. Refer to the sensor documentation to determine this value.
public const DAQmx_AI_RVDT_SensitivityUnits as long = 8603  '// Specifies the units of Sensitivity.
public const DAQmx_AI_Accel_Units as long = 1651  '// Specifies the units to use to return acceleration measurements from the channel.
public const DAQmx_AI_Accel_Sensitivity as long = 1682  '// Specifies the sensitivity of the accelerometer. This value is in the units you specify with Sensitivity Units. Refer to the sensor documentation to determine this value.
public const DAQmx_AI_Accel_SensitivityUnits as long = 8604  '// Specifies the units of Sensitivity.
public const DAQmx_AI_Coupling as long = 100  '// Specifies the coupling for the channel.
public const DAQmx_AI_Impedance as long = 98  '// Specifies the input impedance of the channel.
public const DAQmx_AI_TermCfg as long = 4247  '// Specifies the terminal configuration for the channel.
public const DAQmx_AI_ResistanceCfg as long = 6273  '// Specifies the resistance configuration for the channel. NI-DAQmx uses this value for any resistance-based measurements, including temperature measurement using a thermistor or RTD.
public const DAQmx_AI_LeadWireResistance as long = 6126  '// Specifies in ohms the resistance of the wires that lead to the sensor.
public const DAQmx_AI_Bridge_Cfg as long = 135  '// Specifies the type of Wheatstone bridge that the sensor is.
public const DAQmx_AI_Bridge_NomResistance as long = 6124  '// Specifies in ohms the resistance across each arm of the bridge in an unloaded position.
public const DAQmx_AI_Bridge_InitialVoltage as long = 6125  '// Specifies in volts the output voltage of the bridge in the unloaded condition. NI-DAQmx subtracts this value from any measurements before applying scaling equations.
public const DAQmx_AI_Bridge_ShuntCal_Enable as long = 148  '// Specifies whether to enable a shunt calibration switch. Use Shunt Cal Select to select the switch(es) to enable.
public const DAQmx_AI_Bridge_ShuntCal_Select as long = 8661  '// Specifies which shunt calibration switch(es) to enable.  Use Shunt Cal Enable to enable the switch(es) you specify with this property.
public const DAQmx_AI_Bridge_ShuntCal_GainAdjust as long = 6463  '// Specifies the result of a shunt calibration. NI-DAQmx multiplies data read from the channel by the value of this property. This value should be close to 1.0.
public const DAQmx_AI_Bridge_Balance_CoarsePot as long = 6129  '// Specifies by how much to compensate for offset in the signal. This value can be between 0 and 127.
public const DAQmx_AI_Bridge_Balance_FinePot as long = 6388  '// Specifies by how much to compensate for offset in the signal. This value can be between 0 and 4095.
public const DAQmx_AI_CurrentShunt_Loc as long = 6130  '// Specifies the shunt resistor location for current measurements.
public const DAQmx_AI_CurrentShunt_Resistance as long = 6131  '// Specifies in ohms the external shunt resistance for current measurements.
public const DAQmx_AI_Excit_Src as long = 6132  '// Specifies the source of excitation.
public const DAQmx_AI_Excit_Val as long = 6133  '// Specifies the amount of excitation that the sensor requires. If Voltage or Current is  DAQmx_Val_Voltage, this value is in volts. If Voltage or Current is  DAQmx_Val_Current, this value is in amperes.
public const DAQmx_AI_Excit_UseForScaling as long = 6140  '// Specifies if NI-DAQmx divides the measurement by the excitation. You should typically set this property to TRUE for ratiometric transducers. If you set this property to TRUE, set Maximum Value and Minimum Value to reflect the scaling.
public const DAQmx_AI_Excit_UseMultiplexed as long = 8576  '// Specifies if the SCXI-1122 multiplexes the excitation to the upper half of the channels as it advances through the scan list.
public const DAQmx_AI_Excit_ActualVal as long = 6275  '// Specifies the actual amount of excitation supplied by an internal excitation source.  If you read an internal excitation source more precisely with an external device, set this property to the value you read.  NI-DAQmx ignores this value for external excitation.
public const DAQmx_AI_Excit_DCorAC as long = 6139  '// Specifies if the excitation supply is DC or AC.
public const DAQmx_AI_Excit_VoltageOrCurrent as long = 6134  '// Specifies if the channel uses current or voltage excitation.
public const DAQmx_AI_ACExcit_Freq as long = 257  '// Specifies the AC excitation frequency in Hertz.
public const DAQmx_AI_ACExcit_SyncEnable as long = 258  '// Specifies whether to synchronize the AC excitation source of the channel to that of another channel. Synchronize the excitation sources of multiple channels to use multichannel sensors. Set this property to FALSE for the master channel and to TRUE for the slave channels.
public const DAQmx_AI_ACExcit_WireMode as long = 6349  '// Specifies the number of leads on the LVDT or RVDT. Some sensors require you to tie leads together to create a four- or five- wire sensor. Refer to the sensor documentation for more information.
public const DAQmx_AI_Atten as long = 6145  '// Specifies the amount of attenuation to use.
public const DAQmx_AI_Lowpass_Enable as long = 6146  '// Specifies whether to enable the lowpass filter of the channel.
public const DAQmx_AI_Lowpass_CutoffFreq as long = 6147  '// Specifies the frequency in Hertz that corresponds to the -3dB cutoff of the filter.
public const DAQmx_AI_Lowpass_SwitchCap_ClkSrc as long = 6276  '// Specifies the source of the filter clock. If you need a higher resolution for the filter, you can supply an external clock to increase the resolution. Refer to the SCXI-1141/1142/1143 User Manual for more information.
public const DAQmx_AI_Lowpass_SwitchCap_ExtClkFreq as long = 6277  '// Specifies the frequency of the external clock when you set Clock Source to DAQmx_Val_External.  NI-DAQmx uses this frequency to set the pre- and post- filters on the SCXI-1141, SCXI-1142, and SCXI-1143. On those devices, NI-DAQmx determines the filter cutoff by using the equation f/(100*n), where f is the external frequency, and n is the external clock divisor. Refer to the SCXI-1141/1142/1143 User Manual for more...
public const DAQmx_AI_Lowpass_SwitchCap_ExtClkDiv as long = 6278  '// Specifies the divisor for the external clock when you set Clock Source to DAQmx_Val_External. On the SCXI-1141, SCXI-1142, and SCXI-1143, NI-DAQmx determines the filter cutoff by using the equation f/(100*n), where f is the external frequency, and n is the external clock divisor. Refer to the SCXI-1141/1142/1143 User Manual for more information.
public const DAQmx_AI_Lowpass_SwitchCap_OutClkDiv as long = 6279  '// Specifies the divisor for the output clock.  NI-DAQmx uses the cutoff frequency to determine the output clock frequency. Refer to the SCXI-1141/1142/1143 User Manual for more information.
public const DAQmx_AI_ResolutionUnits as long = 5988  '// Indicates the units of Resolution Value.
public const DAQmx_AI_Resolution as long = 5989  '// Indicates the resolution of the analog-to-digital converter of the channel. This value is in the units you specify with Resolution Units.
public const DAQmx_AI_Dither_Enable as long = 104  '// Specifies whether to enable dithering.  Dithering adds Gaussian noise to the input signal. You can use dithering to achieve higher resolution measurements by over sampling the input signal and averaging the results.
public const DAQmx_AI_Rng_High as long = 6165  '// Specifies the upper limit of the input range of the device. This value is in the native units of the device. On E Series devices, for example, the native units is volts.
public const DAQmx_AI_Rng_Low as long = 6166  '// Specifies the lower limit of the input range of the device. This value is in the native units of the device. On E Series devices, for example, the native units is volts.
public const DAQmx_AI_Gain as long = 6168  '// Specifies a gain factor to apply to the channel.
public const DAQmx_AI_SampAndHold_Enable as long = 6170  '// Specifies whether to enable the sample and hold circuitry of the device. When you disable sample and hold circuitry, a small voltage offset might be introduced into the signal.  You can eliminate this offset by using Auto Zero Mode to perform an auto zero on the channel.
public const DAQmx_AI_AutoZeroMode as long = 5984  '// Specifies when to measure ground. NI-DAQmx subtracts the measured ground voltage from every sample.
public const DAQmx_AI_DataXferMech as long = 6177  '// Specifies the data transfer mode for the device.
public const DAQmx_AI_DataXferReqCond as long = 6283  '// Specifies under what condition to transfer data from the onboard memory of the device to the buffer.
public const DAQmx_AI_MemMapEnable as long = 6284  '// Specifies for NI-DAQmx to map hardware registers to the memory space of the customer process, if possible. Mapping to the memory space of the customer process increases performance. However, memory mapping can adversely affect the operation of the device and possibly result in a system crash if software in the process unintentionally accesses the mapped registers.
public const DAQmx_AI_DevScalingCoeff as long = 6448  '// Indicates the coefficients of a polynomial equation that NI-DAQmx uses to scale values from the native format of the device to volts. Each element of the array corresponds to a term of the equation. For example, if index two of the array is 4, the third term of the equation is 4x^2. Scaling coefficients do not account for any custom scales or sensors contained by the channel.
public const DAQmx_AO_Max as long = 4486  '// Specifies the maximum value you expect to generate. The value is in the units you specify with a units property. If you try to write a value larger than the maximum value, NI-DAQmx generates an error. NI-DAQmx might coerce this value to a smaller value if other task settings restrict the device from generating the desired maximum.
public const DAQmx_AO_Min as long = 4487  '// Specifies the minimum value you expect to generate. The value is in the units you specify with a units property. If you try to write a value smaller than the minimum value, NI-DAQmx generates an error. NI-DAQmx might coerce this value to a larger value if other task settings restrict the device from generating the desired minimum.
public const DAQmx_AO_CustomScaleName as long = 4488  '// Specifies the name of a custom scale for the channel.
public const DAQmx_AO_OutputType as long = 4360  '// Indicates whether the channel generates voltage or current.
public const DAQmx_AO_Voltage_Units as long = 4484  '// Specifies in what units to generate voltage on the channel. Write data to the channel in the units you select.
public const DAQmx_AO_Current_Units as long = 4361  '// Specifies in what units to generate current on the channel. Write data to the channel is in the units you select.
public const DAQmx_AO_OutputImpedance as long = 5264  '// Specifies in ohms the impedance of the analog output stage of the device.
public const DAQmx_AO_LoadImpedance as long = 289  '// Specifies in ohms the load impedance connected to the analog output channel.
public const DAQmx_AO_ResolutionUnits as long = 6187  '// Specifies the units of Resolution Value.
public const DAQmx_AO_Resolution as long = 6188  '// Indicates the resolution of the digital-to-analog converter of the channel. This value is in the units you specify with Resolution Units.
public const DAQmx_AO_DAC_Rng_High as long = 6190  '// Specifies the upper limit of the output range of the device. This value is in the native units of the device. On E Series devices, for example, the native units is volts.
public const DAQmx_AO_DAC_Rng_Low as long = 6189  '// Specifies the lower limit of the output range of the device. This value is in the native units of the device. On E Series devices, for example, the native units is volts.
public const DAQmx_AO_DAC_Ref_ConnToGnd as long = 304  '// Specifies whether to ground the internal DAC reference. Grounding the internal DAC reference has the effect of grounding all analog output channels and stopping waveform generation across all analog output channels regardless of whether the channels belong to the current task. You can ground the internal DAC reference only when Source is DAQmx_Val_Internal and Allow Connecting DAC Reference to Ground at Runtime is...
public const DAQmx_AO_DAC_Ref_AllowConnToGnd as long = 6192  '// Specifies whether to allow grounding the internal DAC reference at run time. You must set this property to TRUE and set Source to DAQmx_Val_Internal before you can set Connect DAC Reference to Ground to TRUE.
public const DAQmx_AO_DAC_Ref_Src as long = 306  '// Specifies the source of the DAC reference voltage.  The value of this voltage source determines the full-scale value of the DAC.
public const DAQmx_AO_DAC_Ref_Val as long = 6194  '// Specifies in volts the value of the DAC reference voltage. This voltage determines the full-scale range of the DAC. Smaller reference voltages result in smaller ranges, but increased resolution.
public const DAQmx_AO_ReglitchEnable as long = 307  '// Specifies whether to enable reglitching.  The output of a DAC normally glitches whenever the DAC is updated with a new value. The amount of glitching differs from code to code and is generally largest at major code transitions.  Reglitching generates uniform glitch energy at each code transition and provides for more uniform glitches.  Uniform glitch energy makes it easier to filter out the noise introduced from g...
public const DAQmx_AO_UseOnlyOnBrdMem as long = 6202  '// Specifies whether to write samples directly to the onboard memory of the device, bypassing the memory buffer. Generally, you cannot update onboard memory after you start the task. Onboard memory includes data FIFOs.
public const DAQmx_AO_DataXferMech as long = 308  '// Specifies the data transfer mode for the device.
public const DAQmx_AO_DataXferReqCond as long = 6204  '// Specifies under what condition to transfer data from the buffer to the onboard memory of the device.
public const DAQmx_AO_MemMapEnable as long = 6287  '// Specifies if NI-DAQmx maps hardware registers to the memory space of the customer process, if possible. Mapping to the memory space of the customer process increases performance. However, memory mapping can adversely affect the operation of the device and possibly result in a system crash if software in the process unintentionally accesses the mapped registers.
public const DAQmx_AO_DevScalingCoeff as long = 6449  '// Indicates the coefficients of a linear equation that NI-DAQmx uses to scale values from a voltage to the native format of the device.  Each element of the array corresponds to a term of the equation. For example, if index two of the array is 4, the third term of the equation is 4x^2.  Scaling coefficients do not account for any custom scales that may be applied to the channel.
public const DAQmx_DI_InvertLines as long = 1939  '// Specifies whether to invert the lines in the channel. If you set this property to TRUE, the lines are at high logic when off and at low logic when on.
public const DAQmx_DI_NumLines as long = 8568  '// Indicates the number of digital lines in the channel.
public const DAQmx_DI_DigFltr_Enable as long = 8662  '// Specifies whether to enable the digital filter for the line(s) or port(s). You can enable the filter on a line-by-line basis. You do not have to enable the filter for all lines in a channel.
public const DAQmx_DI_DigFltr_MinPulseWidth as long = 8663  '// Specifies in seconds the minimum pulse width the filter recognizes as a valid high or low state transition.
public const DAQmx_DO_InvertLines as long = 4403  '// Specifies whether to invert the lines in the channel. If you set this property to TRUE, the lines are at high logic when off and at low logic when on.
public const DAQmx_DO_NumLines as long = 8569  '// Indicates the number of digital lines in the channel.
public const DAQmx_DO_Tristate as long = 6387  '// Specifies whether to stop driving the channel and set it to a Hi-Z state.
public const DAQmx_CI_Max as long = 6300  '// Specifies the maximum value you expect to measure. This value is in the units you specify with a units property. When you query this property, it returns the coerced maximum value that the hardware can measure with the current settings.
public const DAQmx_CI_Min as long = 6301  '// Specifies the minimum value you expect to measure. This value is in the units you specify with a units property. When you query this property, it returns the coerced minimum value that the hardware can measure with the current settings.
public const DAQmx_CI_CustomScaleName as long = 6302  '// Specifies the name of a custom scale for the channel.
public const DAQmx_CI_MeasType as long = 6304  '// Indicates the measurement to take with the channel.
public const DAQmx_CI_Freq_Units as long = 6305  '// Specifies the units to use to return frequency measurements.
public const DAQmx_CI_Freq_Term as long = 6306  '// Specifies the input terminal of the signal to measure.
public const DAQmx_CI_Freq_StartingEdge as long = 1945  '// Specifies between which edges to measure the frequency of the signal.
public const DAQmx_CI_Freq_MeasMeth as long = 324  '// Specifies the method to use to measure the frequency of the signal.
public const DAQmx_CI_Freq_MeasTime as long = 325  '// Specifies in seconds the length of time to measure the frequency of the signal if Method is DAQmx_Val_HighFreq2Ctr. Measurement accuracy increases with increased measurement time and with increased signal frequency. If you measure a high-frequency signal for too long, however, the count register could roll over, which results in an incorrect measurement.
public const DAQmx_CI_Freq_Div as long = 327  '// Specifies the value by which to divide the input signal if  Method is DAQmx_Val_LargeRng2Ctr. The larger the divisor, the more accurate the measurement. However, too large a value could cause the count register to roll over, which results in an incorrect measurement.
public const DAQmx_CI_Period_Units as long = 6307  '// Specifies the unit to use to return period measurements.
public const DAQmx_CI_Period_Term as long = 6308  '// Specifies the input terminal of the signal to measure.
public const DAQmx_CI_Period_StartingEdge as long = 2130  '// Specifies between which edges to measure the period of the signal.
public const DAQmx_CI_Period_MeasMeth as long = 6444  '// Specifies the method to use to measure the period of the signal.
public const DAQmx_CI_Period_MeasTime as long = 6445  '// Specifies in seconds the length of time to measure the period of the signal if Method is DAQmx_Val_HighFreq2Ctr. Measurement accuracy increases with increased measurement time and with increased signal frequency. If you measure a high-frequency signal for too long, however, the count register could roll over, which results in an incorrect measurement.
public const DAQmx_CI_Period_Div as long = 6446  '// Specifies the value by which to divide the input signal if Method is DAQmx_Val_LargeRng2Ctr. The larger the divisor, the more accurate the measurement. However, too large a value could cause the count register to roll over, which results in an incorrect measurement.
public const DAQmx_CI_CountEdges_Term as long = 6343  '// Specifies the input terminal of the signal to measure.
public const DAQmx_CI_CountEdges_Dir as long = 1686  '// Specifies whether to increment or decrement the counter on each edge.
public const DAQmx_CI_CountEdges_DirTerm as long = 8673  '// Specifies the source terminal of the digital signal that controls the count direction if Direction is DAQmx_Val_ExtControlled.
public const DAQmx_CI_CountEdges_InitialCnt as long = 1688  '// Specifies the starting value from which to count.
public const DAQmx_CI_CountEdges_ActiveEdge as long = 1687  '// Specifies on which edges to increment or decrement the counter.
public const DAQmx_CI_AngEncoder_Units as long = 6310  '// Specifies the units to use to return angular position measurements from the channel.
public const DAQmx_CI_AngEncoder_PulsesPerRev as long = 2165  '// Specifies the number of pulses the encoder generates per revolution. This value is the number of pulses on either signal A or signal B, not the total number of pulses on both signal A and signal B.
public const DAQmx_CI_AngEncoder_InitialAngle as long = 2177  '// Specifies the starting angle of the encoder. This value is in the units you specify with Units.
public const DAQmx_CI_LinEncoder_Units as long = 6313  '// Specifies the units to use to return linear encoder measurements from the channel.
public const DAQmx_CI_LinEncoder_DistPerPulse as long = 2321  '// Specifies the distance to measure for each pulse the encoder generates on signal A or signal B. This value is in the units you specify with Units.
public const DAQmx_CI_LinEncoder_InitialPos as long = 2325  '// Specifies the position of the encoder when the measurement begins. This value is in the units you specify with Units.
public const DAQmx_CI_Encoder_DecodingType as long = 8678  '// Specifies how to count and interpret the pulses the encoder generates on signal A and signal B. DAQmx_Val_X1, DAQmx_Val_X2, and DAQmx_Val_X4 are valid for quadrature encoders only. DAQmx_Val_TwoPulseCounting is valid for two-pulse encoders only.
public const DAQmx_CI_Encoder_AInputTerm as long = 8605  '// Specifies the terminal to which signal A is connected.
public const DAQmx_CI_Encoder_BInputTerm as long = 8606  '// Specifies the terminal to which signal B is connected.
public const DAQmx_CI_Encoder_ZInputTerm as long = 8607  '// Specifies the terminal to which signal Z is connected.
public const DAQmx_CI_Encoder_ZIndexEnable as long = 2192  '// Specifies whether to use Z indexing for the channel.
public const DAQmx_CI_Encoder_ZIndexVal as long = 2184  '// Specifies the value to which to reset the measurement when signal Z is high and signal A and signal B are at the states you specify with Z Index Phase. Specify this value in the units of the measurement.
public const DAQmx_CI_Encoder_ZIndexPhase as long = 2185  '// Specifies the states at which signal A and signal B must be while signal Z is high for NI-DAQmx to reset the measurement. If signal Z is never high while signal A and signal B are high, for example, you must choose a phase other than DAQmx_Val_AHighBHigh.
public const DAQmx_CI_PulseWidth_Units as long = 2083  '// Specifies the units to use to return pulse width measurements.
public const DAQmx_CI_PulseWidth_Term as long = 6314  '// Specifies the input terminal of the signal to measure.
public const DAQmx_CI_PulseWidth_StartingEdge as long = 2085  '// Specifies on which edge of the input signal to begin each pulse width measurement.
public const DAQmx_CI_TwoEdgeSep_Units as long = 6316  '// Specifies the units to use to return two-edge separation measurements from the channel.
public const DAQmx_CI_TwoEdgeSep_FirstTerm as long = 6317  '// Specifies the source terminal of the digital signal that starts each measurement.
public const DAQmx_CI_TwoEdgeSep_FirstEdge as long = 2099  '// Specifies on which edge of the first signal to start each measurement.
public const DAQmx_CI_TwoEdgeSep_SecondTerm as long = 6318  '// Specifies the source terminal of the digital signal that stops each measurement.
public const DAQmx_CI_TwoEdgeSep_SecondEdge as long = 2100  '// Specifies on which edge of the second signal to stop each measurement.
public const DAQmx_CI_SemiPeriod_Units as long = 6319  '// Specifies the units to use to return semi-period measurements.
public const DAQmx_CI_SemiPeriod_Term as long = 6320  '// Specifies the input terminal of the signal to measure.
public const DAQmx_CI_CtrTimebaseSrc as long = 323  '// Specifies the terminal of the timebase to use for the counter.
public const DAQmx_CI_CtrTimebaseRate as long = 6322  '// Specifies in Hertz the frequency of the counter timebase. Specifying the rate of a counter timebase allows you to take measurements in terms of time or frequency rather than in ticks of the timebase. If you use an external timebase and do not specify the rate, you can take measurements only in terms of ticks of the timebase.
public const DAQmx_CI_CtrTimebaseActiveEdge as long = 322  '// Specifies whether a timebase cycle is from rising edge to rising edge or from falling edge to falling edge.
public const DAQmx_CI_Count as long = 328  '// Indicates the current value of the count register.
public const DAQmx_CI_OutputState as long = 329  '// Indicates the current state of the out terminal of the counter.
public const DAQmx_CI_TCReached as long = 336  '// Indicates whether the counter rolled over. When you query this property, NI-DAQmx resets it to FALSE.
public const DAQmx_CI_CtrTimebaseMasterTimebaseDiv as long = 6323  '// Specifies the divisor for an external counter timebase. You can divide the counter timebase in order to measure slower signals without causing the count register to roll over.
public const DAQmx_CI_DataXferMech as long = 512  '// Specifies the data transfer mode for the channel.
public const DAQmx_CI_NumPossiblyInvalidSamps as long = 6460  '// Indicates the number of samples that the device might have overwritten before it could transfer them to the buffer.
public const DAQmx_CI_DupCountPrevent as long = 8620  '// Specifies whether to enable duplicate count prevention for the channel.
public const DAQmx_CO_OutputType as long = 6325  '// Indicates how to define pulses generated on the channel.
public const DAQmx_CO_Pulse_IdleState as long = 4464  '// Specifies the resting state of the output terminal.
public const DAQmx_CO_Pulse_Term as long = 6369  '// Specifies on which terminal to generate pulses.
public const DAQmx_CO_Pulse_Time_Units as long = 6358  '// Specifies the units in which to define high and low pulse time.
public const DAQmx_CO_Pulse_HighTime as long = 6330  '// Specifies the amount of time that the pulse is at a high voltage. This value is in the units you specify with Units or when you create the channel.
public const DAQmx_CO_Pulse_LowTime as long = 6331  '// Specifies the amount of time that the pulse is at a low voltage. This value is in the units you specify with Units or when you create the channel.
public const DAQmx_CO_Pulse_Time_InitialDelay as long = 6332  '// Specifies in seconds the amount of time to wait before generating the first pulse.
public const DAQmx_CO_Pulse_DutyCyc as long = 4470  '// Specifies the duty cycle of the pulses. The duty cycle of a signal is the width of the pulse divided by period. NI-DAQmx uses this ratio and the pulse frequency to determine the width of the pulses and the delay between pulses.
public const DAQmx_CO_Pulse_Freq_Units as long = 6357  '// Specifies the units in which to define pulse frequency.
public const DAQmx_CO_Pulse_Freq as long = 4472  '// Specifies the frequency of the pulses to generate. This value is in the units you specify with Units or when you create the channel.
public const DAQmx_CO_Pulse_Freq_InitialDelay as long = 665  '// Specifies in seconds the amount of time to wait before generating the first pulse.
public const DAQmx_CO_Pulse_HighTicks as long = 4457  '// Specifies the number of ticks the pulse is high.
public const DAQmx_CO_Pulse_LowTicks as long = 4465  '// Specifies the number of ticks the pulse is low.
public const DAQmx_CO_Pulse_Ticks_InitialDelay as long = 664  '// Specifies the number of ticks to wait before generating the first pulse.
public const DAQmx_CO_CtrTimebaseSrc as long = 825  '// Specifies the terminal of the timebase to use for the counter. Typically, NI-DAQmx uses one of the internal counter timebases when generating pulses. Use this property to specify an external timebase and produce custom pulse widths that are not possible using the internal timebases.
public const DAQmx_CO_CtrTimebaseRate as long = 6338  '// Specifies in Hertz the frequency of the counter timebase. Specifying the rate of a counter timebase allows you to define output pulses in seconds rather than in ticks of the timebase. If you use an external timebase and do not specify the rate, you can define output pulses only in ticks of the timebase.
public const DAQmx_CO_CtrTimebaseActiveEdge as long = 833  '// Specifies whether a timebase cycle is from rising edge to rising edge or from falling edge to falling edge.
public const DAQmx_CO_Count as long = 659  '// Indicates the current value of the count register.
public const DAQmx_CO_OutputState as long = 660  '// Indicates the current state of the output terminal of the counter.
public const DAQmx_CO_AutoIncrCnt as long = 661  '// Specifies a number of timebase ticks by which to increment each successive pulse.
public const DAQmx_CO_CtrTimebaseMasterTimebaseDiv as long = 6339  '// Specifies the divisor for an external counter timebase. You can divide the counter timebase in order to generate slower signals without causing the count register to roll over.
public const DAQmx_CO_PulseDone as long = 6414  '// Indicates if the task completed pulse generation. Use this value for retriggerable pulse generation when you need to determine if the device generated the current pulse. When you query this property, NI-DAQmx resets it to FALSE.
'//********** Export Signal Attributes **********
public const DAQmx_Exported_AIConvClk_OutputTerm as long = 5767  '// Specifies the terminal to which to route the AI Convert Clock.
public const DAQmx_Exported_AIConvClk_Pulse_Polarity as long = 5768  '// Indicates the polarity of the exported AI Convert Clock. The polarity is fixed and independent of the active edge of the source of the AI Convert Clock.
public const DAQmx_Exported_20MHzTimebase_OutputTerm as long = 5719  '// Specifies the terminal to which to route the 20MHz Timebase.
public const DAQmx_Exported_SampClk_OutputBehavior as long = 6251  '// Specifies whether the exported Sample Clock issues a pulse at the beginning of a sample or changes to a high state for the duration of the sample.
public const DAQmx_Exported_SampClk_OutputTerm as long = 5731  '// Specifies the terminal to which to route the Sample Clock.
public const DAQmx_Exported_AdvTrig_OutputTerm as long = 5701  '// Specifies the terminal to which to route the Advance Trigger.
public const DAQmx_Exported_AdvTrig_Pulse_Polarity as long = 5702  '// Indicates the polarity of the exported Advance Trigger.
public const DAQmx_Exported_AdvTrig_Pulse_WidthUnits as long = 5703  '// Specifies the units of Width Value.
public const DAQmx_Exported_AdvTrig_Pulse_Width as long = 5704  '// Specifies the width of an exported Advance Trigger pulse. Specify this value in the units you specify with Width Units.
public const DAQmx_Exported_RefTrig_OutputTerm as long = 1424  '// Specifies the terminal to which to route the Reference Trigger.
public const DAQmx_Exported_StartTrig_OutputTerm as long = 1412  '// Specifies the terminal to which to route the Start Trigger.
public const DAQmx_Exported_AdvCmpltEvent_OutputTerm as long = 5713  '// Specifies the terminal to which to route the Advance Complete Event.
public const DAQmx_Exported_AdvCmpltEvent_Delay as long = 5975  '// Specifies the output signal delay in periods of the sample clock.
public const DAQmx_Exported_AdvCmpltEvent_Pulse_Polarity as long = 5714  '// Specifies the polarity of the exported Advance Complete Event.
public const DAQmx_Exported_AdvCmpltEvent_Pulse_Width as long = 5716  '// Specifies the width of the exported Advance Complete Event pulse.
public const DAQmx_Exported_AIHoldCmpltEvent_OutputTerm as long = 6381  '// Specifies the terminal to which to route the AI Hold Complete Event.
public const DAQmx_Exported_AIHoldCmpltEvent_PulsePolarity as long = 6382  '// Specifies the polarity of an exported AI Hold Complete Event pulse.
public const DAQmx_Exported_ChangeDetectEvent_OutputTerm as long = 8599  '// Specifies the terminal to which to route the Change Detection Event.
public const DAQmx_Exported_CtrOutEvent_OutputTerm as long = 5911  '// Specifies the terminal to which to route the Counter Output Event.
public const DAQmx_Exported_CtrOutEvent_OutputBehavior as long = 5967  '// Specifies whether the exported Counter Output Event pulses or changes from one state to the other when the counter reaches terminal count.
public const DAQmx_Exported_CtrOutEvent_Pulse_Polarity as long = 5912  '// Specifies the polarity of the pulses at the output terminal of the counter when Output Behavior is DAQmx_Val_Pulse. NI-DAQmx ignores this property if Output Behavior is DAQmx_Val_Toggle.
public const DAQmx_Exported_CtrOutEvent_Toggle_IdleState as long = 6250  '// Specifies the initial state of the output terminal of the counter when Output Behavior is DAQmx_Val_Toggle. The terminal enters this state when NI-DAQmx commits the task.
public const DAQmx_Exported_WatchdogExpiredEvent_OutputTerm as long = 8618  '// Specifies the terminal  to which to route the Watchdog Timer Expired Event.
'//********** Device Attributes **********
public const DAQmx_Dev_ProductType as long = 1585  '// Indicates the product name of the device.
public const DAQmx_Dev_SerialNum as long = 1586  '// Indicates the serial number of the device. This value is zero if the device does not have a serial number.
'//********** Read Attributes **********
public const DAQmx_Read_RelativeTo as long = 6410  '// Specifies the point in the buffer at which to begin a read operation. If you also specify an offset with Offset, the read operation begins at that offset relative to the point you select with this property. The default value is DAQmx_Val_CurrReadPos unless you configure a Reference Trigger for the task. If you configure a Reference Trigger, the default value is DAQmx_Val_FirstPretrigSamp.
public const DAQmx_Read_Offset as long = 6411  '// Specifies an offset in samples per channel at which to begin a read operation. This offset is relative to the location you specify with RelativeTo.
public const DAQmx_Read_ChannelsToRead as long = 6179  '// Specifies a subset of channels in the task from which to read.
public const DAQmx_Read_ReadAllAvailSamp as long = 4629  '// Specifies whether subsequent read operations read all samples currently available in the buffer or wait for the buffer to become full before reading. NI-DAQmx uses this setting for finite acquisitions and only when the number of samples to read is -1. For continuous acquisitions when the number of samples to read is -1, a read operation always reads all samples currently available in the buffer.
public const DAQmx_Read_AutoStart as long = 6182  '// Specifies if an NI-DAQmx Read function automatically starts the task  if you did not start the task explicitly by using DAQmxStartTask(). The default value is TRUE. When  an NI-DAQmx Read function starts a finite acquisition task, it also stops the task after reading the last sample.
public const DAQmx_Read_OverWrite as long = 4625  '// Specifies whether to overwrite samples in the buffer that you have not yet read.
public const DAQmx_Read_CurrReadPos as long = 4641  '// Indicates in samples per channel the current position in the buffer.
public const DAQmx_Read_AvailSampPerChan as long = 4643  '// Indicates the number of samples available to read per channel. This value is the same for all channels in the task.
public const DAQmx_Read_TotalSampPerChanAcquired as long = 6442  '// Indicates the total number of samples acquired by each channel. NI-DAQmx returns a single value because this value is the same for all channels.
public const DAQmx_Read_ChangeDetect_HasOverflowed as long = 8596  '// Indicates if samples were missed because change detection events occurred faster than the device could handle them.
public const DAQmx_Read_RawDataWidth as long = 8570  '// Indicates in bytes the size of a raw sample from the task.
public const DAQmx_Read_NumChans as long = 8571  '// Indicates the number of channels that an NI-DAQmx Read function reads from the task. This value is the number of channels in the task or the number of channels you specify with Channels to Read.
public const DAQmx_Read_DigitalLines_BytesPerChan as long = 8572  '// Indicates the number of bytes per channel that NI-DAQmx returns in a sample for line-based reads. If a channel has fewer lines than this number, the extra bytes are FALSE.
'//********** Switch Channel Attributes **********
public const DAQmx_SwitchChan_Usage as long = 6372  '// Specifies how you can use the channel. Using this property acts as a safety mechanism to prevent you from connecting two source channels, for example.
public const DAQmx_SwitchChan_MaxACCarryCurrent as long = 1608  '// Indicates in amperes the maximum AC current that the device can carry.
public const DAQmx_SwitchChan_MaxACSwitchCurrent as long = 1606  '// Indicates in amperes the maximum AC current that the device can switch. This current is always against an RMS voltage level.
public const DAQmx_SwitchChan_MaxACCarryPwr as long = 1602  '// Indicates in watts the maximum AC power that the device can carry.
public const DAQmx_SwitchChan_MaxACSwitchPwr as long = 1604  '// Indicates in watts the maximum AC power that the device can switch.
public const DAQmx_SwitchChan_MaxDCCarryCurrent as long = 1607  '// Indicates in amperes the maximum DC current that the device can carry.
public const DAQmx_SwitchChan_MaxDCSwitchCurrent as long = 1605  '// Indicates in amperes the maximum DC current that the device can switch. This current is always against a DC voltage level.
public const DAQmx_SwitchChan_MaxDCCarryPwr as long = 1603  '// Indicates in watts the maximum DC power that the device can carry.
public const DAQmx_SwitchChan_MaxDCSwitchPwr as long = 1609  '// Indicates in watts the maximum DC power that the device can switch.
public const DAQmx_SwitchChan_MaxACVoltage as long = 1617  '// Indicates in volts the maximum AC RMS voltage that the device can switch.
public const DAQmx_SwitchChan_MaxDCVoltage as long = 1616  '// Indicates in volts the maximum DC voltage that the device can switch.
public const DAQmx_SwitchChan_WireMode as long = 6373  '// Indicates the number of wires that the channel switches.
public const DAQmx_SwitchChan_Bandwidth as long = 1600  '// Indicates in Hertz the maximum frequency of a signal that can pass through the switch without significant deterioration.
public const DAQmx_SwitchChan_Impedance as long = 1601  '// Indicates in ohms the switch impedance. This value is important in the RF domain and should match the impedance of the sources and loads.
'//********** Switch Device Attributes **********
public const DAQmx_SwitchDev_SettlingTime as long = 4676  '// Specifies in seconds the amount of time to wait for the switch to settle (or debounce). Refer to device documentation for supported settling times.
public const DAQmx_SwitchDev_AutoConnAnlgBus as long = 6106  '// Specifies if NI-DAQmx routes multiplexed channels to the analog bus backplane. Only the SCXI-1127 and SCXI-1128 support this property.
public const DAQmx_SwitchDev_Settled as long = 4675  '// Indicates when Settling Time expires.
public const DAQmx_SwitchDev_RelayList as long = 6108  '// Indicates a comma-delimited list of relay names.
public const DAQmx_SwitchDev_NumRelays as long = 6374  '// Indicates the number of relays on the device. This value matches the number of relay names in Relay List.
public const DAQmx_SwitchDev_SwitchChanList as long = 6375  '// Indicates a comma-delimited list of channel names for the current topology of the device.
public const DAQmx_SwitchDev_NumSwitchChans as long = 6376  '// Indicates the number of switch channels for the current topology of the device. This value matches the number of channel names in Switch Channel List.
public const DAQmx_SwitchDev_NumRows as long = 6377  '// Indicates the number of rows on a device in a matrix switch topology. Indicates the number of multiplexed channels on a device in a mux topology.
public const DAQmx_SwitchDev_NumColumns as long = 6378  '// Indicates the number of columns on a device in a matrix switch topology. This value is always 1 if the device is in a mux topology.
public const DAQmx_SwitchDev_Topology as long = 6461  '// Indicates the current topology of the device. This value is one of the topology options in DAQmxSwitchSetTopologyAndReset().
'//********** Switch Scan Attributes **********
public const DAQmx_SwitchScan_BreakMode as long = 4679  '// Specifies the break mode between each entry in a scan list.
public const DAQmx_SwitchScan_RepeatMode as long = 4680  '// Specifies if the task advances through the scan list multiple times.
public const DAQmx_SwitchScan_WaitingForAdv as long = 6105  '// Indicates if the switch hardware is waiting for an  Advance Trigger. If the hardware is waiting, it completed the previous entry in the scan list.
'//********** Scale Attributes **********
public const DAQmx_Scale_Descr as long = 4646  '// Specifies a description for the scale.
public const DAQmx_Scale_ScaledUnits as long = 6427  '// Specifies the units to use for scaled values. You can use an arbitrary string.
public const DAQmx_Scale_PreScaledUnits as long = 6391  '// Specifies the units of the values that you want to scale.
public const DAQmx_Scale_Type as long = 6441  '// Indicates the method or equation form that the custom scale uses.
public const DAQmx_Scale_Lin_Slope as long = 4647  '// Specifies the slope, m, in the equation y=mx+b.
public const DAQmx_Scale_Lin_YIntercept as long = 4648  '// Specifies the y-intercept, b, in the equation y=mx+b.
public const DAQmx_Scale_Map_ScaledMax as long = 4649  '// Specifies the largest value in the range of scaled values. NI-DAQmx maps this value to Pre-Scaled Maximum Value. Reads clip samples that are larger than this value. Writes generate errors for samples that are larger than this value.
public const DAQmx_Scale_Map_PreScaledMax as long = 4657  '// Specifies the largest value in the range of pre-scaled values. NI-DAQmx maps this value to Scaled Maximum Value.
public const DAQmx_Scale_Map_ScaledMin as long = 4656  '// Specifies the smallest value in the range of scaled values. NI-DAQmx maps this value to Pre-Scaled Minimum Value. Reads clip samples that are smaller than this value. Writes generate errors for samples that are smaller than this value.
public const DAQmx_Scale_Map_PreScaledMin as long = 4658  '// Specifies the smallest value in the range of pre-scaled values. NI-DAQmx maps this value to Scaled Minimum Value.
public const DAQmx_Scale_Poly_ForwardCoeff as long = 4660  '// Specifies an array of coefficients for the polynomial that converts pre-scaled values to scaled values. Each element of the array corresponds to a term of the equation. For example, if index three of the array is 9, the fourth term of the equation is 9x^3.
public const DAQmx_Scale_Poly_ReverseCoeff as long = 4661  '// Specifies an array of coefficients for the polynomial that converts scaled values to pre-scaled values. Each element of the array corresponds to a term of the equation. For example, if index three of the array is 9, the fourth term of the equation is 9y^3.
public const DAQmx_Scale_Table_ScaledVals as long = 4662  '// Specifies an array of scaled values. These values map directly to the values in Pre-Scaled Values.
public const DAQmx_Scale_Table_PreScaledVals as long = 4663  '// Specifies an array of pre-scaled values. These values map directly to the values in Scaled Values.
'//********** System Attributes **********
public const DAQmx_Sys_GlobalChans as long = 4709  '// Indicates an array that contains the names of all global channels saved on the system.
public const DAQmx_Sys_Scales as long = 4710  '// Indicates an array that contains the names of all custom scales saved on the system.
public const DAQmx_Sys_Tasks as long = 4711  '// Indicates an array that contains the names of all tasks saved on the system.
public const DAQmx_Sys_DevNames as long = 6459  '// Indicates an array that contains the names of all devices installed in the system.
public const DAQmx_Sys_NIDAQMajorVersion as long = 4722  '// Indicates the major portion of the installed version of NI-DAQ, such as 7 for version 7.0.
public const DAQmx_Sys_NIDAQMinorVersion as long = 6435  '// Indicates the minor portion of the installed version of NI-DAQ, such as 0 for version 7.0.
'//********** Task Attributes **********
public const DAQmx_Task_Name as long = 4726  '// Indicates the name of the task.
public const DAQmx_Task_Channels as long = 4723  '// Indicates the names of all virtual channels in the task.
public const DAQmx_Task_NumChans as long = 8577  '// Indicates the number of virtual channels in the task.
public const DAQmx_Task_Complete as long = 4724  '// Indicates whether the task completed execution.
'//********** Timing Attributes **********
public const DAQmx_SampQuant_SampMode as long = 4864  '// Specifies if a task acquires or generates a finite number of samples or if it continuously acquires or generates samples.
public const DAQmx_SampQuant_SampPerChan as long = 4880  '// Specifies the number of samples to acquire or generate for each channel if Sample Mode is finite.
public const DAQmx_SampTimingType as long = 4935  '// Specifies the type of sample timing to use for the task.
public const DAQmx_SampClk_Rate as long = 4932  '// Specifies the sampling rate in samples per channel per second. If you use an external source for the Sample Clock, set this input to the maximum expected rate of that clock.
public const DAQmx_SampClk_Src as long = 6226  '// Specifies the terminal of the signal to use as the Sample Clock.
public const DAQmx_SampClk_ActiveEdge as long = 4865  '// Specifies on which edge of a clock pulse sampling takes place. This property is useful primarily when the signal you use as the Sample Clock is not a periodic clock.
public const DAQmx_SampClk_TimebaseDiv as long = 6379  '// Specifies the number of Sample Clock Timebase pulses needed to produce a single Sample Clock pulse.
public const DAQmx_SampClk_Timebase_Rate as long = 4867  '// Specifies the rate of the Sample Clock Timebase. When the signal you use as the Sample Clock Timebase is not a clock, NI-DAQmx might require the rate to calculate other timing parameters. If this is the case, setting this property to an approximation is preferable to not setting it at all.
public const DAQmx_SampClk_Timebase_Src as long = 4872  '// Specifies the terminal of the signal to use as the Sample Clock Timebase.
public const DAQmx_SampClk_Timebase_ActiveEdge as long = 6380  '// Specifies on which edge to recognize a Sample Clock Timebase pulse. This property is useful primarily when the signal you use as the Sample Clock Timebase is not a periodic clock.
public const DAQmx_SampClk_Timebase_MasterTimebaseDiv as long = 4869  '// Specifies the number of pulses of the Master Timebase needed to produce a single pulse of the Sample Clock Timebase.
public const DAQmx_ChangeDetect_DI_RisingEdgePhysicalChans as long = 8597  '// Specifies the names of the digital lines or ports on which to detect rising edges. The lines or ports must be used by virtual channels in the task. You also can specify a string that contains a list or range of digital lines or ports.
public const DAQmx_ChangeDetect_DI_FallingEdgePhysicalChans as long = 8598  '// Specifies the names of the digital lines or ports on which to detect rising edges. The lines or ports must be used by virtual channels in the task. You also can specify a string that contains a list or range of digital lines or ports.
public const DAQmx_OnDemand_SimultaneousAOEnable as long = 8608  '// Specifies whether to update all channels in the task simultaneously, rather than updating channels independently when you write a sample to that channel.
public const DAQmx_AIConv_Rate as long = 6216  '// Specifies the rate at which to clock the analog-to-digital converter. This clock is specific to the analog input section of an E Series device.
public const DAQmx_AIConv_Src as long = 5378  '// Specifies the terminal of the signal to use as the AI Convert Clock.
public const DAQmx_AIConv_ActiveEdge as long = 6227  '// Specifies on which edge of the clock pulse an analog-to-digital conversion takes place.
public const DAQmx_AIConv_TimebaseDiv as long = 4917  '// Specifies the number of AI Convert Clock Timebase pulses needed to produce a single AI Convert Clock pulse.
public const DAQmx_AIConv_Timebase_Src as long = 4921  '// Specifies the terminal  of the signal to use as the AI Convert Clock Timebase.
public const DAQmx_MasterTimebase_Rate as long = 5269  '// Specifies the rate of the Master Timebase.
public const DAQmx_MasterTimebase_Src as long = 4931  '// Specifies the terminal of the signal to use as the Master Timebase. On an E Series device, you can choose only between the onboard 20MHz Timebase or the RTSI7 terminal.
public const DAQmx_DelayFromSampClk_DelayUnits as long = 4868  '// Specifies the units of Delay.
public const DAQmx_DelayFromSampClk_Delay as long = 4887  '// Specifies the amount of time to wait after receiving a Sample Clock edge before beginning to acquire the sample. This value is in the units you specify with Delay Units.
'//********** Trigger Attributes **********
public const DAQmx_StartTrig_Type as long = 5011  '// Specifies the type of trigger to use to start a task.
public const DAQmx_DigEdge_StartTrig_Src as long = 5127  '// Specifies the name of a terminal where there is a digital signal to use as the source of the Start Trigger.
public const DAQmx_DigEdge_StartTrig_Edge as long = 5124  '// Specifies on which edge of a digital pulse to start acquiring or generating samples.
public const DAQmx_AnlgEdge_StartTrig_Src as long = 5016  '// Specifies the name of a virtual channel or terminal where there is an analog signal to use as the source of the Start Trigger.
public const DAQmx_AnlgEdge_StartTrig_Slope as long = 5015  '// Specifies on which slope of the trigger signal to start acquiring or generating samples.
public const DAQmx_AnlgEdge_StartTrig_Lvl as long = 5014  '// Specifies at what threshold in the units of the measurement or generation to start acquiring or generating samples. Use Slope to specify on which slope to trigger on this threshold.
public const DAQmx_AnlgEdge_StartTrig_Hyst as long = 5013  '// Specifies a hysteresis level in the units of the measurement or generation. If Slope is DAQmx_Val_RisingSlope, the trigger does not deassert until the source signal passes below  Level minus the hysteresis. If Slope is DAQmx_Val_FallingSlope, the trigger does not deassert until the source signal passes above Level plus the hysteresis.
public const DAQmx_AnlgWin_StartTrig_Src as long = 5120  '// Specifies the name of a virtual channel or terminal where there is an analog signal to use as the source of the Start Trigger.
public const DAQmx_AnlgWin_StartTrig_When as long = 5121  '// Specifies whether the task starts acquiring or generating samples when the signal enters or leaves the window you specify with Bottom and Top.
public const DAQmx_AnlgWin_StartTrig_Top as long = 5123  '// Specifies the upper limit of the window. Specify this value in the units of the measurement or generation.
public const DAQmx_AnlgWin_StartTrig_Btm as long = 5122  '// Specifies the lower limit of the window. Specify this value in the units of the measurement or generation.
public const DAQmx_StartTrig_Delay as long = 6230  '// Specifies an amount of time to wait after the Start Trigger is received before acquiring or generating the first sample. This value is in the units you specify with Delay Units.
public const DAQmx_StartTrig_DelayUnits as long = 6344  '// Specifies the units of Delay.
public const DAQmx_StartTrig_Retriggerable as long = 6415  '// Specifies whether to enable retriggerable counter pulse generation. When you set this property to TRUE, the device generates pulses each time it receives a trigger. The device ignores a trigger if it is in the process of generating pulses.
public const DAQmx_RefTrig_Type as long = 5145  '// Specifies the type of trigger to use to mark a reference point for the measurement.
public const DAQmx_RefTrig_PretrigSamples as long = 5189  '// Specifies the minimum number of pretrigger samples to acquire from each channel before recognizing the reference trigger. Post-trigger samples per channel are equal to Samples Per Channel minus the number of pretrigger samples per channel.
public const DAQmx_DigEdge_RefTrig_Src as long = 5172  '// Specifies the name of a terminal where there is a digital signal to use as the source of the Reference Trigger.
public const DAQmx_DigEdge_RefTrig_Edge as long = 5168  '// Specifies on what edge of a digital pulse the Reference Trigger occurs.
public const DAQmx_AnlgEdge_RefTrig_Src as long = 5156  '// Specifies the name of a virtual channel or terminal where there is an analog signal to use as the source of the Reference Trigger.
public const DAQmx_AnlgEdge_RefTrig_Slope as long = 5155  '// Specifies on which slope of the source signal the Reference Trigger occurs.
public const DAQmx_AnlgEdge_RefTrig_Lvl as long = 5154  '// Specifies in the units of the measurement the threshold at which the Reference Trigger occurs.  Use Slope to specify on which slope to trigger at this threshold.
public const DAQmx_AnlgEdge_RefTrig_Hyst as long = 5153  '// Specifies a hysteresis level in the units of the measurement. If Slope is DAQmx_Val_RisingSlope, the trigger does not deassert until the source signal passes below Level minus the hysteresis. If Slope is DAQmx_Val_FallingSlope, the trigger does not deassert until the source signal passes above Level plus the hysteresis.
public const DAQmx_AnlgWin_RefTrig_Src as long = 5158  '// Specifies the name of a virtual channel or terminal where there is an analog signal to use as the source of the Reference Trigger.
public const DAQmx_AnlgWin_RefTrig_When as long = 5159  '// Specifies whether the Reference Trigger occurs when the source signal enters the window or when it leaves the window. Use Bottom and Top to specify the window.
public const DAQmx_AnlgWin_RefTrig_Top as long = 5161  '// Specifies the upper limit of the window. Specify this value in the units of the measurement.
public const DAQmx_AnlgWin_RefTrig_Btm as long = 5160  '// Specifies the lower limit of the window. Specify this value in the units of the measurement.
public const DAQmx_AdvTrig_Type as long = 4965  '// Specifies the type of trigger to use to advance to the next entry in a scan list.
public const DAQmx_DigEdge_AdvTrig_Src as long = 4962  '// Specifies the name of a terminal where there is a digital signal to use as the source of the Advance Trigger.
public const DAQmx_DigEdge_AdvTrig_Edge as long = 4960  '// Specifies on which edge of a digital signal to advance to the next entry in a scan list.
public const DAQmx_PauseTrig_Type as long = 4966  '// Specifies the type of trigger to use to pause a task.
public const DAQmx_AnlgLvl_PauseTrig_Src as long = 4976  '// Specifies the name of a virtual channel or terminal where there is an analog signal to use as the source of the trigger.
public const DAQmx_AnlgLvl_PauseTrig_When as long = 4977  '// Specifies whether the task pauses above or below the threshold you specify with Level.
public const DAQmx_AnlgLvl_PauseTrig_Lvl as long = 4969  '// Specifies the threshold at which to pause the task. Specify this value in the units of the measurement or generation. Use Pause When to specify whether the task pauses above or below this threshold.
public const DAQmx_AnlgLvl_PauseTrig_Hyst as long = 4968  '// Specifies a hysteresis level in the units of the measurement or generation. If Pause When is DAQmx_Val_AboveLvl, the trigger does not deassert until the source signal passes below Level minus the hysteresis. If Pause When is DAQmx_Val_BelowLvl, the trigger does not deassert until the source signal passes above Level plus the hysteresis.
public const DAQmx_AnlgWin_PauseTrig_Src as long = 4979  '// Specifies the name of a virtual channel or terminal where there is an analog signal to use as the source of the trigger.
public const DAQmx_AnlgWin_PauseTrig_When as long = 4980  '// Specifies whether the task pauses while the trigger signal is inside or outside the window you specify with Bottom and Top.
public const DAQmx_AnlgWin_PauseTrig_Top as long = 4982  '// Specifies the upper limit of the window. Specify this value in the units of the measurement or generation.
public const DAQmx_AnlgWin_PauseTrig_Btm as long = 4981  '// Specifies the lower limit of the window. Specify this value in the units of the measurement or generation.
public const DAQmx_DigLvl_PauseTrig_Src as long = 4985  '// Specifies the name of a terminal where there is a digital signal to use as the source of the Pause Trigger.
public const DAQmx_DigLvl_PauseTrig_When as long = 4992  '// Specifies whether the task pauses while the signal is high or low.
public const DAQmx_ArmStartTrig_Type as long = 5140  '// Specifies the type of trigger to use to arm the task for a Start Trigger. If you configure an Arm Start Trigger, the task does not respond to a Start Trigger until the device receives the Arm Start Trigger.
public const DAQmx_DigEdge_ArmStartTrig_Src as long = 5143  '// Specifies the name of a terminal where there is a digital signal to use as the source of the Arm Start Trigger.
public const DAQmx_DigEdge_ArmStartTrig_Edge as long = 5141  '// Specifies on which edge of a digital signal to arm the task for a Start Trigger.
'//********** Watchdog Attributes **********
public const DAQmx_Watchdog_Timeout as long = 8617  '// Specifies in seconds the amount of time until the watchdog timer expires. A value of -1 means the internal timer never expires. Set this input to -1 if you use an Expiration Trigger to expire the watchdog task.
public const DAQmx_WatchdogExpirTrig_Type as long = 8611  '// Specifies the type of trigger to use to expire a watchdog task.
public const DAQmx_DigEdge_WatchdogExpirTrig_Src as long = 8612  '// Specifies the name of a terminal where a digital signal exists to use as the source of the Expiration Trigger.
public const DAQmx_DigEdge_WatchdogExpirTrig_Edge as long = 8613  '// Specifies on which edge of a digital signal to expire the watchdog task.
public const DAQmx_Watchdog_DO_ExpirState as long = 8615  '// Specifies the state to which to set the digital physical channels when the watchdog task expires.  You cannot modify the expiration state of dedicated digital input physical channels.
public const DAQmx_Watchdog_HasExpired as long = 8616  '// Indicates if the watchdog timer expired. You can read this property only while the task is running.
'//********** Write Attributes **********
public const DAQmx_Write_RelativeTo as long = 6412  '// Specifies the point in the buffer at which to write data. If you also specify an offset with Offset, the write operation begins at that offset relative to this point you select with this property.
public const DAQmx_Write_Offset as long = 6413  '// Specifies in samples per channel an offset at which a write operation begins. This offset is relative to the location you specify with Relative To.
public const DAQmx_Write_RegenMode as long = 5203  '// Specifies whether to allow NI-DAQmx to generate the same data multiple times.
public const DAQmx_Write_CurrWritePos as long = 5208  '// Indicates the number of the next sample for the device to generate. This value is identical for all channels in the task.
public const DAQmx_Write_SpaceAvail as long = 5216  '// Indicates in samples per channel the amount of available space in the buffer.
public const DAQmx_Write_TotalSampPerChanGenerated as long = 6443  '// Indicates the total number of samples generated by each channel in the task. This value is identical for all channels in the task.
public const DAQmx_Write_RawDataWidth as long = 8573  '// Indicates in bytes the required size of a raw sample to write to the task.
public const DAQmx_Write_NumChans as long = 8574  '// Indicates the number of channels that an NI-DAQmx Write function writes to the task. This value is the number of channels in the task.
public const DAQmx_Write_DigitalLines_BytesPerChan as long = 8575  '// Indicates the number of bytes expected per channel in a sample for line-based writes. If a channel has fewer lines than this number, NI-DAQmx ignores the extra bytes.
'/******************************************************************************
'/******************************************************/
'/***    Non-Attribute Function Parameter Values     ***/
'/******************************************************/
'//*** Values for the Mode parameter of DAQmxTaskControl ***
public const DAQmx_Val_Task_Start as long = 0  '// Start
public const DAQmx_Val_Task_Stop as long = 1  '// Stop
public const DAQmx_Val_Task_Verify as long = 2  '// Verify
public const DAQmx_Val_Task_Commit as long = 3  '// Commit
public const DAQmx_Val_Task_Reserve as long = 4  '// Reserve
public const DAQmx_Val_Task_Unreserve as long = 5  '// Unreserve
public const DAQmx_Val_Task_Abort as long = 6  '// Abort
'//*** Values for the Action parameter of DAQmxControlWatchdogTask ***
public const DAQmx_Val_ResetTimer as long = 0  '// Reset Timer
public const DAQmx_Val_ClearExpiration as long = 1  '// Clear Expiration
'//*** Values for the Line Grouping parameter of DAQmxCreateDIChan and DAQmxCreateDOChan ***
public const DAQmx_Val_ChanPerLine as long = 0  '// One Channel For Each Line
public const DAQmx_Val_ChanForAllLines as long = 1  '// One Channel For All Lines
'//*** Values for the Fill Mode parameter of DAQmxReadAnalogF64, DAQmxReadBinaryI16, DAQmxReadBinaryU16, DAQmxReadDigitalU8, DAQmxReadDigitalU32, DAQmxReadDigitalLines ***
'//*** Values for the Data Layout parameter of DAQmxWriteAnalogF64, DAQmxWriteBinaryI16, DAQmxWriteDigitalU8, DAQmxWriteDigitalU32, DAQmxWriteDigitalLines ***
public const DAQmx_Val_GroupByChannel as long = 0  '// Group by Channel
public const DAQmx_Val_GroupByScanNumber as long = 1  '// Group by Scan Number
'//*** Values for the Signal Modifiers parameter of DAQmxConnectTerms ***/
public const DAQmx_Val_DoNotInvertPolarity as long = 0  '// Do not invert polarity
public const DAQmx_Val_InvertPolarity as long = 1  '// Invert polarity
'//*** Values for the Action paramter of DAQmxCloseExtCal ***
public const DAQmx_Val_Action_Commit as long = 0  '// Commit
public const DAQmx_Val_Action_Cancel as long = 1  '// Cancel
'//*** Values for the Trigger ID parameter of DAQmxSendSoftwareTrigger ***
public const DAQmx_Val_AdvanceTrigger as long = 12488  '// Advance Trigger
'//*** Value set for the Signal ID parameter of DAQmxExportSignal ***
public const DAQmx_Val_AIConvertClock as long = 12484  '// AI Convert Clock
public const DAQmx_Val_20MHzTimebaseClock as long = 12486  '// 20MHz Timebase Clock
public const DAQmx_Val_SampleClock as long = 12487  '// Sample Clock
public const DAQmx_Val_ReferenceTrigger as long = 12490  '// Reference Trigger
public const DAQmx_Val_StartTrigger as long = 12491  '// Start Trigger
public const DAQmx_Val_AdvCmpltEvent as long = 12492  '// Advance Complete Event
public const DAQmx_Val_AIHoldCmpltEvent as long = 12493  '// AI Hold Complete Event
public const DAQmx_Val_CounterOutputEvent as long = 12494  '// Counter Output Event
public const DAQmx_Val_ChangeDetectionEvent as long = 12511  '// Change Detection Event
public const DAQmx_Val_WDTExpiredEvent as long = 12512  '// Watchdog Timer Expired Event
'//*** Value set for the ActiveEdge parameter of DAQmxCfgSampClkTiming ***
public const DAQmx_Val_Rising as long = 10280  '// Rising
public const DAQmx_Val_Falling as long = 10171  '// Falling
'//*** Value set SwitchPathType ***
'//*** Value set for the output Path Status parameter of DAQmxSwitchFindPath ***
public const DAQmx_Val_PathStatus_Available as long = 10431  '// Path Available
public const DAQmx_Val_PathStatus_AlreadyExists as long = 10432  '// Path Already Exists
public const DAQmx_Val_PathStatus_Unsupported as long = 10433  '// Path Unsupported
public const DAQmx_Val_PathStatus_ChannelInUse as long = 10434  '// Channel In Use
public const DAQmx_Val_PathStatus_SourceChannelConflict as long = 10435  '// Channel Source Conflict
public const DAQmx_Val_PathStatus_ChannelReservedForRouting as long = 10436  '// Channel Reserved for Routing
'//*** Value set for the Units parameter of DAQmxCreateAIThrmcplChan, DAQmxCreateAIRTDChan, DAQmxCreateAIThrmstrChanIex, DAQmxCreateAIThrmstrChanVex and DAQmxCreateAITempBuiltInSensorChan ***
public const DAQmx_Val_DegC as long = 10143  '// Deg C
public const DAQmx_Val_DegF as long = 10144  '// Deg F
public const DAQmx_Val_Kelvins as long = 10325  '// Kelvins
public const DAQmx_Val_DegR as long = 10145  '// Deg R
'//*** Value set for the state parameter of DAQmxSetDigitalPowerUpStates ***
public const DAQmx_Val_High as long = 10192  '// High
public const DAQmx_Val_Low as long = 10214  '// Low
public const DAQmx_Val_Tristate as long = 10310  '// Tristate
'//*** Value set RelayPos ***
'//*** Value set for the state parameter of DAQmxSwitchGetSingleRelayPos and DAQmxSwitchGetMultiRelayPos ***
public const DAQmx_Val_Open as long = 10437  '// Open
public const DAQmx_Val_Closed as long = 10438  '// Closed
'//*** Value for the Terminal Config parameter of DAQmxCreateAIVoltageChan, DAQmxCreateAICurrentChan and DAQmxCreateAIVoltageChanWithExcit ***
public const DAQmx_Val_Cfg_Default as long = -1  '// Default
'//*** Value for the Timeout parameter of DAQmxWaitUntilTaskDone
public const DAQmx_Val_WaitInfinitely as long = -1.0
'//*** Value for the Number of Samples per Channel parameter of DAQmxReadAnalogF64, DAQmxReadBinaryI16, DAQmxReadBinaryU16, DAQmxReadDigitalU8, DAQmxReadDigitalU32,
'//    DAQmxReadDigitalLines, DAQmxReadCounterF64, DAQmxReadCounterU32 and DAQmxReadRaw ***
public const DAQmx_Val_Auto as long = -1
'/******************************************************/
'/***              Attribute Values                  ***/
'/******************************************************/
'//*** Values for DAQmx_AI_ACExcit_WireMode ***
'//*** Value set ACExcitWireMode ***
public const DAQmx_Val_4Wire as long = 4  '// 4-Wire
public const DAQmx_Val_5Wire as long = 5  '// 5-Wire
'//*** Values for DAQmx_AI_MeasType ***
'//*** Value set AIMeasurementType ***
public const DAQmx_Val_Voltage as long = 10322  '// Voltage
public const DAQmx_Val_Current as long = 10134  '// Current
public const DAQmx_Val_Voltage_CustomWithExcitation as long = 10323  '// More:Voltage:Custom with Excitation
public const DAQmx_Val_Freq_Voltage as long = 10181  '// Frequency
public const DAQmx_Val_Resistance as long = 10278  '// Resistance
public const DAQmx_Val_Temp_TC as long = 10303  '// Temperature:Thermocouple
public const DAQmx_Val_Temp_Thrmstr as long = 10302  '// Temperature:Thermistor
public const DAQmx_Val_Temp_RTD as long = 10301  '// Temperature:RTD
public const DAQmx_Val_Temp_BuiltInSensor as long = 10311  '// Temperature:Built-in Sensor
public const DAQmx_Val_Strain_Gage as long = 10300  '// Strain Gage
public const DAQmx_Val_Position_LVDT as long = 10352  '// Position:LVDT
public const DAQmx_Val_Position_RVDT as long = 10353  '// Position:RVDT
public const DAQmx_Val_Accelerometer as long = 10356  '// Accelerometer
'//*** Values for DAQmx_AO_OutputType ***
'//*** Value set AOOutputChannelType ***
'//*** Values for DAQmx_AI_Accel_SensitivityUnits ***
'//*** Value set AccelSensitivityUnits1 ***
public const DAQmx_Val_mVoltsPerG as long = 12509  '// mVolts/g
public const DAQmx_Val_VoltsPerG as long = 12510  '// Volts/g
'//*** Values for DAQmx_AI_Accel_Units ***
'//*** Value set AccelUnits2 ***
public const DAQmx_Val_AccelUnit_g as long = 10186  '// g
public const DAQmx_Val_FromCustomScale as long = 10065  '// From Custom Scale
'//*** Values for DAQmx_SampQuant_SampMode ***
'//*** Value set AcquisitionType ***
public const DAQmx_Val_FiniteSamps as long = 10178  '// Finite Samples
public const DAQmx_Val_ContSamps as long = 10123  '// Continuous Samples
'//*** Values for DAQmx_AnlgLvl_PauseTrig_When ***
'//*** Value set ActiveLevel ***
public const DAQmx_Val_AboveLvl as long = 10093  '// Above Level
public const DAQmx_Val_BelowLvl as long = 10107  '// Below Level
'//*** Values for DAQmx_AI_RVDT_Units ***
'//*** Value set AngleUnits1 ***
public const DAQmx_Val_Degrees as long = 10146  '// Degrees
public const DAQmx_Val_Radians as long = 10273  '// Radians
'//*** Values for DAQmx_CI_AngEncoder_Units ***
'//*** Value set AngleUnits2 ***
public const DAQmx_Val_Ticks as long = 10304  '// Ticks
'//*** Values for DAQmx_AI_AutoZeroMode ***
'//*** Value set AutoZeroType1 ***
public const DAQmx_Val_None as long = 10230  '// None
public const DAQmx_Val_Once as long = 10244  '// Once
'//*** Values for DAQmx_SwitchScan_BreakMode ***
'//*** Value set BreakMode ***
public const DAQmx_Val_NoAction as long = 10227  '// No Action
public const DAQmx_Val_BreakBeforeMake as long = 10110  '// Break Before Make
'//*** Values for DAQmx_AI_Bridge_Cfg ***
'//*** Value set BridgeConfiguration1 ***
public const DAQmx_Val_FullBridge as long = 10182  '// Full Bridge
public const DAQmx_Val_HalfBridge as long = 10187  '// Half Bridge
public const DAQmx_Val_QuarterBridge as long = 10270  '// Quarter Bridge
public const DAQmx_Val_NoBridge as long = 10228  '// No Bridge
'//*** Values for DAQmx_CI_MeasType ***
'//*** Value set CIMeasurementType ***
public const DAQmx_Val_CountEdges as long = 10125  '// Count Edges
public const DAQmx_Val_Freq as long = 10179  '// Frequency
public const DAQmx_Val_Period as long = 10256  '// Period
public const DAQmx_Val_PulseWidth as long = 10359  '// Pulse Width
public const DAQmx_Val_SemiPeriod as long = 10289  '// Semi Period
public const DAQmx_Val_Position_AngEncoder as long = 10360  '// Position:Angular Encoder
public const DAQmx_Val_Position_LinEncoder as long = 10361  '// Position:Linear Encoder
public const DAQmx_Val_TwoEdgeSep as long = 10267  '// Two Edge Separation
'//*** Values for DAQmx_AI_Thrmcpl_CJCSrc ***
'//*** Value set CJCSource1 ***
public const DAQmx_Val_BuiltIn as long = 10200  '// Built-In
public const DAQmx_Val_ConstVal as long = 10116  '// Constant Value
public const DAQmx_Val_Chan as long = 10113  '// Channel
'//*** Values for DAQmx_CO_OutputType ***
'//*** Value set COOutputType ***
public const DAQmx_Val_Pulse_Time as long = 10269  '// Pulse:Time
public const DAQmx_Val_Pulse_Freq as long = 10119  '// Pulse:Frequency
public const DAQmx_Val_Pulse_Ticks as long = 10268  '// Pulse:Ticks
'//*** Values for DAQmx_ChanType ***
'//*** Value set ChannelType ***
public const DAQmx_Val_AI as long = 10100  '// Analog Input
public const DAQmx_Val_AO as long = 10102  '// Analog Output
public const DAQmx_Val_DI as long = 10151  '// Digital Input
public const DAQmx_Val_DO as long = 10153  '// Digital Output
public const DAQmx_Val_CI as long = 10131  '// Counter Input
public const DAQmx_Val_CO as long = 10132  '// Counter Output
'//*** Values for DAQmx_CI_CountEdges_Dir ***
'//*** Value set CountDirection1 ***
public const DAQmx_Val_CountUp as long = 10128  '// Count Up
public const DAQmx_Val_CountDown as long = 10124  '// Count Down
public const DAQmx_Val_ExtControlled as long = 10326  '// Externally Controlled
'//*** Values for DAQmx_CI_Freq_MeasMeth ***
'//*** Values for DAQmx_CI_Period_MeasMeth ***
'//*** Value set CounterFrequencyMethod ***
public const DAQmx_Val_LowFreq1Ctr as long = 10105  '// Low Frequency with 1 Counter
public const DAQmx_Val_HighFreq2Ctr as long = 10157  '// High Frequency with 2 Counters
public const DAQmx_Val_LargeRng2Ctr as long = 10205  '// Large Range with 2 Counters
'//*** Values for DAQmx_AI_Coupling ***
'//*** Value set Coupling1 ***
public const DAQmx_Val_AC as long = 10045  '// AC
public const DAQmx_Val_DC as long = 10050  '// DC
public const DAQmx_Val_GND as long = 10066  '// GND
'//*** Values for DAQmx_AI_CurrentShunt_Loc ***
'//*** Value set CurrentShuntResistorLocation1 ***
public const DAQmx_Val_Internal as long = 10200  '// Internal
public const DAQmx_Val_External as long = 10167  '// External
'//*** Values for DAQmx_AI_Current_Units ***
'//*** Values for DAQmx_AO_Current_Units ***
'//*** Value set CurrentUnits1 ***
public const DAQmx_Val_Amps as long = 10342  '// Amps
'//*** Values for DAQmx_AI_DataXferMech ***
'//*** Values for DAQmx_AO_DataXferMech ***
'//*** Values for DAQmx_CI_DataXferMech ***
'//*** Value set DataTransferMechanism ***
public const DAQmx_Val_DMA as long = 10054  '// DMA
public const DAQmx_Val_Interrupts as long = 10204  '// Interrupts
public const DAQmx_Val_ProgrammedIO as long = 10264  '// Programmed I/O
'//*** Values for DAQmx_Watchdog_DO_ExpirState ***
'//*** Value set DigitalLineState ***
public const DAQmx_Val_NoChange as long = 10160  '// No Change
'//*** Values for DAQmx_StartTrig_DelayUnits ***
'//*** Value set DigitalWidthUnits1 ***
public const DAQmx_Val_SampClkPeriods as long = 10286  '// Sample Clock Periods
public const DAQmx_Val_Seconds as long = 10364  '// Seconds
'//*** Values for DAQmx_DelayFromSampClk_DelayUnits ***
'//*** Value set DigitalWidthUnits2 ***
'//*** Values for DAQmx_Exported_AdvTrig_Pulse_WidthUnits ***
'//*** Value set DigitalWidthUnits3 ***
'//*** Values for DAQmx_CI_Freq_StartingEdge ***
'//*** Values for DAQmx_CI_Period_StartingEdge ***
'//*** Values for DAQmx_CI_CountEdges_ActiveEdge ***
'//*** Values for DAQmx_CI_PulseWidth_StartingEdge ***
'//*** Values for DAQmx_CI_TwoEdgeSep_FirstEdge ***
'//*** Values for DAQmx_CI_TwoEdgeSep_SecondEdge ***
'//*** Values for DAQmx_CI_CtrTimebaseActiveEdge ***
'//*** Values for DAQmx_CO_CtrTimebaseActiveEdge ***
'//*** Values for DAQmx_SampClk_ActiveEdge ***
'//*** Values for DAQmx_SampClk_Timebase_ActiveEdge ***
'//*** Values for DAQmx_AIConv_ActiveEdge ***
'//*** Values for DAQmx_DigEdge_StartTrig_Edge ***
'//*** Values for DAQmx_DigEdge_RefTrig_Edge ***
'//*** Values for DAQmx_DigEdge_AdvTrig_Edge ***
'//*** Values for DAQmx_DigEdge_ArmStartTrig_Edge ***
'//*** Values for DAQmx_DigEdge_WatchdogExpirTrig_Edge ***
'//*** Value set Edge1 ***
'//*** Values for DAQmx_CI_Encoder_DecodingType ***
'//*** Value set EncoderType2 ***
public const DAQmx_Val_X1 as long = 10090  '// X1
public const DAQmx_Val_X2 as long = 10091  '// X2
public const DAQmx_Val_X4 as long = 10092  '// X4
public const DAQmx_Val_TwoPulseCounting as long = 10313  '// Two Pulse Counting
'//*** Values for DAQmx_CI_Encoder_ZIndexPhase ***
'//*** Value set EncoderZIndexPhase1 ***
public const DAQmx_Val_AHighBHigh as long = 10040  '// A High B High
public const DAQmx_Val_AHighBLow as long = 10041  '// A High B Low
public const DAQmx_Val_ALowBHigh as long = 10042  '// A Low B High
public const DAQmx_Val_ALowBLow as long = 10043  '// A Low B Low
'//*** Values for DAQmx_AI_Excit_DCorAC ***
'//*** Value set ExcitationDCorAC ***
'//*** Values for DAQmx_AI_Excit_Src ***
'//*** Value set ExcitationSource ***
'//*** Values for DAQmx_AI_Excit_VoltageOrCurrent ***
'//*** Value set ExcitationVoltageOrCurrent ***
'//*** Values for DAQmx_Exported_CtrOutEvent_OutputBehavior ***
'//*** Value set ExportActions2 ***
public const DAQmx_Val_Pulse as long = 10265  '// Pulse
public const DAQmx_Val_Toggle as long = 10307  '// Toggle
'//*** Values for DAQmx_Exported_SampClk_OutputBehavior ***
'//*** Value set ExportActions3 ***
public const DAQmx_Val_Lvl as long = 10210  '// Level
'//*** Values for DAQmx_AI_Freq_Units ***
'//*** Value set FrequencyUnits ***
public const DAQmx_Val_Hz as long = 10373  '// Hz
'//*** Values for DAQmx_CO_Pulse_Freq_Units ***
'//*** Value set FrequencyUnits2 ***
'//*** Values for DAQmx_CI_Freq_Units ***
'//*** Value set FrequencyUnits3 ***
'//*** Values for DAQmx_AI_DataXferReqCond ***
'//*** Value set InputDataTransferCondition ***
public const DAQmx_Val_OnBrdMemMoreThanHalfFull as long = 10237  '// On Board Memory More than Half Full
public const DAQmx_Val_OnBrdMemNotEmpty as long = 10241  '// On Board Memory Not Empty
'//*** Values for DAQmx_AI_TermCfg ***
'//*** Value set InputTermCfg ***
public const DAQmx_Val_RSE as long = 10083  '// RSE
public const DAQmx_Val_NRSE as long = 10078  '// NRSE
public const DAQmx_Val_Diff as long = 10106  '// Differential
'//*** Values for DAQmx_AI_LVDT_SensitivityUnits ***
'//*** Value set LVDTSensitivityUnits1 ***
public const DAQmx_Val_mVoltsPerVoltPerMillimeter as long = 12506  '// mVolts/Volt/mMeter
public const DAQmx_Val_mVoltsPerVoltPerMilliInch as long = 12505  '// mVolts/Volt/0.001 Inch
'//*** Values for DAQmx_AI_LVDT_Units ***
'//*** Value set LengthUnits2 ***
public const DAQmx_Val_Meters as long = 10219  '// Meters
public const DAQmx_Val_Inches as long = 10379  '// Inches
'//*** Values for DAQmx_CI_LinEncoder_Units ***
'//*** Value set LengthUnits3 ***
'//*** Values for DAQmx_CI_OutputState ***
'//*** Values for DAQmx_CO_Pulse_IdleState ***
'//*** Values for DAQmx_CO_OutputState ***
'//*** Values for DAQmx_Exported_CtrOutEvent_Toggle_IdleState ***
'//*** Values for DAQmx_DigLvl_PauseTrig_When ***
'//*** Value set Level1 ***
'//*** Values for DAQmx_AIConv_Timebase_Src ***
'//*** Value set MIOAIConvertTbSrc ***
public const DAQmx_Val_SameAsSampTimebase as long = 10284  '// Same as Sample Timebase
public const DAQmx_Val_SameAsMasterTimebase as long = 10282  '// Same as Master Timebase
'//*** Values for DAQmx_AO_DataXferReqCond ***
'//*** Value set OutputDataTransferCondition ***
public const DAQmx_Val_OnBrdMemEmpty as long = 10235  '// On Board Memory Empty
public const DAQmx_Val_OnBrdMemHalfFullOrLess as long = 10239  '// On Board Memory Half Full or Less
public const DAQmx_Val_OnBrdMemNotFull as long = 10242  '// On Board Memory Less than Full
'//*** Values for DAQmx_Read_OverWrite ***
'//*** Value set OverwriteMode1 ***
public const DAQmx_Val_OverwriteUnreadSamps as long = 10252  '// Overwrite Unread Samples
public const DAQmx_Val_DoNotOverwriteUnreadSamps as long = 10159  '// Do Not Overwrite Unread Samples
'//*** Values for DAQmx_Exported_AIConvClk_Pulse_Polarity ***
'//*** Values for DAQmx_Exported_AdvTrig_Pulse_Polarity ***
'//*** Values for DAQmx_Exported_AdvCmpltEvent_Pulse_Polarity ***
'//*** Values for DAQmx_Exported_AIHoldCmpltEvent_PulsePolarity ***
'//*** Values for DAQmx_Exported_CtrOutEvent_Pulse_Polarity ***
'//*** Value set Polarity2 ***
public const DAQmx_Val_ActiveHigh as long = 10095  '// Active High
public const DAQmx_Val_ActiveLow as long = 10096  '// Active Low
'//*** Values for DAQmx_AI_RTD_Type ***
'//*** Value set RTDType1 ***
public const DAQmx_Val_Pt3750 as long = 12481  '// Pt3750
public const DAQmx_Val_Pt3851 as long = 10071  '// Pt3851
public const DAQmx_Val_Pt3911 as long = 12482  '// Pt3911
public const DAQmx_Val_Pt3916 as long = 10069  '// Pt3916
public const DAQmx_Val_Pt3920 as long = 10053  '// Pt3920
public const DAQmx_Val_Pt3928 as long = 12483  '// Pt3928
public const DAQmx_Val_Custom as long = 10137  '// Custom
'//*** Values for DAQmx_AI_RVDT_SensitivityUnits ***
'//*** Value set RVDTSensitivityUnits1 ***
public const DAQmx_Val_mVoltsPerVoltPerDegree as long = 12507  '// mVolts/Volt/Degree
public const DAQmx_Val_mVoltsPerVoltPerRadian as long = 12508  '// mVolts/Volt/Radian
'//*** Values for DAQmx_Read_RelativeTo ***
'//*** Value set ReadRelativeTo ***
public const DAQmx_Val_FirstSample as long = 10424  '// First Sample
public const DAQmx_Val_CurrReadPos as long = 10425  '// Current Read Position
public const DAQmx_Val_RefTrig as long = 10426  '// Reference Trigger
public const DAQmx_Val_FirstPretrigSamp as long = 10427  '// First Pretrigger Sample
public const DAQmx_Val_MostRecentSamp as long = 10428  '// Most Recent Sample
'//*** Values for DAQmx_Write_RegenMode ***
'//*** Value set RegenerationMode1 ***
public const DAQmx_Val_AllowRegen as long = 10097  '// Allow Regeneration
public const DAQmx_Val_DoNotAllowRegen as long = 10158  '// Do Not Allow Regeneration
'//*** Values for DAQmx_AI_ResistanceCfg ***
'//*** Value set ResistanceConfiguration ***
public const DAQmx_Val_2Wire as long = 2  '// 2-Wire
public const DAQmx_Val_3Wire as long = 3  '// 3-Wire
'//*** Values for DAQmx_AI_Resistance_Units ***
'//*** Value set ResistanceUnits1 ***
public const DAQmx_Val_Ohms as long = 10384  '// Ohms
'//*** Values for DAQmx_AI_ResolutionUnits ***
'//*** Values for DAQmx_AO_ResolutionUnits ***
'//*** Value set ResolutionType1 ***
public const DAQmx_Val_Bits as long = 10109  '// Bits
'//*** Values for DAQmx_SampTimingType ***
'//*** Value set SampleTimingType ***
public const DAQmx_Val_SampClk as long = 10388  '// Sample Clock
public const DAQmx_Val_Handshake as long = 10389  '// Handshake
public const DAQmx_Val_Implicit as long = 10451  '// Implicit
public const DAQmx_Val_OnDemand as long = 10390  '// On Demand
public const DAQmx_Val_ChangeDetection as long = 12504  '// Change Detection
'//*** Values for DAQmx_Scale_Type ***
'//*** Value set ScaleType ***
public const DAQmx_Val_Linear as long = 10447  '// Linear
public const DAQmx_Val_MapRanges as long = 10448  '// Map Ranges
public const DAQmx_Val_Polynomial as long = 10449  '// Polynomial
public const DAQmx_Val_Table as long = 10450  '// Table
'//*** Values for DAQmx_AI_Bridge_ShuntCal_Select ***
'//*** Value set ShuntCalSelect ***
public const DAQmx_Val_A as long = 12513  '// A
public const DAQmx_Val_B as long = 12514  '// B
public const DAQmx_Val_AandB as long = 12515  '// A and B
'//*** Values for DAQmx_AnlgEdge_StartTrig_Slope ***
'//*** Values for DAQmx_AnlgEdge_RefTrig_Slope ***
'//*** Value set Slope1 ***
public const DAQmx_Val_RisingSlope as long = 10280  '// Rising
public const DAQmx_Val_FallingSlope as long = 10171  '// Falling
'//*** Values for DAQmx_AI_Lowpass_SwitchCap_ClkSrc ***
'//*** Values for DAQmx_AO_DAC_Ref_Src ***
'//*** Value set SourceSelection ***
'//*** Values for DAQmx_AI_StrainGage_Cfg ***
'//*** Value set StrainGageBridgeType1 ***
public const DAQmx_Val_FullBridgeI as long = 10183  '// Full Bridge I
public const DAQmx_Val_FullBridgeII as long = 10184  '// Full Bridge II
public const DAQmx_Val_FullBridgeIII as long = 10185  '// Full Bridge III
public const DAQmx_Val_HalfBridgeI as long = 10188  '// Half Bridge I
public const DAQmx_Val_HalfBridgeII as long = 10189  '// Half Bridge II
public const DAQmx_Val_QuarterBridgeI as long = 10271  '// Quarter Bridge I
public const DAQmx_Val_QuarterBridgeII as long = 10272  '// Quarter Bridge II
'//*** Values for DAQmx_AI_Strain_Units ***
'//*** Value set StrainUnits1 ***
public const DAQmx_Val_Strain as long = 10299  '// Strain
'//*** Values for DAQmx_SwitchScan_RepeatMode ***
'//*** Value set SwitchScanRepeatMode ***
public const DAQmx_Val_Finite as long = 10172  '// Finite
public const DAQmx_Val_Cont as long = 10117  '// Continuous
'//*** Values for DAQmx_SwitchChan_Usage ***
'//*** Value set SwitchUsageTypes ***
public const DAQmx_Val_Source as long = 10439  '// Source
public const DAQmx_Val_Load as long = 10440  '// Load
public const DAQmx_Val_ReservedForRouting as long = 10441  '// Reserved for Routing
'//*** Values for DAQmx_AI_Temp_Units ***
'//*** Value set TemperatureUnits1 ***
'//*** Values for DAQmx_AI_Thrmcpl_Type ***
'//*** Value set ThermocoupleType1 ***
public const DAQmx_Val_J_Type_TC as long = 10072  '// J
public const DAQmx_Val_K_Type_TC as long = 10073  '// K
public const DAQmx_Val_N_Type_TC as long = 10077  '// N
public const DAQmx_Val_R_Type_TC as long = 10082  '// R
public const DAQmx_Val_S_Type_TC as long = 10085  '// S
public const DAQmx_Val_T_Type_TC as long = 10086  '// T
public const DAQmx_Val_B_Type_TC as long = 10047  '// B
public const DAQmx_Val_E_Type_TC as long = 10055  '// E
'//*** Values for DAQmx_CO_Pulse_Time_Units ***
'//*** Value set TimeUnits2 ***
'//*** Values for DAQmx_CI_Period_Units ***
'//*** Values for DAQmx_CI_PulseWidth_Units ***
'//*** Values for DAQmx_CI_TwoEdgeSep_Units ***
'//*** Values for DAQmx_CI_SemiPeriod_Units ***
'//*** Value set TimeUnits3 ***
'//*** Values for DAQmx_RefTrig_Type ***
'//*** Value set TriggerType1 ***
public const DAQmx_Val_AnlgEdge as long = 10099  '// Analog Edge
public const DAQmx_Val_DigEdge as long = 10150  '// Digital Edge
public const DAQmx_Val_AnlgWin as long = 10103  '// Analog Window
'//*** Values for DAQmx_ArmStartTrig_Type ***
'//*** Values for DAQmx_WatchdogExpirTrig_Type ***
'//*** Value set TriggerType4 ***
'//*** Values for DAQmx_AdvTrig_Type ***
'//*** Value set TriggerType5 ***
public const DAQmx_Val_Software as long = 10292  '// Software
'//*** Values for DAQmx_PauseTrig_Type ***
'//*** Value set TriggerType6 ***
public const DAQmx_Val_AnlgLvl as long = 10101  '// Analog Level
public const DAQmx_Val_DigLvl as long = 10152  '// Digital Level
'//*** Values for DAQmx_StartTrig_Type ***
'//*** Value set TriggerType8 ***
'//*** Values for DAQmx_Scale_PreScaledUnits ***
'//*** Value set UnitsPreScaled ***
public const DAQmx_Val_Volts as long = 10348  '// Volts
public const DAQmx_Val_g as long = 10186  '// g
'//*** Values for DAQmx_AI_Voltage_Units ***
'//*** Value set VoltageUnits1 ***
'//*** Values for DAQmx_AO_Voltage_Units ***
'//*** Value set VoltageUnits2 ***
'//*** Values for DAQmx_AnlgWin_StartTrig_When ***
'//*** Values for DAQmx_AnlgWin_RefTrig_When ***
'//*** Value set WindowTriggerCondition1 ***
public const DAQmx_Val_EnteringWin as long = 10163  '// Entering Window
public const DAQmx_Val_LeavingWin as long = 10208  '// Leaving Window
'//*** Values for DAQmx_AnlgWin_PauseTrig_When ***
'//*** Value set WindowTriggerCondition2 ***
public const DAQmx_Val_InsideWin as long = 10199  '// Inside Window
public const DAQmx_Val_OutsideWin as long = 10251  '// Outside Window
'//*** Values for DAQmx_Write_RelativeTo ***
'//*** Value set WriteRelativeTo ***
public const DAQmx_Val_CurrWritePos as long = 10430  '// Current Write Position
'/******************************************************************************
'/******************************************************/
'/***         Task Configuration/Control             ***/
'/******************************************************/
Public Declare Function vbDAQmxBaseLoadTask Lib "niDAQmxBaseWrapper.dll" (ByVal taskName as String, ByRef taskHandle as Long) as Long
Public Declare Function vbDAQmxBaseCreateTask Lib "niDAQmxBaseWrapper.dll" (ByVal taskName as String, ByRef taskHandle as Long) as Long
'// Channel Names must be valid channels already available in MAX. They are not created.
'//int32 DllExport __CFUNC     DAQmxBaseAddGlobalChansToTask(TaskHandle taskHandle, const char channelNames[]);
Public Declare Function vbDAQmxBaseStartTask Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long) as Long
Public Declare Function vbDAQmxBaseStopTask Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long) as Long
Public Declare Function vbDAQmxBaseClearTask Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long) as Long
'//int32 DllExport __CFUNC     DAQmxBaseWaitUntilTaskDone   (TaskHandle taskHandle, float64 timeToWait);
Public Declare Function vbDAQmxBaseIsTaskDone Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long, ByRef isTaskDone as Long) as Long
'//int32 DllExport __CFUNC     DAQmxBaseTaskControl         (TaskHandle taskHandle, int32 action);
'//int32 DllExport __CFUNC     DAQmxBaseGetNthTaskChannel   (TaskHandle taskHandle, uInt32 index, char buffer[], int32 bufferSize);
'//int32 DllExport __CFUNC_C   DAQmxBaseGetTaskAttribute    (TaskHandle taskHandle, int32 attribute, void *value, ...);
'/******************************************************/
'/***        Channel Configuration/Creation          ***/
'/******************************************************/
Public Declare Function vbDAQmxBaseCreateAIVoltageChan Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long, ByVal physicalChannel as String, ByVal nameToAssignToChannel as String, ByVal terminalConfig as Long, ByVal minVal as Double, ByVal maxVal as Double, ByVal units as Long, ByVal customScaleName as String) as Long
'//int32 DllExport __CFUNC     DAQmxBaseCreateAICurrentChan          (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], int32 terminalConfig, float64 minVal, float64 maxVal, int32 units, int32 shuntResistorLoc, float64 extShuntResistorVal, const char customScaleName[]);
Public Declare Function vbDAQmxBaseCreateAIThrmcplChan Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long, ByVal physicalChannel as String, ByVal nameToAssignToChannel as String, ByVal minVal as Double, ByVal maxVal as Double, ByVal units as Long, ByVal thermocoupleType as Long, ByVal cjcSource as Long, ByVal cjcVal as Double, ByVal cjcChannel as String) as Long
'//int32 DllExport __CFUNC     DAQmxBaseCreateAIRTDChan              (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, int32 rtdType, int32 resistanceConfig, int32 currentExcitSource, float64 currentExcitVal, float64 r0);
'//int32 DllExport __CFUNC     DAQmxBaseCreateAIThrmstrChanIex       (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, int32 resistanceConfig, int32 currentExcitSource, float64 currentExcitVal, float64 a, float64 b, float64 c);
'//int32 DllExport __CFUNC     DAQmxBaseCreateAIThrmstrChanVex       (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, int32 resistanceConfig, int32 voltageExcitSource, float64 voltageExcitVal, float64 a, float64 b, float64 c, float64 r1);
'//int32 DllExport __CFUNC     DAQmxBaseCreateAIFreqVoltageChan      (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, float64 thresholdLevel, float64 hysteresis, const char customScaleName[]);
'//int32 DllExport __CFUNC     DAQmxBaseCreateAIResistanceChan       (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, int32 resistanceConfig, int32 currentExcitSource, float64 currentExcitVal, const char customScaleName[]);
'//int32 DllExport __CFUNC     DAQmxBaseCreateAIStrainGageChan       (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, int32 strainConfig, int32 voltageExcitSource, float64 voltageExcitVal, float64 gageFactor, float64 initialBridgeVoltage, float64 nominalGageResistance, float64 poissonRatio, float64 leadWireResistance, const char customScaleName[]);
'//int32 DllExport __CFUNC     DAQmxBaseCreateAIVoltageChanWithExcit (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], int32 terminalConfig, float64 minVal, float64 maxVal, int32 units, int32 bridgeConfig, int32 voltageExcitSource, float64 voltageExcitVal, bool32 useExcitForScaling, const char customScaleName[]);
'//int32 DllExport __CFUNC     DAQmxBaseCreateAITempBuiltInSensorChan(TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], int32 units);
'//int32 DllExport __CFUNC     DAQmxBaseCreateAIAccelChan            (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], int32 terminalConfig, float64 minVal, float64 maxVal, int32 units, float64 sensitivity, int32 sensitivityUnits, int32 currentExcitSource, float64 currentExcitVal, const char customScaleName[]);
'//int32 DllExport __CFUNC     DAQmxBaseCreateAIPosLVDTChan          (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, float64 sensitivity, int32 sensitivityUnits, int32 voltageExcitSource, float64 voltageExcitVal, float64 voltageExcitFreq, int32 ACExcitWireMode, const char customScaleName[]);
'//int32 DllExport __CFUNC     DAQmxBaseCreateAIPosRVDTChan          (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, float64 sensitivity, int32 sensitivityUnits, int32 voltageExcitSource, float64 voltageExcitVal, float64 voltageExcitFreq, int32 ACExcitWireMode, const char customScaleName[]);
'// Function DAQmxBaseCreateAIDeviceTempChan is obsolete and has been replaced by DAQmxBaseCreateAITempBuiltInSensorChan
'//int32 DllExport __CFUNC     DAQmxBaseCreateAIDeviceTempChan       (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], int32 units);
Public Declare Function vbDAQmxBaseCreateAOVoltageChan Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long, ByVal physicalChannel as String, ByVal nameToAssignToChannel as String, ByVal minVal as Double, ByVal maxVal as Double, ByVal units as Long, ByVal customScaleName as String) as Long
'//int32 DllExport __CFUNC     DAQmxBaseCreateAOCurrentChan          (TaskHandle taskHandle, const char physicalChannel[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, const char customScaleName[]);
Public Declare Function vbDAQmxBaseCreateDIChan Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long, ByVal lines as String, ByVal nameToAssignToLines as String, ByVal lineGrouping as Long) as Long
Public Declare Function vbDAQmxBaseCreateDOChan Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long, ByVal lines as String, ByVal nameToAssignToLines as String, ByVal lineGrouping as Long) as Long
'//int32 DllExport __CFUNC     DAQmxBaseCreateCIFreqChan             (TaskHandle taskHandle, const char counter[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, int32 edge, int32 measMethod, float64 measTime, uInt32 divisor, const char customScaleName[]);
Public Declare Function vbDAQmxBaseCreateCIPeriodChan Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long, ByVal counter as String, ByVal nameToAssignToChannel as String, ByVal minVal as Double, ByVal maxVal as Double, ByVal units as Long, ByVal edge as Long, ByVal measMethod as Long, ByVal measTime as Double, ByVal divisor as Long, ByVal customScaleName as String) as Long
Public Declare Function vbDAQmxBaseCreateCICountEdgesChan Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long, ByVal counter as String, ByVal nameToAssignToChannel as String, ByVal edge as Long, ByVal initialCount as Long, ByVal countDirection as Long) as Long
Public Declare Function vbDAQmxBaseCreateCIPulseWidthChan Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long, ByVal counter as String, ByVal nameToAssignToChannel as String, ByVal minVal as Double, ByVal maxVal as Double, ByVal units as Long, ByVal startingEdge as Long, ByVal customScaleName as String) as Long
'//int32 DllExport __CFUNC     DAQmxBaseCreateCISemiPeriodChan       (TaskHandle taskHandle, const char counter[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, const char customScaleName[]);
'//int32 DllExport __CFUNC     DAQmxBaseCreateCITwoEdgeSepChan       (TaskHandle taskHandle, const char counter[], const char nameToAssignToChannel[], float64 minVal, float64 maxVal, int32 units, int32 firstEdge, int32 secondEdge, const char customScaleName[]);
'//int32 DllExport __CFUNC     DAQmxBaseCreateCILinEncoderChan       (TaskHandle taskHandle, const char counter[], const char nameToAssignToChannel[], int32 decodingType, bool32 ZidxEnable, float64 ZidxVal, int32 ZidxPhase, int32 units, float64 distPerPulse, float64 initialPos, const char customScaleName[]);
'//int32 DllExport __CFUNC     DAQmxBaseCreateCIAngEncoderChan       (TaskHandle taskHandle, const char counter[], const char nameToAssignToChannel[], int32 decodingType, bool32 ZidxEnable, float64 ZidxVal, int32 ZidxPhase, int32 units, uInt32 pulsesPerRev, float64 initialAngle, const char customScaleName[]);
Public Declare Function vbDAQmxBaseCreateCOPulseChanFreq Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long, ByVal counter as String, ByVal nameToAssignToChannel as String, ByVal units as Long, ByVal idleState as Long, ByVal initialDelay as Double, ByVal freq as Double, ByVal dutyCycle as Double) as Long
'//int32 DllExport __CFUNC     DAQmxBaseCreateCOPulseChanTime        (TaskHandle taskHandle, const char counter[], const char nameToAssignToChannel[], int32 units, int32 idleState, float64 initialDelay, float64 lowTime, float64 highTime);
'//int32 DllExport __CFUNC     DAQmxBaseCreateCOPulseChanTicks       (TaskHandle taskHandle, const char counter[], const char nameToAssignToChannel[], const char sourceTerminal[], int32 idleState, int32 initialDelay, int32 lowTicks, int32 highTicks);
'//int32 DllExport __CFUNC_C   DAQmxBaseGetChanAttribute             (TaskHandle taskHandle, const char channel[], int32 attribute, void *value, ...);
'//int32 DllExport __CFUNC_C   DAQmxBaseSetChanAttribute             (TaskHandle taskHandle, const char channel[], int32 attribute, ...);
'//int32 DllExport __CFUNC     DAQmxBaseResetChanAttribute           (TaskHandle taskHandle, const char channel[], int32 attribute);
'/******************************************************/
'/***                    Timing                      ***/
'/******************************************************/
'// (Analog/Counter Timing)
Public Declare Function vbDAQmxBaseCfgSampClkTiming Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long, ByVal source as String, ByVal rate as Double, ByVal activeEdge as Long, ByVal sampleMode as Long, ByVal sampsPerChan as Currency) as Long
'// (Digital Timing)
'//int32 DllExport __CFUNC     DAQmxBaseCfgHandshakingTiming      (TaskHandle taskHandle, int32 sampleMode, uInt64 sampsPerChan);
'//int32 DllExport __CFUNC     DAQmxBaseCfgChangeDetectionTiming  (TaskHandle taskHandle, const char risingEdgeChan[], const char fallingEdgeChan[], int32 sampleMode, uInt64 sampsPerChan);
'// (Counter Timing)
Public Declare Function vbDAQmxBaseCfgImplicitTiming Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long, ByVal sampleMode as Long, ByVal sampsPerChan as Currency) as Long
'//int32 DllExport __CFUNC_C   DAQmxBaseGetTimingAttribute        (TaskHandle taskHandle, int32 attribute, void *value, ...);
'//int32 DllExport __CFUNC_C   DAQmxBaseSetTimingAttribute        (TaskHandle taskHandle, int32 attribute, ...);
'//int32 DllExport __CFUNC     DAQmxBaseResetTimingAttribute      (TaskHandle taskHandle, int32 attribute);
'/******************************************************/
'/***                  Triggering                    ***/
'/******************************************************/
Public Declare Function vbDAQmxBaseDisableStartTrig Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long) as Long
Public Declare Function vbDAQmxBaseCfgDigEdgeStartTrig Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long, ByVal triggerSource as String, ByVal triggerEdge as Long) as Long
Public Declare Function vbDAQmxBaseCfgAnlgEdgeStartTrig Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long, ByVal triggerSource as String, ByVal triggerSlope as Long, ByVal triggerLevel as Double) as Long
'//int32 DllExport __CFUNC     DAQmxBaseCfgAnlgWindowStartTrig(TaskHandle taskHandle, const char triggerSource[], int32 triggerWhen, float64 windowTop, float64 windowBottom);
Public Declare Function vbDAQmxBaseDisableRefTrig Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long) as Long
Public Declare Function vbDAQmxBaseCfgDigEdgeRefTrig Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long, ByVal triggerSource as String, ByVal triggerEdge as Long, ByVal pretriggerSamples as Long) as Long
Public Declare Function vbDAQmxBaseCfgAnlgEdgeRefTrig Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long, ByVal triggerSource as String, ByVal triggerSlope as Long, ByVal triggerLevel as Double, ByVal pretriggerSamples as Long) as Long
'//int32 DllExport __CFUNC     DAQmxBaseCfgAnlgWindowRefTrig  (TaskHandle taskHandle, const char triggerSource[], int32 triggerWhen, float64 windowTop, float64 windowBottom, uInt32 pretriggerSamples);
'//int32 DllExport __CFUNC     DAQmxBaseDisableAdvTrig        (TaskHandle taskHandle);
'//int32 DllExport __CFUNC     DAQmxBaseCfgDigEdgeAdvTrig     (TaskHandle taskHandle, const char triggerSource[], int32 triggerEdge);
'//int32 DllExport __CFUNC_C   DAQmxBaseGetTrigAttribute      (TaskHandle taskHandle, int32 attribute, void *value, ...);
'//int32 DllExport __CFUNC_C   DAQmxBaseSetTrigAttribute      (TaskHandle taskHandle, int32 attribute, ...);
'//int32 DllExport __CFUNC     DAQmxBaseResetTrigAttribute    (TaskHandle taskHandle, int32 attribute);
'//int32 DllExport __CFUNC     DAQmxBaseSendSoftwareTrigger   (TaskHandle taskHandle, int32 triggerID);
'/******************************************************/
'/***                 Read Data                      ***/
'/******************************************************/
Public Declare Function vbDAQmxBaseReadAnalogF64 Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long, ByVal numSampsPerChan as Long, ByVal timeout as Double, ByVal fillMode as Long, ByRef readArray() as Double, ByVal arraySizeInSamps as Long, ByRef sampsPerChanRead as Long, ByRef reserved as Long) as Long
'//int32 DllExport __CFUNC     DAQmxBaseReadAnalogScalarF64   (TaskHandle taskHandle, float64 timeout, float64 *value, bool32 *reserved);
Public Declare Function vbDAQmxBaseReadBinaryI16 Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long, ByVal numSampsPerChan as Long, ByVal timeout as Double, ByVal fillMode as Long, ByRef readArray() as Integer, ByVal arraySizeInSamps as Long, ByRef sampsPerChanRead as Long, ByRef reserved as Long) as Long
'//int32 DllExport __CFUNC     DAQmxBaseReadBinaryU16         (TaskHandle taskHandle, int32 numSampsPerChan, float64 timeout, bool32 fillMode, uInt16 readArray[], uInt32 arraySizeInSamps, int32 *sampsPerChanRead, bool32 *reserved);
Public Declare Function vbDAQmxBaseReadDigitalU8 Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long, ByVal numSampsPerChan as Long, ByVal timeout as Double, ByVal fillMode as Long, ByRef readArray() as Integer, ByVal arraySizeInSamps as Long, ByRef sampsPerChanRead as Long, ByRef reserved as Long) as Long
Public Declare Function vbDAQmxBaseReadDigitalU32 Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long, ByVal numSampsPerChan as Long, ByVal timeout as Double, ByVal fillMode as Long, ByRef readArray() as Long, ByVal arraySizeInSamps as Long, ByRef sampsPerChanRead as Long, ByRef reserved as Long) as Long
Public Declare Function vbDAQmxBaseReadDigitalScalarU32 Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long, ByVal timeout as Double, ByRef value as Long, ByRef reserved as Long) as Long
'//int32 DllExport __CFUNC	    DAQmxBaseReadDigitalLines      (TaskHandle taskHandle, int32 numSampsPerChan, float64 timeout, bool32 fillMode, uInt8 readArray[], uInt32 arraySizeInBytes, int32 *sampsPerChanRead, int32 *numBytesPerSamp, bool32 *reserved);
Public Declare Function vbDAQmxBaseReadCounterF64 Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long, ByVal numSampsPerChan as Long, ByVal timeout as Double, ByRef readArray() as Double, ByVal arraySizeInSamps as Long, ByRef sampsPerChanRead as Long, ByRef reserved as Long) as Long
Public Declare Function vbDAQmxBaseReadCounterU32 Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long, ByVal numSampsPerChan as Long, ByVal timeout as Double, ByRef readArray() as Long, ByVal arraySizeInSamps as Long, ByRef sampsPerChanRead as Long, ByRef reserved as Long) as Long
Public Declare Function vbDAQmxBaseReadCounterScalarF64 Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long, ByVal timeout as Double, ByRef value as Double, ByRef reserved as Long) as Long
Public Declare Function vbDAQmxBaseReadCounterScalarU32 Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long, ByVal timeout as Double, ByRef value as Long, ByRef reserved as Long) as Long
'//int32 DllExport __CFUNC     DAQmxBaseReadRaw               (TaskHandle taskHandle, int32 numSampsPerChan, float64 timeout, void *readArray, uInt32 arraySizeInBytes, int32 *sampsRead, int32 *numBytesPerSamp, bool32 *reserved);
'//int32 DllExport __CFUNC     DAQmxBaseGetNthTaskReadChannel (TaskHandle taskHandle, uInt32 index, char buffer[], int32 bufferSize);
'//int32 DllExport __CFUNC_C   DAQmxBaseGetReadAttribute      (TaskHandle taskHandle, int32 attribute, void *value, ...);
'//int32 DllExport __CFUNC_C   DAQmxBaseSetReadAttribute      (TaskHandle taskHandle, int32 attribute, ...);
'//int32 DllExport __CFUNC     DAQmxBaseResetReadAttribute    (TaskHandle taskHandle, int32 attribute);
'/******************************************************/
'/***                 Write Data                     ***/
'/******************************************************/
Public Declare Function vbDAQmxBaseWriteAnalogF64 Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long, ByVal numSampsPerChan as Long, ByVal autoStart as Long, ByVal timeout as Double, ByVal dataLayout as Long, ByRef writeArray() as Double, ByRef sampsPerChanWritten as Long, ByRef reserved as Long) as Long
'//int32 DllExport __CFUNC     DAQmxBaseWriteAnalogScalarF64    (TaskHandle taskHandle, bool32 autoStart, float64 timeout, float64 value, bool32 *reserved);
'//int32 DllExport __CFUNC     DAQmxBaseWriteBinaryI16          (TaskHandle taskHandle, int32 numSampsPerChan, bool32 autoStart, float64 timeout, bool32 dataLayout, int16 writeArray[], int32 *sampsPerChanWritten, bool32 *reserved);
'//int32 DllExport __CFUNC     DAQmxBaseWriteBinaryU16          (TaskHandle taskHandle, int32 numSampsPerChan, bool32 autoStart, float64 timeout, bool32 dataLayout, uInt16 writeArray[], int32 *sampsPerChanWritten, bool32 *reserved);
Public Declare Function vbDAQmxBaseWriteDigitalU8 Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long, ByVal numSampsPerChan as Long, ByVal autoStart as Long, ByVal timeout as Double, ByVal dataLayout as Long, ByRef writeArray() as Integer, ByRef sampsPerChanWritten as Long, ByRef reserved as Long) as Long
Public Declare Function vbDAQmxBaseWriteDigitalU32 Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long, ByVal numSampsPerChan as Long, ByVal autoStart as Long, ByVal timeout as Double, ByVal dataLayout as Long, ByRef writeArray() as Long, ByRef sampsPerChanWritten as Long, ByRef reserved as Long) as Long
Public Declare Function vbDAQmxBaseWriteDigitalScalarU32 Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long, ByVal autoStart as Long, ByVal timeout as Double, ByVal value as Long, ByRef reserved as Long) as Long
'//int32 DllExport __CFUNC     DAQmxBaseWriteDigitalLines       (TaskHandle taskHandle, int32 numSampsPerChan, bool32 autoStart, float64 timeout, bool32 dataLayout, uInt8 writeArray[], int32 *sampsPerChanWritten, bool32 *reserved);
'//int32 DllExport __CFUNC     DAQmxBaseWriteRaw                (TaskHandle taskHandle, int32 numSamps, bool32 autoStart, float64 timeout, void *writeArray, int32 *sampsPerChanWritten, bool32 *reserved);
'//int32 DllExport __CFUNC_C   DAQmxBaseGetWriteAttribute       (TaskHandle taskHandle, int32 attribute, void *value);
'//int32 DllExport __CFUNC_C   DAQmxBaseSetWriteAttribute       (TaskHandle taskHandle, int32 attribute, ...);
'//int32 DllExport __CFUNC     DAQmxBaseResetWriteAttribute     (TaskHandle taskHandle, int32 attribute);
'/******************************************************/
'/***               Events & Signals                 ***/
'/******************************************************/
'// Terminology:  For hardware, "signals" comprise "clocks," "triggers," and (output) "events".
'// Software signals or events are not presently supported.
'//int32 DllExport __CFUNC     DAQmxBaseExportSignal                (TaskHandle taskHandle, int32 signalID, const char outputTerminal[]);
'//int32 DllExport __CFUNC_C   DAQmxBaseGetExportedSignalAttribute  (TaskHandle taskHandle, int32 attribute, void *value, ...);
'//int32 DllExport __CFUNC_C   DAQmxBaseSetExportedSignalAttribute  (TaskHandle taskHandle, int32 attribute, ...);
'//int32 DllExport __CFUNC     DAQmxBaseResetExportedSignalAttribute(TaskHandle taskHandle, int32 attribute);
'/******************************************************/
'/***              Scale Configurations              ***/
'/******************************************************/
'//int32 DllExport __CFUNC     DAQmxBaseCreateLinScale             (const char name[], float64 slope, float64 yIntercept, int32 preScaledUnits, const char scaledUnits[]);
'//int32 DllExport __CFUNC     DAQmxBaseCreateMapScale             (const char name[], float64 prescaledMin, float64 prescaledMax, float64 scaledMin, float64 scaledMax, int32 preScaledUnits, const char scaledUnits[]);
'//int32 DllExport __CFUNC     DAQmxBaseCreatePolynomialScale      (const char name[], float64 forwardCoeffs[], uInt32 numForwardCoeffsIn, float64 reverseCoeffs[], uInt32 numReverseCoeffsIn, int32 preScaledUnits, const char scaledUnits[]);
'//int32 DllExport __CFUNC     DAQmxBaseCreateTableScale           (const char name[], float64 prescaledVals[], uInt32 numPrescaledValsIn, float64 scaledVals[], uInt32 numScaledValsIn, int32 preScaledUnits, const char scaledUnits[]);
'//int32 DllExport __CFUNC     DAQmxBaseCalculateReversePolyCoeff  (float64 forwardCoeffs[], uInt32 numForwardCoeffsIn, float64 minValX, float64 maxValX, int32 numPointsToCompute, int32 reversePolyOrder, float64 reverseCoeffs[]);
'//int32 DllExport __CFUNC_C   DAQmxBaseGetScaleAttribute          (const char scaleName[], int32 attribute, void *value, ...);
'//int32 DllExport __CFUNC_C   DAQmxBaseSetScaleAttribute          (const char scaleName[], int32 attribute, ...);
'/******************************************************/
'/***             Buffer Configurations              ***/
'/******************************************************/
Public Declare Function vbDAQmxBaseCfgInputBuffer Lib "niDAQmxBaseWrapper.dll" (ByVal taskHandle as Long, ByVal numSampsPerChan as Long) as Long
'//int32 DllExport __CFUNC     DAQmxBaseCfgOutputBuffer  (TaskHandle taskHandle, uInt32 numSampsPerChan);
'/******************************************************/
'/***                Switch Functions                ***/
'/******************************************************/
'//int32 DllExport __CFUNC     DAQmxBaseSwitchCreateScanList      (const char scanList[], TaskHandle *taskHandle);
'//int32 DllExport __CFUNC     DAQmxBaseSwitchConnect             (const char switchChannel1[], const char switchChannel2[], bool32 waitForSettling);
'//int32 DllExport __CFUNC     DAQmxBaseSwitchConnectMulti        (const char connectionList[], bool32 waitForSettling);
'//int32 DllExport __CFUNC     DAQmxBaseSwitchDisconnect          (const char switchChannel1[], const char switchChannel2[], bool32 waitForSettling);
'//int32 DllExport __CFUNC     DAQmxBaseSwitchDisconnectMulti     (const char connectionList[], bool32 waitForSettling);
'//int32 DllExport __CFUNC     DAQmxBaseSwitchDisconnectAll       (const char deviceName[], bool32 waitForSettling);
'// Switch Topologies
public const DAQmx_Val_Switch_Topology_1127_Independent as string = "1127/Independent"  '// 1127/Independent
public const DAQmx_Val_Switch_Topology_1128_Independent as string = "1128/Independent"  '// 1128/Independent
public const DAQmx_Val_Switch_Topology_1130_Independent as string = "1130/Independent"  '// 1130/Independent
public const DAQmx_Val_Switch_Topology_1160_16_SPDT as string = "1160/16-SPDT"  '// 1160/16-SPDT
public const DAQmx_Val_Switch_Topology_1161_8_SPDT as string = "1161/8-SPDT"  '// 1161/8-SPDT
public const DAQmx_Val_Switch_Topology_1166_32_SPDT as string = "1166/32-SPDT"  '// 1166/32-SPDT
public const DAQmx_Val_Switch_Topology_1167_Independent as string = "1167/Independent"  '// 1167/Independent
public const DAQmx_Val_Switch_Topology_1192_8_SPDT as string = "1192/8-SPDT"  '// 1192/8-SPDT
public const DAQmx_Val_Switch_Topology_1193_Independent as string = "1193/Independent"  '// 1193/Independent
public const DAQmx_Val_Switch_Topology_2530_Independent as string = "2530/Independent"  '// 2530/Independent
public const DAQmx_Val_Switch_Topology_2566_16_SPDT as string = "2566/16-SPDT"  '// 2566/16-SPDT
public const DAQmx_Val_Switch_Topology_2567_Independent as string = "2567/Independent"  '// 2567/Independent
public const DAQmx_Val_Switch_Topology_2570_40_SPDT as string = "2570/40-SPDT"  '// 2570/40-SPDT
public const DAQmx_Val_Switch_Topology_2593_Independent as string = "2593/Independent"  '// 2593/Independent
'//int32 DllExport __CFUNC     DAQmxBaseSwitchSetTopologyAndReset (const char deviceName[], const char newTopology[]);
'// For possible values of the output parameter pathStatus see value set SwitchPathType in Values section above.
'//int32 DllExport __CFUNC     DAQmxBaseSwitchFindPath            (const char switchChannel1[], const char switchChannel2[], char path[], uInt32 pathBufferSize, int32 *pathStatus);
'//int32 DllExport __CFUNC     DAQmxBaseSwitchOpenRelays          (const char relayList[], bool32 waitForSettling);
'//int32 DllExport __CFUNC     DAQmxBaseSwitchCloseRelays         (const char relayList[], bool32 waitForSettling);
'//int32 DllExport __CFUNC     DAQmxBaseSwitchGetSingleRelayCount (const char relayName[], uInt32 *count);
'//int32 DllExport __CFUNC     DAQmxBaseSwitchGetMultiRelayCount  (const char relayList[], uInt32 count[], uInt32 countArraySize, uInt32 *numRelayCountsRead);
'// For possible values of the output parameter relayPos see value set RelayPos in Values section above.
'//int32 DllExport __CFUNC     DAQmxBaseSwitchGetSingleRelayPos   (const char relayName[], uInt32 *relayPos);
'// For possible values in the output array relayPos see value set RelayPos in Values section above.
'//int32 DllExport __CFUNC     DAQmxBaseSwitchGetMultiRelayPos    (const char relayList[], uInt32 relayPos[], uInt32 relayPosArraySize, uInt32 *numRelayPossRead);
'//int32 DllExport __CFUNC     DAQmxBaseSwitchWaitForSettling     (const char deviceName[]);
'//int32 DllExport __CFUNC_C   DAQmxBaseGetSwitchChanAttribute    (const char switchChannelName[], int32 attribute, void *value);
'//int32 DllExport __CFUNC_C   DAQmxBaseSetSwitchChanAttribute    (const char switchChannelName[], int32 attribute, ...);
'//int32 DllExport __CFUNC_C   DAQmxBaseGetSwitchDeviceAttribute  (const char deviceName[], int32 attribute, void *value, ...);
'//int32 DllExport __CFUNC_C   DAQmxBaseSetSwitchDeviceAttribute  (const char deviceName[], int32 attribute, ...);
'//int32 DllExport __CFUNC_C   DAQmxBaseGetSwitchScanAttribute    (TaskHandle taskHandle, int32 attribute, void *value);
'//int32 DllExport __CFUNC_C   DAQmxBaseSetSwitchScanAttribute    (TaskHandle taskHandle, int32 attribute, ...);
'//int32 DllExport __CFUNC     DAQmxBaseResetSwitchScanAttribute  (TaskHandle taskHandle, int32 attribute);
'/******************************************************/
'/***                Signal Routing                  ***/
'/******************************************************/
'//int32 DllExport __CFUNC     DAQmxBaseConnectTerms         (const char sourceTerminal[], const char destinationTerminal[], int32 signalModifiers);
'//int32 DllExport __CFUNC     DAQmxBaseDisconnectTerms      (const char sourceTerminal[], const char destinationTerminal[]);
'//int32 DllExport __CFUNC     DAQmxBaseTristateOutputTerm   (const char outputTerminal[]);
'/******************************************************/
'/***                Device Control                  ***/
'/******************************************************/
Public Declare Function vbDAQmxBaseResetDevice Lib "niDAQmxBaseWrapper.dll" (ByVal deviceName as String) as Long
'//int32 DllExport __CFUNC_C   DAQmxBaseGetDeviceAttribute       (const char deviceName[], int32 attribute, void *value, ...);
'/******************************************************/
'/***              Watchdog Timer                    ***/
'/******************************************************/
'//int32 DllExport __CFUNC_C   DAQmxBaseCreateWatchdogTimerTask    (const char deviceName[], const char taskName[], TaskHandle *taskHandle, float64 timeout, const char lines[], int32 expState, ...);
'//int32 DllExport __CFUNC     DAQmxBaseControlWatchdogTask        (TaskHandle taskHandle, int32 action);
'//int32 DllExport __CFUNC_C  DAQmxBaseGetWatchdogAttribute        (TaskHandle taskHandle, const char lines[], int32 attribute, void *value, ...);
'//int32 DllExport __CFUNC_C  DAQmxBaseSetWatchdogAttribute        (TaskHandle taskHandle, const char lines[], int32 attribute, ...);
'//int32 DllExport __CFUNC    DAQmxBaseResetWatchdogAttribute      (TaskHandle taskHandle, const char lines[], int32 attribute);
'/******************************************************/
'/***                 Calibration                    ***/
'/******************************************************/
'//int32 DllExport __CFUNC     DAQmxBaseSelfCal                    (const char deviceName[]);
'//int32 DllExport __CFUNC     DAQmxBaseGetSelfCalLastDateAndTime  (const char deviceName[], uInt32 *year, uInt32 *month, uInt32 *day, uInt32 *hour, uInt32 *minute);
'//int32 DllExport __CFUNC     DAQmxBaseGetExtCalLastDateAndTime   (const char deviceName[], uInt32 *year, uInt32 *month, uInt32 *day, uInt32 *hour, uInt32 *minute);
'//int32 DllExport __CFUNC     DAQmxBaseRestoreLastExtCalConst     (const char deviceName[]);
'//int32 DllExport __CFUNC     DAQmxBaseESeriesCalAdjust           (uInt32 calHandle, float64 referenceVoltage);
'//int32 DllExport __CFUNC     DAQmxBaseSCBaseboardCalAdjust       (uInt32 calHandle, float64 referenceVoltage);
'//int32 DllExport __CFUNC     DAQmxBaseAOSeriesCalAdjust          (uInt32 calHandle, float64 referenceVoltage);
'//int32 DllExport __CFUNC     DAQmxBaseInitExtCal                 (const char deviceName[], const char password[], uInt32 *calHandle);
'//int32 DllExport __CFUNC     DAQmxBaseCloseExtCal                (uInt32 calHandle, int32 action);
'//int32 DllExport __CFUNC     DAQmxBaseChangeExtCalPassword       (const char deviceName[], const char password[], const char newPassword[]);
'//int32 DllExport __CFUNC     DAQmxBaseDeviceSupportsCal          (const char deviceName[], bool32 *calSupported);
'//int32 DllExport __CFUNC_C   DAQmxBaseGetCalInfoAttribute        (const char deviceName[], int32 attribute, void *value, ...);
'//int32 DllExport __CFUNC_C   DAQmxBaseSetCalInfoAttribute        (const char deviceName[], int32 attribute, ...);
'/******************************************************/
'/***              System Configuration              ***/
'/******************************************************/
'//int32 DllExport __CFUNC_C   DAQmxBaseGetSystemInfoAttribute (int32 attribute, void *value, ...);
'//int32 DllExport __CFUNC_C   DAQmxBaseSetDigitalPowerUpStates(const char deviceName[], const char channelNames[], int32 state, ...);
'/******************************************************/
'/***                 Error Handling                 ***/
'/******************************************************/
'//int32 DllExport __CFUNC     DAQmxBaseGetErrorString       (int32 errorCode, char errorString[], uInt32 bufferSize);
Public Declare Function vbDAQmxBaseGetExtendedErrorInfo Lib "niDAQmxBaseWrapper.dll" (ByRef errorString() as String, ByVal bufferSize as Long) as Long
'/******************************************************************************
'//********** Calibration Info **********
'//*** Set/Get functions for DAQmxBase_SelfCal_Supported ***
'//int32 DllExport __CFUNC DAQmxBaseGetSelfCalSupported(const char deviceName[], bool32 *data);
'//*** Set/Get functions for DAQmxBase_SelfCal_LastTemp ***
'//int32 DllExport __CFUNC DAQmxBaseGetSelfCalLastTemp(const char deviceName[], float64 *data);
'//*** Set/Get functions for DAQmxBase_ExtCal_RecommendedInterval ***
'//int32 DllExport __CFUNC DAQmxBaseGetExtCalRecommendedInterval(const char deviceName[], uInt32 *data);
'//*** Set/Get functions for DAQmxBase_ExtCal_LastTemp ***
'//int32 DllExport __CFUNC DAQmxBaseGetExtCalLastTemp(const char deviceName[], float64 *data);
'//*** Set/Get functions for DAQmxBase_Cal_UserDefinedInfo ***
'//int32 DllExport __CFUNC DAQmxBaseGetCalUserDefinedInfo(const char deviceName[], char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetCalUserDefinedInfo(const char deviceName[], const char *data);
'//*** Set/Get functions for DAQmxBase_Cal_UserDefinedInfo_MaxSize ***
'//int32 DllExport __CFUNC DAQmxBaseGetCalUserDefinedInfoMaxSize(const char deviceName[], uInt32 *data);
'//********** Channel **********
'//*** Set/Get functions for DAQmxBase_ChanType ***
'// Uses value set ChannelType
'//int32 DllExport __CFUNC DAQmxBaseGetChanType(TaskHandle taskHandle, const char channel[], int32 *data);
'//*** Set/Get functions for DAQmxBase_PhysicalChanName ***
'//int32 DllExport __CFUNC DAQmxBaseGetPhysicalChanName(TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
'//*** Set/Get functions for DAQmxBase_ChanDescr ***
'//int32 DllExport __CFUNC DAQmxBaseGetChanDescr(TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetChanDescr(TaskHandle taskHandle, const char channel[], const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetChanDescr(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Max ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIMax(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIMax(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIMax(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Min ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIMin(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIMin(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIMin(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_CustomScaleName ***
'//int32 DllExport __CFUNC DAQmxBaseGetAICustomScaleName(TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetAICustomScaleName(TaskHandle taskHandle, const char channel[], const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetAICustomScaleName(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_MeasType ***
'// Uses value set AIMeasurementType
'//int32 DllExport __CFUNC DAQmxBaseGetAIMeasType(TaskHandle taskHandle, const char channel[], int32 *data);
'//*** Set/Get functions for DAQmxBase_AI_Voltage_Units ***
'// Uses value set VoltageUnits1
'//int32 DllExport __CFUNC DAQmxBaseGetAIVoltageUnits(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIVoltageUnits(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIVoltageUnits(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Temp_Units ***
'// Uses value set TemperatureUnits1
'//int32 DllExport __CFUNC DAQmxBaseGetAITempUnits(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAITempUnits(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAITempUnits(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Thrmcpl_Type ***
'// Uses value set ThermocoupleType1
'//int32 DllExport __CFUNC DAQmxBaseGetAIThrmcplType(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIThrmcplType(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIThrmcplType(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Thrmcpl_CJCSrc ***
'// Uses value set CJCSource1
'//int32 DllExport __CFUNC DAQmxBaseGetAIThrmcplCJCSrc(TaskHandle taskHandle, const char channel[], int32 *data);
'//*** Set/Get functions for DAQmxBase_AI_Thrmcpl_CJCVal ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIThrmcplCJCVal(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIThrmcplCJCVal(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIThrmcplCJCVal(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Thrmcpl_CJCChan ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIThrmcplCJCChan(TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
'//*** Set/Get functions for DAQmxBase_AI_RTD_Type ***
'// Uses value set RTDType1
'//int32 DllExport __CFUNC DAQmxBaseGetAIRTDType(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIRTDType(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIRTDType(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_RTD_R0 ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIRTDR0(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIRTDR0(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIRTDR0(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_RTD_A ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIRTDA(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIRTDA(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIRTDA(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_RTD_B ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIRTDB(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIRTDB(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIRTDB(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_RTD_C ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIRTDC(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIRTDC(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIRTDC(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Thrmstr_A ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIThrmstrA(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIThrmstrA(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIThrmstrA(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Thrmstr_B ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIThrmstrB(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIThrmstrB(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIThrmstrB(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Thrmstr_C ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIThrmstrC(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIThrmstrC(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIThrmstrC(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Thrmstr_R1 ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIThrmstrR1(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIThrmstrR1(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIThrmstrR1(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_ForceReadFromChan ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIForceReadFromChan(TaskHandle taskHandle, const char channel[], bool32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIForceReadFromChan(TaskHandle taskHandle, const char channel[], bool32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIForceReadFromChan(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Current_Units ***
'// Uses value set CurrentUnits1
'//int32 DllExport __CFUNC DAQmxBaseGetAICurrentUnits(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAICurrentUnits(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAICurrentUnits(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Strain_Units ***
'// Uses value set StrainUnits1
'//int32 DllExport __CFUNC DAQmxBaseGetAIStrainUnits(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIStrainUnits(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIStrainUnits(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_StrainGage_GageFactor ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIStrainGageGageFactor(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIStrainGageGageFactor(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIStrainGageGageFactor(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_StrainGage_PoissonRatio ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIStrainGagePoissonRatio(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIStrainGagePoissonRatio(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIStrainGagePoissonRatio(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_StrainGage_Cfg ***
'// Uses value set StrainGageBridgeType1
'//int32 DllExport __CFUNC DAQmxBaseGetAIStrainGageCfg(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIStrainGageCfg(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIStrainGageCfg(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Resistance_Units ***
'// Uses value set ResistanceUnits1
'//int32 DllExport __CFUNC DAQmxBaseGetAIResistanceUnits(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIResistanceUnits(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIResistanceUnits(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Freq_Units ***
'// Uses value set FrequencyUnits
'//int32 DllExport __CFUNC DAQmxBaseGetAIFreqUnits(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIFreqUnits(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIFreqUnits(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Freq_ThreshVoltage ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIFreqThreshVoltage(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIFreqThreshVoltage(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIFreqThreshVoltage(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Freq_Hyst ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIFreqHyst(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIFreqHyst(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIFreqHyst(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_LVDT_Units ***
'// Uses value set LengthUnits2
'//int32 DllExport __CFUNC DAQmxBaseGetAILVDTUnits(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAILVDTUnits(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAILVDTUnits(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_LVDT_Sensitivity ***
'//int32 DllExport __CFUNC DAQmxBaseGetAILVDTSensitivity(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAILVDTSensitivity(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAILVDTSensitivity(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_LVDT_SensitivityUnits ***
'// Uses value set LVDTSensitivityUnits1
'//int32 DllExport __CFUNC DAQmxBaseGetAILVDTSensitivityUnits(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAILVDTSensitivityUnits(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAILVDTSensitivityUnits(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_RVDT_Units ***
'// Uses value set AngleUnits1
'//int32 DllExport __CFUNC DAQmxBaseGetAIRVDTUnits(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIRVDTUnits(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIRVDTUnits(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_RVDT_Sensitivity ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIRVDTSensitivity(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIRVDTSensitivity(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIRVDTSensitivity(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_RVDT_SensitivityUnits ***
'// Uses value set RVDTSensitivityUnits1
'//int32 DllExport __CFUNC DAQmxBaseGetAIRVDTSensitivityUnits(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIRVDTSensitivityUnits(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIRVDTSensitivityUnits(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Accel_Units ***
'// Uses value set AccelUnits2
'//int32 DllExport __CFUNC DAQmxBaseGetAIAccelUnits(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIAccelUnits(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIAccelUnits(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Accel_Sensitivity ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIAccelSensitivity(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIAccelSensitivity(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIAccelSensitivity(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Accel_SensitivityUnits ***
'// Uses value set AccelSensitivityUnits1
'//int32 DllExport __CFUNC DAQmxBaseGetAIAccelSensitivityUnits(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIAccelSensitivityUnits(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIAccelSensitivityUnits(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Coupling ***
'// Uses value set Coupling1
'//int32 DllExport __CFUNC DAQmxBaseGetAICoupling(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAICoupling(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAICoupling(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Impedance ***
'// Uses value set Impedance1
'//int32 DllExport __CFUNC DAQmxBaseGetAIImpedance(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIImpedance(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIImpedance(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_TermCfg ***
'// Uses value set InputTermCfg
'//int32 DllExport __CFUNC DAQmxBaseGetAITermCfg(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAITermCfg(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAITermCfg(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_ResistanceCfg ***
'// Uses value set ResistanceConfiguration
'//int32 DllExport __CFUNC DAQmxBaseGetAIResistanceCfg(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIResistanceCfg(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIResistanceCfg(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_LeadWireResistance ***
'//int32 DllExport __CFUNC DAQmxBaseGetAILeadWireResistance(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAILeadWireResistance(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAILeadWireResistance(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Bridge_Cfg ***
'// Uses value set BridgeConfiguration1
'//int32 DllExport __CFUNC DAQmxBaseGetAIBridgeCfg(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIBridgeCfg(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIBridgeCfg(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Bridge_NomResistance ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIBridgeNomResistance(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIBridgeNomResistance(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIBridgeNomResistance(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Bridge_InitialVoltage ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIBridgeInitialVoltage(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIBridgeInitialVoltage(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIBridgeInitialVoltage(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Bridge_ShuntCal_Enable ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIBridgeShuntCalEnable(TaskHandle taskHandle, const char channel[], bool32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIBridgeShuntCalEnable(TaskHandle taskHandle, const char channel[], bool32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIBridgeShuntCalEnable(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Bridge_ShuntCal_Select ***
'// Uses value set ShuntCalSelect
'//int32 DllExport __CFUNC DAQmxBaseGetAIBridgeShuntCalSelect(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIBridgeShuntCalSelect(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIBridgeShuntCalSelect(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Bridge_ShuntCal_GainAdjust ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIBridgeShuntCalGainAdjust(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIBridgeShuntCalGainAdjust(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIBridgeShuntCalGainAdjust(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Bridge_Balance_CoarsePot ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIBridgeBalanceCoarsePot(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIBridgeBalanceCoarsePot(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIBridgeBalanceCoarsePot(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Bridge_Balance_FinePot ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIBridgeBalanceFinePot(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIBridgeBalanceFinePot(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIBridgeBalanceFinePot(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_CurrentShunt_Loc ***
'// Uses value set CurrentShuntResistorLocation1
'//int32 DllExport __CFUNC DAQmxBaseGetAICurrentShuntLoc(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAICurrentShuntLoc(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAICurrentShuntLoc(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_CurrentShunt_Resistance ***
'//int32 DllExport __CFUNC DAQmxBaseGetAICurrentShuntResistance(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAICurrentShuntResistance(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAICurrentShuntResistance(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Excit_Src ***
'// Uses value set ExcitationSource
'//int32 DllExport __CFUNC DAQmxBaseGetAIExcitSrc(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIExcitSrc(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIExcitSrc(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Excit_Val ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIExcitVal(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIExcitVal(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIExcitVal(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Excit_UseForScaling ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIExcitUseForScaling(TaskHandle taskHandle, const char channel[], bool32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIExcitUseForScaling(TaskHandle taskHandle, const char channel[], bool32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIExcitUseForScaling(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Excit_UseMultiplexed ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIExcitUseMultiplexed(TaskHandle taskHandle, const char channel[], bool32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIExcitUseMultiplexed(TaskHandle taskHandle, const char channel[], bool32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIExcitUseMultiplexed(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Excit_ActualVal ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIExcitActualVal(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIExcitActualVal(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIExcitActualVal(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Excit_DCorAC ***
'// Uses value set ExcitationDCorAC
'//int32 DllExport __CFUNC DAQmxBaseGetAIExcitDCorAC(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIExcitDCorAC(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIExcitDCorAC(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Excit_VoltageOrCurrent ***
'// Uses value set ExcitationVoltageOrCurrent
'//int32 DllExport __CFUNC DAQmxBaseGetAIExcitVoltageOrCurrent(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIExcitVoltageOrCurrent(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIExcitVoltageOrCurrent(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_ACExcit_Freq ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIACExcitFreq(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIACExcitFreq(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIACExcitFreq(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_ACExcit_SyncEnable ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIACExcitSyncEnable(TaskHandle taskHandle, const char channel[], bool32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIACExcitSyncEnable(TaskHandle taskHandle, const char channel[], bool32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIACExcitSyncEnable(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_ACExcit_WireMode ***
'// Uses value set ACExcitWireMode
'//int32 DllExport __CFUNC DAQmxBaseGetAIACExcitWireMode(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIACExcitWireMode(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIACExcitWireMode(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Atten ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIAtten(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIAtten(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIAtten(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Lowpass_Enable ***
'//int32 DllExport __CFUNC DAQmxBaseGetAILowpassEnable(TaskHandle taskHandle, const char channel[], bool32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAILowpassEnable(TaskHandle taskHandle, const char channel[], bool32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAILowpassEnable(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Lowpass_CutoffFreq ***
'//int32 DllExport __CFUNC DAQmxBaseGetAILowpassCutoffFreq(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAILowpassCutoffFreq(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAILowpassCutoffFreq(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Lowpass_SwitchCap_ClkSrc ***
'// Uses value set SourceSelection
'//int32 DllExport __CFUNC DAQmxBaseGetAILowpassSwitchCapClkSrc(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAILowpassSwitchCapClkSrc(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAILowpassSwitchCapClkSrc(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Lowpass_SwitchCap_ExtClkFreq ***
'//int32 DllExport __CFUNC DAQmxBaseGetAILowpassSwitchCapExtClkFreq(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAILowpassSwitchCapExtClkFreq(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAILowpassSwitchCapExtClkFreq(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Lowpass_SwitchCap_ExtClkDiv ***
'//int32 DllExport __CFUNC DAQmxBaseGetAILowpassSwitchCapExtClkDiv(TaskHandle taskHandle, const char channel[], uInt32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAILowpassSwitchCapExtClkDiv(TaskHandle taskHandle, const char channel[], uInt32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAILowpassSwitchCapExtClkDiv(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Lowpass_SwitchCap_OutClkDiv ***
'//int32 DllExport __CFUNC DAQmxBaseGetAILowpassSwitchCapOutClkDiv(TaskHandle taskHandle, const char channel[], uInt32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAILowpassSwitchCapOutClkDiv(TaskHandle taskHandle, const char channel[], uInt32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAILowpassSwitchCapOutClkDiv(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_ResolutionUnits ***
'// Uses value set ResolutionType1
'//int32 DllExport __CFUNC DAQmxBaseGetAIResolutionUnits(TaskHandle taskHandle, const char channel[], int32 *data);
'//*** Set/Get functions for DAQmxBase_AI_Resolution ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIResolution(TaskHandle taskHandle, const char channel[], float64 *data);
'//*** Set/Get functions for DAQmxBase_AI_Dither_Enable ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIDitherEnable(TaskHandle taskHandle, const char channel[], bool32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIDitherEnable(TaskHandle taskHandle, const char channel[], bool32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIDitherEnable(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Rng_High ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIRngHigh(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIRngHigh(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIRngHigh(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Rng_Low ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIRngLow(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIRngLow(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIRngLow(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_Gain ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIGain(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIGain(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIGain(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_SampAndHold_Enable ***
'//int32 DllExport __CFUNC DAQmxBaseGetAISampAndHoldEnable(TaskHandle taskHandle, const char channel[], bool32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAISampAndHoldEnable(TaskHandle taskHandle, const char channel[], bool32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAISampAndHoldEnable(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_AutoZeroMode ***
'// Uses value set AutoZeroType1
'//int32 DllExport __CFUNC DAQmxBaseGetAIAutoZeroMode(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIAutoZeroMode(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIAutoZeroMode(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_DataXferMech ***
'// Uses value set DataTransferMechanism
'//int32 DllExport __CFUNC DAQmxBaseGetAIDataXferMech(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIDataXferMech(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIDataXferMech(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_DataXferReqCond ***
'// Uses value set InputDataTransferCondition
'//int32 DllExport __CFUNC DAQmxBaseGetAIDataXferReqCond(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIDataXferReqCond(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIDataXferReqCond(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_MemMapEnable ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIMemMapEnable(TaskHandle taskHandle, const char channel[], bool32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIMemMapEnable(TaskHandle taskHandle, const char channel[], bool32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIMemMapEnable(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AI_DevScalingCoeff ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIDevScalingCoeff(TaskHandle taskHandle, const char channel[], float64 *data, uInt32 arraySizeInSamples);
'//*** Set/Get functions for DAQmxBase_AO_Max ***
'//int32 DllExport __CFUNC DAQmxBaseGetAOMax(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAOMax(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAOMax(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AO_Min ***
'//int32 DllExport __CFUNC DAQmxBaseGetAOMin(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAOMin(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAOMin(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AO_CustomScaleName ***
'//int32 DllExport __CFUNC DAQmxBaseGetAOCustomScaleName(TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetAOCustomScaleName(TaskHandle taskHandle, const char channel[], const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetAOCustomScaleName(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AO_OutputType ***
'// Uses value set AOOutputChannelType
'//int32 DllExport __CFUNC DAQmxBaseGetAOOutputType(TaskHandle taskHandle, const char channel[], int32 *data);
'//*** Set/Get functions for DAQmxBase_AO_Voltage_Units ***
'// Uses value set VoltageUnits2
'//int32 DllExport __CFUNC DAQmxBaseGetAOVoltageUnits(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAOVoltageUnits(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAOVoltageUnits(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AO_Current_Units ***
'// Uses value set CurrentUnits1
'//int32 DllExport __CFUNC DAQmxBaseGetAOCurrentUnits(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAOCurrentUnits(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAOCurrentUnits(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AO_OutputImpedance ***
'//int32 DllExport __CFUNC DAQmxBaseGetAOOutputImpedance(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAOOutputImpedance(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAOOutputImpedance(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AO_LoadImpedance ***
'//int32 DllExport __CFUNC DAQmxBaseGetAOLoadImpedance(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAOLoadImpedance(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAOLoadImpedance(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AO_ResolutionUnits ***
'// Uses value set ResolutionType1
'//int32 DllExport __CFUNC DAQmxBaseGetAOResolutionUnits(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAOResolutionUnits(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAOResolutionUnits(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AO_Resolution ***
'//int32 DllExport __CFUNC DAQmxBaseGetAOResolution(TaskHandle taskHandle, const char channel[], float64 *data);
'//*** Set/Get functions for DAQmxBase_AO_DAC_Rng_High ***
'//int32 DllExport __CFUNC DAQmxBaseGetAODACRngHigh(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAODACRngHigh(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAODACRngHigh(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AO_DAC_Rng_Low ***
'//int32 DllExport __CFUNC DAQmxBaseGetAODACRngLow(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAODACRngLow(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAODACRngLow(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AO_DAC_Ref_ConnToGnd ***
'//int32 DllExport __CFUNC DAQmxBaseGetAODACRefConnToGnd(TaskHandle taskHandle, const char channel[], bool32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAODACRefConnToGnd(TaskHandle taskHandle, const char channel[], bool32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAODACRefConnToGnd(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AO_DAC_Ref_AllowConnToGnd ***
'//int32 DllExport __CFUNC DAQmxBaseGetAODACRefAllowConnToGnd(TaskHandle taskHandle, const char channel[], bool32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAODACRefAllowConnToGnd(TaskHandle taskHandle, const char channel[], bool32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAODACRefAllowConnToGnd(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AO_DAC_Ref_Src ***
'// Uses value set SourceSelection
'//int32 DllExport __CFUNC DAQmxBaseGetAODACRefSrc(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAODACRefSrc(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAODACRefSrc(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AO_DAC_Ref_Val ***
'//int32 DllExport __CFUNC DAQmxBaseGetAODACRefVal(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAODACRefVal(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAODACRefVal(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AO_ReglitchEnable ***
'//int32 DllExport __CFUNC DAQmxBaseGetAOReglitchEnable(TaskHandle taskHandle, const char channel[], bool32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAOReglitchEnable(TaskHandle taskHandle, const char channel[], bool32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAOReglitchEnable(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AO_UseOnlyOnBrdMem ***
'//int32 DllExport __CFUNC DAQmxBaseGetAOUseOnlyOnBrdMem(TaskHandle taskHandle, const char channel[], bool32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAOUseOnlyOnBrdMem(TaskHandle taskHandle, const char channel[], bool32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAOUseOnlyOnBrdMem(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AO_DataXferMech ***
'// Uses value set DataTransferMechanism
'//int32 DllExport __CFUNC DAQmxBaseGetAODataXferMech(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAODataXferMech(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAODataXferMech(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AO_DataXferReqCond ***
'// Uses value set OutputDataTransferCondition
'//int32 DllExport __CFUNC DAQmxBaseGetAODataXferReqCond(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAODataXferReqCond(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAODataXferReqCond(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AO_MemMapEnable ***
'//int32 DllExport __CFUNC DAQmxBaseGetAOMemMapEnable(TaskHandle taskHandle, const char channel[], bool32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAOMemMapEnable(TaskHandle taskHandle, const char channel[], bool32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAOMemMapEnable(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_AO_DevScalingCoeff ***
'//int32 DllExport __CFUNC DAQmxBaseGetAODevScalingCoeff(TaskHandle taskHandle, const char channel[], float64 *data, uInt32 arraySizeInSamples);
'//*** Set/Get functions for DAQmxBase_DI_InvertLines ***
'//int32 DllExport __CFUNC DAQmxBaseGetDIInvertLines(TaskHandle taskHandle, const char channel[], bool32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetDIInvertLines(TaskHandle taskHandle, const char channel[], bool32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetDIInvertLines(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_DI_NumLines ***
'//int32 DllExport __CFUNC DAQmxBaseGetDINumLines(TaskHandle taskHandle, const char channel[], uInt32 *data);
'//*** Set/Get functions for DAQmxBase_DI_DigFltr_Enable ***
'//int32 DllExport __CFUNC DAQmxBaseGetDIDigFltrEnable(TaskHandle taskHandle, const char channel[], bool32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetDIDigFltrEnable(TaskHandle taskHandle, const char channel[], bool32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetDIDigFltrEnable(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_DI_DigFltr_MinPulseWidth ***
'//int32 DllExport __CFUNC DAQmxBaseGetDIDigFltrMinPulseWidth(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetDIDigFltrMinPulseWidth(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetDIDigFltrMinPulseWidth(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_DO_InvertLines ***
'//int32 DllExport __CFUNC DAQmxBaseGetDOInvertLines(TaskHandle taskHandle, const char channel[], bool32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetDOInvertLines(TaskHandle taskHandle, const char channel[], bool32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetDOInvertLines(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_DO_NumLines ***
'//int32 DllExport __CFUNC DAQmxBaseGetDONumLines(TaskHandle taskHandle, const char channel[], uInt32 *data);
'//*** Set/Get functions for DAQmxBase_DO_Tristate ***
'//int32 DllExport __CFUNC DAQmxBaseGetDOTristate(TaskHandle taskHandle, const char channel[], bool32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetDOTristate(TaskHandle taskHandle, const char channel[], bool32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetDOTristate(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_Max ***
'//int32 DllExport __CFUNC DAQmxBaseGetCIMax(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCIMax(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCIMax(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_Min ***
'//int32 DllExport __CFUNC DAQmxBaseGetCIMin(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCIMin(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCIMin(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_CustomScaleName ***
'//int32 DllExport __CFUNC DAQmxBaseGetCICustomScaleName(TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetCICustomScaleName(TaskHandle taskHandle, const char channel[], const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetCICustomScaleName(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_MeasType ***
'// Uses value set CIMeasurementType
'//int32 DllExport __CFUNC DAQmxBaseGetCIMeasType(TaskHandle taskHandle, const char channel[], int32 *data);
'//*** Set/Get functions for DAQmxBase_CI_Freq_Units ***
'// Uses value set FrequencyUnits3
'//int32 DllExport __CFUNC DAQmxBaseGetCIFreqUnits(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCIFreqUnits(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCIFreqUnits(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_Freq_Term ***
'//int32 DllExport __CFUNC DAQmxBaseGetCIFreqTerm(TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetCIFreqTerm(TaskHandle taskHandle, const char channel[], const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetCIFreqTerm(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_Freq_StartingEdge ***
'// Uses value set Edge1
'//int32 DllExport __CFUNC DAQmxBaseGetCIFreqStartingEdge(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCIFreqStartingEdge(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCIFreqStartingEdge(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_Freq_MeasMeth ***
'// Uses value set CounterFrequencyMethod
'//int32 DllExport __CFUNC DAQmxBaseGetCIFreqMeasMeth(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCIFreqMeasMeth(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCIFreqMeasMeth(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_Freq_MeasTime ***
'//int32 DllExport __CFUNC DAQmxBaseGetCIFreqMeasTime(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCIFreqMeasTime(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCIFreqMeasTime(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_Freq_Div ***
'//int32 DllExport __CFUNC DAQmxBaseGetCIFreqDiv(TaskHandle taskHandle, const char channel[], uInt32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCIFreqDiv(TaskHandle taskHandle, const char channel[], uInt32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCIFreqDiv(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_Period_Units ***
'// Uses value set TimeUnits3
'//int32 DllExport __CFUNC DAQmxBaseGetCIPeriodUnits(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCIPeriodUnits(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCIPeriodUnits(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_Period_Term ***
'//int32 DllExport __CFUNC DAQmxBaseGetCIPeriodTerm(TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetCIPeriodTerm(TaskHandle taskHandle, const char channel[], const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetCIPeriodTerm(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_Period_StartingEdge ***
'// Uses value set Edge1
'//int32 DllExport __CFUNC DAQmxBaseGetCIPeriodStartingEdge(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCIPeriodStartingEdge(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCIPeriodStartingEdge(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_Period_MeasMeth ***
'// Uses value set CounterFrequencyMethod
'//int32 DllExport __CFUNC DAQmxBaseGetCIPeriodMeasMeth(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCIPeriodMeasMeth(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCIPeriodMeasMeth(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_Period_MeasTime ***
'//int32 DllExport __CFUNC DAQmxBaseGetCIPeriodMeasTime(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCIPeriodMeasTime(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCIPeriodMeasTime(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_Period_Div ***
'//int32 DllExport __CFUNC DAQmxBaseGetCIPeriodDiv(TaskHandle taskHandle, const char channel[], uInt32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCIPeriodDiv(TaskHandle taskHandle, const char channel[], uInt32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCIPeriodDiv(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_CountEdges_Term ***
'//int32 DllExport __CFUNC DAQmxBaseGetCICountEdgesTerm(TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetCICountEdgesTerm(TaskHandle taskHandle, const char channel[], const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetCICountEdgesTerm(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_CountEdges_Dir ***
'// Uses value set CountDirection1
'//int32 DllExport __CFUNC DAQmxBaseGetCICountEdgesDir(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCICountEdgesDir(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCICountEdgesDir(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_CountEdges_DirTerm ***
'//int32 DllExport __CFUNC DAQmxBaseGetCICountEdgesDirTerm(TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetCICountEdgesDirTerm(TaskHandle taskHandle, const char channel[], const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetCICountEdgesDirTerm(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_CountEdges_InitialCnt ***
'//int32 DllExport __CFUNC DAQmxBaseGetCICountEdgesInitialCnt(TaskHandle taskHandle, const char channel[], uInt32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCICountEdgesInitialCnt(TaskHandle taskHandle, const char channel[], uInt32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCICountEdgesInitialCnt(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_CountEdges_ActiveEdge ***
'// Uses value set Edge1
'//int32 DllExport __CFUNC DAQmxBaseGetCICountEdgesActiveEdge(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCICountEdgesActiveEdge(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCICountEdgesActiveEdge(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_AngEncoder_Units ***
'// Uses value set AngleUnits2
'//int32 DllExport __CFUNC DAQmxBaseGetCIAngEncoderUnits(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCIAngEncoderUnits(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCIAngEncoderUnits(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_AngEncoder_PulsesPerRev ***
'//int32 DllExport __CFUNC DAQmxBaseGetCIAngEncoderPulsesPerRev(TaskHandle taskHandle, const char channel[], uInt32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCIAngEncoderPulsesPerRev(TaskHandle taskHandle, const char channel[], uInt32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCIAngEncoderPulsesPerRev(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_AngEncoder_InitialAngle ***
'//int32 DllExport __CFUNC DAQmxBaseGetCIAngEncoderInitialAngle(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCIAngEncoderInitialAngle(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCIAngEncoderInitialAngle(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_LinEncoder_Units ***
'// Uses value set LengthUnits3
'//int32 DllExport __CFUNC DAQmxBaseGetCILinEncoderUnits(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCILinEncoderUnits(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCILinEncoderUnits(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_LinEncoder_DistPerPulse ***
'//int32 DllExport __CFUNC DAQmxBaseGetCILinEncoderDistPerPulse(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCILinEncoderDistPerPulse(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCILinEncoderDistPerPulse(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_LinEncoder_InitialPos ***
'//int32 DllExport __CFUNC DAQmxBaseGetCILinEncoderInitialPos(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCILinEncoderInitialPos(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCILinEncoderInitialPos(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_Encoder_DecodingType ***
'// Uses value set EncoderType2
'//int32 DllExport __CFUNC DAQmxBaseGetCIEncoderDecodingType(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCIEncoderDecodingType(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCIEncoderDecodingType(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_Encoder_AInputTerm ***
'//int32 DllExport __CFUNC DAQmxBaseGetCIEncoderAInputTerm(TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetCIEncoderAInputTerm(TaskHandle taskHandle, const char channel[], const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetCIEncoderAInputTerm(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_Encoder_BInputTerm ***
'//int32 DllExport __CFUNC DAQmxBaseGetCIEncoderBInputTerm(TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetCIEncoderBInputTerm(TaskHandle taskHandle, const char channel[], const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetCIEncoderBInputTerm(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_Encoder_ZInputTerm ***
'//int32 DllExport __CFUNC DAQmxBaseGetCIEncoderZInputTerm(TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetCIEncoderZInputTerm(TaskHandle taskHandle, const char channel[], const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetCIEncoderZInputTerm(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_Encoder_ZIndexEnable ***
'//int32 DllExport __CFUNC DAQmxBaseGetCIEncoderZIndexEnable(TaskHandle taskHandle, const char channel[], bool32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCIEncoderZIndexEnable(TaskHandle taskHandle, const char channel[], bool32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCIEncoderZIndexEnable(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_Encoder_ZIndexVal ***
'//int32 DllExport __CFUNC DAQmxBaseGetCIEncoderZIndexVal(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCIEncoderZIndexVal(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCIEncoderZIndexVal(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_Encoder_ZIndexPhase ***
'// Uses value set EncoderZIndexPhase1
'//int32 DllExport __CFUNC DAQmxBaseGetCIEncoderZIndexPhase(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCIEncoderZIndexPhase(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCIEncoderZIndexPhase(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_PulseWidth_Units ***
'// Uses value set TimeUnits3
'//int32 DllExport __CFUNC DAQmxBaseGetCIPulseWidthUnits(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCIPulseWidthUnits(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCIPulseWidthUnits(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_PulseWidth_Term ***
'//int32 DllExport __CFUNC DAQmxBaseGetCIPulseWidthTerm(TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetCIPulseWidthTerm(TaskHandle taskHandle, const char channel[], const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetCIPulseWidthTerm(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_PulseWidth_StartingEdge ***
'// Uses value set Edge1
'//int32 DllExport __CFUNC DAQmxBaseGetCIPulseWidthStartingEdge(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCIPulseWidthStartingEdge(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCIPulseWidthStartingEdge(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_TwoEdgeSep_Units ***
'// Uses value set TimeUnits3
'//int32 DllExport __CFUNC DAQmxBaseGetCITwoEdgeSepUnits(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCITwoEdgeSepUnits(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCITwoEdgeSepUnits(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_TwoEdgeSep_FirstTerm ***
'//int32 DllExport __CFUNC DAQmxBaseGetCITwoEdgeSepFirstTerm(TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetCITwoEdgeSepFirstTerm(TaskHandle taskHandle, const char channel[], const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetCITwoEdgeSepFirstTerm(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_TwoEdgeSep_FirstEdge ***
'// Uses value set Edge1
'//int32 DllExport __CFUNC DAQmxBaseGetCITwoEdgeSepFirstEdge(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCITwoEdgeSepFirstEdge(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCITwoEdgeSepFirstEdge(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_TwoEdgeSep_SecondTerm ***
'//int32 DllExport __CFUNC DAQmxBaseGetCITwoEdgeSepSecondTerm(TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetCITwoEdgeSepSecondTerm(TaskHandle taskHandle, const char channel[], const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetCITwoEdgeSepSecondTerm(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_TwoEdgeSep_SecondEdge ***
'// Uses value set Edge1
'//int32 DllExport __CFUNC DAQmxBaseGetCITwoEdgeSepSecondEdge(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCITwoEdgeSepSecondEdge(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCITwoEdgeSepSecondEdge(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_SemiPeriod_Units ***
'// Uses value set TimeUnits3
'//int32 DllExport __CFUNC DAQmxBaseGetCISemiPeriodUnits(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCISemiPeriodUnits(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCISemiPeriodUnits(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_SemiPeriod_Term ***
'//int32 DllExport __CFUNC DAQmxBaseGetCISemiPeriodTerm(TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetCISemiPeriodTerm(TaskHandle taskHandle, const char channel[], const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetCISemiPeriodTerm(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_CtrTimebaseSrc ***
'//int32 DllExport __CFUNC DAQmxBaseGetCICtrTimebaseSrc(TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetCICtrTimebaseSrc(TaskHandle taskHandle, const char channel[], const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetCICtrTimebaseSrc(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_CtrTimebaseRate ***
'//int32 DllExport __CFUNC DAQmxBaseGetCICtrTimebaseRate(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCICtrTimebaseRate(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCICtrTimebaseRate(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_CtrTimebaseActiveEdge ***
'// Uses value set Edge1
'//int32 DllExport __CFUNC DAQmxBaseGetCICtrTimebaseActiveEdge(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCICtrTimebaseActiveEdge(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCICtrTimebaseActiveEdge(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_Count ***
'//int32 DllExport __CFUNC DAQmxBaseGetCICount(TaskHandle taskHandle, const char channel[], uInt32 *data);
'//*** Set/Get functions for DAQmxBase_CI_OutputState ***
'// Uses value set Level1
'//int32 DllExport __CFUNC DAQmxBaseGetCIOutputState(TaskHandle taskHandle, const char channel[], int32 *data);
'//*** Set/Get functions for DAQmxBase_CI_TCReached ***
'//int32 DllExport __CFUNC DAQmxBaseGetCITCReached(TaskHandle taskHandle, const char channel[], bool32 *data);
'//*** Set/Get functions for DAQmxBase_CI_CtrTimebaseMasterTimebaseDiv ***
'// Uses value set RefClockMasterTimebaseDivisor
'//int32 DllExport __CFUNC DAQmxBaseGetCICtrTimebaseMasterTimebaseDiv(TaskHandle taskHandle, const char channel[], uInt32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCICtrTimebaseMasterTimebaseDiv(TaskHandle taskHandle, const char channel[], uInt32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCICtrTimebaseMasterTimebaseDiv(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_DataXferMech ***
'// Uses value set DataTransferMechanism
'//int32 DllExport __CFUNC DAQmxBaseGetCIDataXferMech(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCIDataXferMech(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCIDataXferMech(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CI_NumPossiblyInvalidSamps ***
'//int32 DllExport __CFUNC DAQmxBaseGetCINumPossiblyInvalidSamps(TaskHandle taskHandle, const char channel[], uInt32 *data);
'//*** Set/Get functions for DAQmxBase_CI_DupCountPrevent ***
'//int32 DllExport __CFUNC DAQmxBaseGetCIDupCountPrevent(TaskHandle taskHandle, const char channel[], bool32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCIDupCountPrevent(TaskHandle taskHandle, const char channel[], bool32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCIDupCountPrevent(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CO_OutputType ***
'// Uses value set COOutputType
'//int32 DllExport __CFUNC DAQmxBaseGetCOOutputType(TaskHandle taskHandle, const char channel[], int32 *data);
'//*** Set/Get functions for DAQmxBase_CO_Pulse_IdleState ***
'// Uses value set Level1
'//int32 DllExport __CFUNC DAQmxBaseGetCOPulseIdleState(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCOPulseIdleState(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCOPulseIdleState(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CO_Pulse_Term ***
'//int32 DllExport __CFUNC DAQmxBaseGetCOPulseTerm(TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetCOPulseTerm(TaskHandle taskHandle, const char channel[], const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetCOPulseTerm(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CO_Pulse_Time_Units ***
'// Uses value set TimeUnits2
'//int32 DllExport __CFUNC DAQmxBaseGetCOPulseTimeUnits(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCOPulseTimeUnits(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCOPulseTimeUnits(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CO_Pulse_HighTime ***
'//int32 DllExport __CFUNC DAQmxBaseGetCOPulseHighTime(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCOPulseHighTime(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCOPulseHighTime(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CO_Pulse_LowTime ***
'//int32 DllExport __CFUNC DAQmxBaseGetCOPulseLowTime(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCOPulseLowTime(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCOPulseLowTime(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CO_Pulse_Time_InitialDelay ***
'//int32 DllExport __CFUNC DAQmxBaseGetCOPulseTimeInitialDelay(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCOPulseTimeInitialDelay(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCOPulseTimeInitialDelay(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CO_Pulse_DutyCyc ***
'//int32 DllExport __CFUNC DAQmxBaseGetCOPulseDutyCyc(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCOPulseDutyCyc(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCOPulseDutyCyc(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CO_Pulse_Freq_Units ***
'// Uses value set FrequencyUnits2
'//int32 DllExport __CFUNC DAQmxBaseGetCOPulseFreqUnits(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCOPulseFreqUnits(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCOPulseFreqUnits(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CO_Pulse_Freq ***
'//int32 DllExport __CFUNC DAQmxBaseGetCOPulseFreq(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCOPulseFreq(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCOPulseFreq(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CO_Pulse_Freq_InitialDelay ***
'//int32 DllExport __CFUNC DAQmxBaseGetCOPulseFreqInitialDelay(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCOPulseFreqInitialDelay(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCOPulseFreqInitialDelay(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CO_Pulse_HighTicks ***
'//int32 DllExport __CFUNC DAQmxBaseGetCOPulseHighTicks(TaskHandle taskHandle, const char channel[], uInt32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCOPulseHighTicks(TaskHandle taskHandle, const char channel[], uInt32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCOPulseHighTicks(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CO_Pulse_LowTicks ***
'//int32 DllExport __CFUNC DAQmxBaseGetCOPulseLowTicks(TaskHandle taskHandle, const char channel[], uInt32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCOPulseLowTicks(TaskHandle taskHandle, const char channel[], uInt32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCOPulseLowTicks(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CO_Pulse_Ticks_InitialDelay ***
'//int32 DllExport __CFUNC DAQmxBaseGetCOPulseTicksInitialDelay(TaskHandle taskHandle, const char channel[], uInt32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCOPulseTicksInitialDelay(TaskHandle taskHandle, const char channel[], uInt32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCOPulseTicksInitialDelay(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CO_CtrTimebaseSrc ***
'//int32 DllExport __CFUNC DAQmxBaseGetCOCtrTimebaseSrc(TaskHandle taskHandle, const char channel[], char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetCOCtrTimebaseSrc(TaskHandle taskHandle, const char channel[], const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetCOCtrTimebaseSrc(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CO_CtrTimebaseRate ***
'//int32 DllExport __CFUNC DAQmxBaseGetCOCtrTimebaseRate(TaskHandle taskHandle, const char channel[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCOCtrTimebaseRate(TaskHandle taskHandle, const char channel[], float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCOCtrTimebaseRate(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CO_CtrTimebaseActiveEdge ***
'// Uses value set Edge1
'//int32 DllExport __CFUNC DAQmxBaseGetCOCtrTimebaseActiveEdge(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCOCtrTimebaseActiveEdge(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCOCtrTimebaseActiveEdge(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CO_Count ***
'//int32 DllExport __CFUNC DAQmxBaseGetCOCount(TaskHandle taskHandle, const char channel[], uInt32 *data);
'//*** Set/Get functions for DAQmxBase_CO_OutputState ***
'// Uses value set Level1
'//int32 DllExport __CFUNC DAQmxBaseGetCOOutputState(TaskHandle taskHandle, const char channel[], int32 *data);
'//*** Set/Get functions for DAQmxBase_CO_AutoIncrCnt ***
'//int32 DllExport __CFUNC DAQmxBaseGetCOAutoIncrCnt(TaskHandle taskHandle, const char channel[], uInt32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCOAutoIncrCnt(TaskHandle taskHandle, const char channel[], uInt32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCOAutoIncrCnt(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CO_CtrTimebaseMasterTimebaseDiv ***
'// Uses value set RefClockMasterTimebaseDivisor
'//int32 DllExport __CFUNC DAQmxBaseGetCOCtrTimebaseMasterTimebaseDiv(TaskHandle taskHandle, const char channel[], uInt32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetCOCtrTimebaseMasterTimebaseDiv(TaskHandle taskHandle, const char channel[], uInt32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetCOCtrTimebaseMasterTimebaseDiv(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_CO_PulseDone ***
'//int32 DllExport __CFUNC DAQmxBaseGetCOPulseDone(TaskHandle taskHandle, const char channel[], bool32 *data);
'//********** Export Signal **********
'//*** Set/Get functions for DAQmxBase_Exported_AIConvClk_OutputTerm ***
'//int32 DllExport __CFUNC DAQmxBaseGetExportedAIConvClkOutputTerm(TaskHandle taskHandle, char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetExportedAIConvClkOutputTerm(TaskHandle taskHandle, const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetExportedAIConvClkOutputTerm(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_Exported_AIConvClk_Pulse_Polarity ***
'// Uses value set Polarity2
'//int32 DllExport __CFUNC DAQmxBaseGetExportedAIConvClkPulsePolarity(TaskHandle taskHandle, int32 *data);
'//*** Set/Get functions for DAQmxBase_Exported_20MHzTimebase_OutputTerm ***
'//int32 DllExport __CFUNC DAQmxBaseGetExported20MHzTimebaseOutputTerm(TaskHandle taskHandle, char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetExported20MHzTimebaseOutputTerm(TaskHandle taskHandle, const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetExported20MHzTimebaseOutputTerm(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_Exported_SampClk_OutputBehavior ***
'// Uses value set ExportActions3
'//int32 DllExport __CFUNC DAQmxBaseGetExportedSampClkOutputBehavior(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetExportedSampClkOutputBehavior(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetExportedSampClkOutputBehavior(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_Exported_SampClk_OutputTerm ***
'//int32 DllExport __CFUNC DAQmxBaseGetExportedSampClkOutputTerm(TaskHandle taskHandle, char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetExportedSampClkOutputTerm(TaskHandle taskHandle, const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetExportedSampClkOutputTerm(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_Exported_AdvTrig_OutputTerm ***
'//int32 DllExport __CFUNC DAQmxBaseGetExportedAdvTrigOutputTerm(TaskHandle taskHandle, char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetExportedAdvTrigOutputTerm(TaskHandle taskHandle, const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetExportedAdvTrigOutputTerm(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_Exported_AdvTrig_Pulse_Polarity ***
'// Uses value set Polarity2
'//int32 DllExport __CFUNC DAQmxBaseGetExportedAdvTrigPulsePolarity(TaskHandle taskHandle, int32 *data);
'//*** Set/Get functions for DAQmxBase_Exported_AdvTrig_Pulse_WidthUnits ***
'// Uses value set DigitalWidthUnits3
'//int32 DllExport __CFUNC DAQmxBaseGetExportedAdvTrigPulseWidthUnits(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetExportedAdvTrigPulseWidthUnits(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetExportedAdvTrigPulseWidthUnits(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_Exported_AdvTrig_Pulse_Width ***
'//int32 DllExport __CFUNC DAQmxBaseGetExportedAdvTrigPulseWidth(TaskHandle taskHandle, float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetExportedAdvTrigPulseWidth(TaskHandle taskHandle, float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetExportedAdvTrigPulseWidth(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_Exported_RefTrig_OutputTerm ***
'//int32 DllExport __CFUNC DAQmxBaseGetExportedRefTrigOutputTerm(TaskHandle taskHandle, char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetExportedRefTrigOutputTerm(TaskHandle taskHandle, const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetExportedRefTrigOutputTerm(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_Exported_StartTrig_OutputTerm ***
'//int32 DllExport __CFUNC DAQmxBaseGetExportedStartTrigOutputTerm(TaskHandle taskHandle, char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetExportedStartTrigOutputTerm(TaskHandle taskHandle, const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetExportedStartTrigOutputTerm(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_Exported_AdvCmpltEvent_OutputTerm ***
'//int32 DllExport __CFUNC DAQmxBaseGetExportedAdvCmpltEventOutputTerm(TaskHandle taskHandle, char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetExportedAdvCmpltEventOutputTerm(TaskHandle taskHandle, const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetExportedAdvCmpltEventOutputTerm(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_Exported_AdvCmpltEvent_Delay ***
'//int32 DllExport __CFUNC DAQmxBaseGetExportedAdvCmpltEventDelay(TaskHandle taskHandle, float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetExportedAdvCmpltEventDelay(TaskHandle taskHandle, float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetExportedAdvCmpltEventDelay(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_Exported_AdvCmpltEvent_Pulse_Polarity ***
'// Uses value set Polarity2
'//int32 DllExport __CFUNC DAQmxBaseGetExportedAdvCmpltEventPulsePolarity(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetExportedAdvCmpltEventPulsePolarity(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetExportedAdvCmpltEventPulsePolarity(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_Exported_AdvCmpltEvent_Pulse_Width ***
'//int32 DllExport __CFUNC DAQmxBaseGetExportedAdvCmpltEventPulseWidth(TaskHandle taskHandle, float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetExportedAdvCmpltEventPulseWidth(TaskHandle taskHandle, float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetExportedAdvCmpltEventPulseWidth(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_Exported_AIHoldCmpltEvent_OutputTerm ***
'//int32 DllExport __CFUNC DAQmxBaseGetExportedAIHoldCmpltEventOutputTerm(TaskHandle taskHandle, char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetExportedAIHoldCmpltEventOutputTerm(TaskHandle taskHandle, const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetExportedAIHoldCmpltEventOutputTerm(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_Exported_AIHoldCmpltEvent_PulsePolarity ***
'// Uses value set Polarity2
'//int32 DllExport __CFUNC DAQmxBaseGetExportedAIHoldCmpltEventPulsePolarity(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetExportedAIHoldCmpltEventPulsePolarity(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetExportedAIHoldCmpltEventPulsePolarity(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_Exported_ChangeDetectEvent_OutputTerm ***
'//int32 DllExport __CFUNC DAQmxBaseGetExportedChangeDetectEventOutputTerm(TaskHandle taskHandle, char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetExportedChangeDetectEventOutputTerm(TaskHandle taskHandle, const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetExportedChangeDetectEventOutputTerm(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_Exported_CtrOutEvent_OutputTerm ***
'//int32 DllExport __CFUNC DAQmxBaseGetExportedCtrOutEventOutputTerm(TaskHandle taskHandle, char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetExportedCtrOutEventOutputTerm(TaskHandle taskHandle, const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetExportedCtrOutEventOutputTerm(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_Exported_CtrOutEvent_OutputBehavior ***
'// Uses value set ExportActions2
'//int32 DllExport __CFUNC DAQmxBaseGetExportedCtrOutEventOutputBehavior(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetExportedCtrOutEventOutputBehavior(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetExportedCtrOutEventOutputBehavior(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_Exported_CtrOutEvent_Pulse_Polarity ***
'// Uses value set Polarity2
'//int32 DllExport __CFUNC DAQmxBaseGetExportedCtrOutEventPulsePolarity(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetExportedCtrOutEventPulsePolarity(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetExportedCtrOutEventPulsePolarity(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_Exported_CtrOutEvent_Toggle_IdleState ***
'// Uses value set Level1
'//int32 DllExport __CFUNC DAQmxBaseGetExportedCtrOutEventToggleIdleState(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetExportedCtrOutEventToggleIdleState(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetExportedCtrOutEventToggleIdleState(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_Exported_WatchdogExpiredEvent_OutputTerm ***
'//int32 DllExport __CFUNC DAQmxBaseGetExportedWatchdogExpiredEventOutputTerm(TaskHandle taskHandle, char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetExportedWatchdogExpiredEventOutputTerm(TaskHandle taskHandle, const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetExportedWatchdogExpiredEventOutputTerm(TaskHandle taskHandle);
'//********** Device **********
'//*** Set/Get functions for DAQmxBase_Dev_ProductType ***
'//int32 DllExport __CFUNC DAQmxBaseGetDevProductType(const char device[], char *data, uInt32 bufferSize);
'//*** Set/Get functions for DAQmxBase_Dev_SerialNum ***
'//int32 DllExport __CFUNC DAQmxBaseGetDevSerialNum(const char device[], uInt32 *data);
'//********** Read **********
'//*** Set/Get functions for DAQmxBase_Read_RelativeTo ***
'// Uses value set ReadRelativeTo
'//int32 DllExport __CFUNC DAQmxBaseGetReadRelativeTo(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetReadRelativeTo(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetReadRelativeTo(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_Read_Offset ***
'//int32 DllExport __CFUNC DAQmxBaseGetReadOffset(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetReadOffset(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetReadOffset(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_Read_ChannelsToRead ***
'//int32 DllExport __CFUNC DAQmxBaseGetReadChannelsToRead(TaskHandle taskHandle, char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetReadChannelsToRead(TaskHandle taskHandle, const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetReadChannelsToRead(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_Read_ReadAllAvailSamp ***
'//int32 DllExport __CFUNC DAQmxBaseGetReadReadAllAvailSamp(TaskHandle taskHandle, bool32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetReadReadAllAvailSamp(TaskHandle taskHandle, bool32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetReadReadAllAvailSamp(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_Read_AutoStart ***
'//int32 DllExport __CFUNC DAQmxBaseGetReadAutoStart(TaskHandle taskHandle, bool32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetReadAutoStart(TaskHandle taskHandle, bool32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetReadAutoStart(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_Read_OverWrite ***
'// Uses value set OverwriteMode1
'//int32 DllExport __CFUNC DAQmxBaseGetReadOverWrite(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetReadOverWrite(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetReadOverWrite(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_Read_CurrReadPos ***
'//int32 DllExport __CFUNC DAQmxBaseGetReadCurrReadPos(TaskHandle taskHandle, uInt64 *data);
'//*** Set/Get functions for DAQmxBase_Read_AvailSampPerChan ***
'//int32 DllExport __CFUNC DAQmxBaseGetReadAvailSampPerChan(TaskHandle taskHandle, uInt32 *data);
'//*** Set/Get functions for DAQmxBase_Read_TotalSampPerChanAcquired ***
'//int32 DllExport __CFUNC DAQmxBaseGetReadTotalSampPerChanAcquired(TaskHandle taskHandle, uInt64 *data);
'//*** Set/Get functions for DAQmxBase_Read_ChangeDetect_HasOverflowed ***
'//int32 DllExport __CFUNC DAQmxBaseGetReadChangeDetectHasOverflowed(TaskHandle taskHandle, bool32 *data);
'//*** Set/Get functions for DAQmxBase_Read_RawDataWidth ***
'//int32 DllExport __CFUNC DAQmxBaseGetReadRawDataWidth(TaskHandle taskHandle, uInt32 *data);
'//*** Set/Get functions for DAQmxBase_Read_NumChans ***
'//int32 DllExport __CFUNC DAQmxBaseGetReadNumChans(TaskHandle taskHandle, uInt32 *data);
'//*** Set/Get functions for DAQmxBase_Read_DigitalLines_BytesPerChan ***
'//int32 DllExport __CFUNC DAQmxBaseGetReadDigitalLinesBytesPerChan(TaskHandle taskHandle, uInt32 *data);
'//********** Switch Channel **********
'//*** Set/Get functions for DAQmxBase_SwitchChan_Usage ***
'// Uses value set SwitchUsageTypes
'//int32 DllExport __CFUNC DAQmxBaseGetSwitchChanUsage(const char switchChannelName[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetSwitchChanUsage(const char switchChannelName[], int32 data);
'//*** Set/Get functions for DAQmxBase_SwitchChan_MaxACCarryCurrent ***
'//int32 DllExport __CFUNC DAQmxBaseGetSwitchChanMaxACCarryCurrent(const char switchChannelName[], float64 *data);
'//*** Set/Get functions for DAQmxBase_SwitchChan_MaxACSwitchCurrent ***
'//int32 DllExport __CFUNC DAQmxBaseGetSwitchChanMaxACSwitchCurrent(const char switchChannelName[], float64 *data);
'//*** Set/Get functions for DAQmxBase_SwitchChan_MaxACCarryPwr ***
'//int32 DllExport __CFUNC DAQmxBaseGetSwitchChanMaxACCarryPwr(const char switchChannelName[], float64 *data);
'//*** Set/Get functions for DAQmxBase_SwitchChan_MaxACSwitchPwr ***
'//int32 DllExport __CFUNC DAQmxBaseGetSwitchChanMaxACSwitchPwr(const char switchChannelName[], float64 *data);
'//*** Set/Get functions for DAQmxBase_SwitchChan_MaxDCCarryCurrent ***
'//int32 DllExport __CFUNC DAQmxBaseGetSwitchChanMaxDCCarryCurrent(const char switchChannelName[], float64 *data);
'//*** Set/Get functions for DAQmxBase_SwitchChan_MaxDCSwitchCurrent ***
'//int32 DllExport __CFUNC DAQmxBaseGetSwitchChanMaxDCSwitchCurrent(const char switchChannelName[], float64 *data);
'//*** Set/Get functions for DAQmxBase_SwitchChan_MaxDCCarryPwr ***
'//int32 DllExport __CFUNC DAQmxBaseGetSwitchChanMaxDCCarryPwr(const char switchChannelName[], float64 *data);
'//*** Set/Get functions for DAQmxBase_SwitchChan_MaxDCSwitchPwr ***
'//int32 DllExport __CFUNC DAQmxBaseGetSwitchChanMaxDCSwitchPwr(const char switchChannelName[], float64 *data);
'//*** Set/Get functions for DAQmxBase_SwitchChan_MaxACVoltage ***
'//int32 DllExport __CFUNC DAQmxBaseGetSwitchChanMaxACVoltage(const char switchChannelName[], float64 *data);
'//*** Set/Get functions for DAQmxBase_SwitchChan_MaxDCVoltage ***
'//int32 DllExport __CFUNC DAQmxBaseGetSwitchChanMaxDCVoltage(const char switchChannelName[], float64 *data);
'//*** Set/Get functions for DAQmxBase_SwitchChan_WireMode ***
'//int32 DllExport __CFUNC DAQmxBaseGetSwitchChanWireMode(const char switchChannelName[], uInt32 *data);
'//*** Set/Get functions for DAQmxBase_SwitchChan_Bandwidth ***
'//int32 DllExport __CFUNC DAQmxBaseGetSwitchChanBandwidth(const char switchChannelName[], float64 *data);
'//*** Set/Get functions for DAQmxBase_SwitchChan_Impedance ***
'//int32 DllExport __CFUNC DAQmxBaseGetSwitchChanImpedance(const char switchChannelName[], float64 *data);
'//********** Switch Device **********
'//*** Set/Get functions for DAQmxBase_SwitchDev_SettlingTime ***
'//int32 DllExport __CFUNC DAQmxBaseGetSwitchDevSettlingTime(const char deviceName[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetSwitchDevSettlingTime(const char deviceName[], float64 data);
'//*** Set/Get functions for DAQmxBase_SwitchDev_AutoConnAnlgBus ***
'//int32 DllExport __CFUNC DAQmxBaseGetSwitchDevAutoConnAnlgBus(const char deviceName[], bool32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetSwitchDevAutoConnAnlgBus(const char deviceName[], bool32 data);
'//*** Set/Get functions for DAQmxBase_SwitchDev_Settled ***
'//int32 DllExport __CFUNC DAQmxBaseGetSwitchDevSettled(const char deviceName[], bool32 *data);
'//*** Set/Get functions for DAQmxBase_SwitchDev_RelayList ***
'//int32 DllExport __CFUNC DAQmxBaseGetSwitchDevRelayList(const char deviceName[], char *data, uInt32 bufferSize);
'//*** Set/Get functions for DAQmxBase_SwitchDev_NumRelays ***
'//int32 DllExport __CFUNC DAQmxBaseGetSwitchDevNumRelays(const char deviceName[], uInt32 *data);
'//*** Set/Get functions for DAQmxBase_SwitchDev_SwitchChanList ***
'//int32 DllExport __CFUNC DAQmxBaseGetSwitchDevSwitchChanList(const char deviceName[], char *data, uInt32 bufferSize);
'//*** Set/Get functions for DAQmxBase_SwitchDev_NumSwitchChans ***
'//int32 DllExport __CFUNC DAQmxBaseGetSwitchDevNumSwitchChans(const char deviceName[], uInt32 *data);
'//*** Set/Get functions for DAQmxBase_SwitchDev_NumRows ***
'//int32 DllExport __CFUNC DAQmxBaseGetSwitchDevNumRows(const char deviceName[], uInt32 *data);
'//*** Set/Get functions for DAQmxBase_SwitchDev_NumColumns ***
'//int32 DllExport __CFUNC DAQmxBaseGetSwitchDevNumColumns(const char deviceName[], uInt32 *data);
'//*** Set/Get functions for DAQmxBase_SwitchDev_Topology ***
'//int32 DllExport __CFUNC DAQmxBaseGetSwitchDevTopology(const char deviceName[], char *data, uInt32 bufferSize);
'//********** Switch Scan **********
'//*** Set/Get functions for DAQmxBase_SwitchScan_BreakMode ***
'// Uses value set BreakMode
'//int32 DllExport __CFUNC DAQmxBaseGetSwitchScanBreakMode(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetSwitchScanBreakMode(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetSwitchScanBreakMode(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_SwitchScan_RepeatMode ***
'// Uses value set SwitchScanRepeatMode
'//int32 DllExport __CFUNC DAQmxBaseGetSwitchScanRepeatMode(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetSwitchScanRepeatMode(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetSwitchScanRepeatMode(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_SwitchScan_WaitingForAdv ***
'//int32 DllExport __CFUNC DAQmxBaseGetSwitchScanWaitingForAdv(TaskHandle taskHandle, bool32 *data);
'//********** Scale **********
'//*** Set/Get functions for DAQmxBase_Scale_Descr ***
'//int32 DllExport __CFUNC DAQmxBaseGetScaleDescr(const char scaleName[], char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetScaleDescr(const char scaleName[], const char *data);
'//*** Set/Get functions for DAQmxBase_Scale_ScaledUnits ***
'//int32 DllExport __CFUNC DAQmxBaseGetScaleScaledUnits(const char scaleName[], char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetScaleScaledUnits(const char scaleName[], const char *data);
'//*** Set/Get functions for DAQmxBase_Scale_PreScaledUnits ***
'// Uses value set UnitsPreScaled
'//int32 DllExport __CFUNC DAQmxBaseGetScalePreScaledUnits(const char scaleName[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetScalePreScaledUnits(const char scaleName[], int32 data);
'//*** Set/Get functions for DAQmxBase_Scale_Type ***
'// Uses value set ScaleType
'//int32 DllExport __CFUNC DAQmxBaseGetScaleType(const char scaleName[], int32 *data);
'//*** Set/Get functions for DAQmxBase_Scale_Lin_Slope ***
'//int32 DllExport __CFUNC DAQmxBaseGetScaleLinSlope(const char scaleName[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetScaleLinSlope(const char scaleName[], float64 data);
'//*** Set/Get functions for DAQmxBase_Scale_Lin_YIntercept ***
'//int32 DllExport __CFUNC DAQmxBaseGetScaleLinYIntercept(const char scaleName[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetScaleLinYIntercept(const char scaleName[], float64 data);
'//*** Set/Get functions for DAQmxBase_Scale_Map_ScaledMax ***
'//int32 DllExport __CFUNC DAQmxBaseGetScaleMapScaledMax(const char scaleName[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetScaleMapScaledMax(const char scaleName[], float64 data);
'//*** Set/Get functions for DAQmxBase_Scale_Map_PreScaledMax ***
'//int32 DllExport __CFUNC DAQmxBaseGetScaleMapPreScaledMax(const char scaleName[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetScaleMapPreScaledMax(const char scaleName[], float64 data);
'//*** Set/Get functions for DAQmxBase_Scale_Map_ScaledMin ***
'//int32 DllExport __CFUNC DAQmxBaseGetScaleMapScaledMin(const char scaleName[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetScaleMapScaledMin(const char scaleName[], float64 data);
'//*** Set/Get functions for DAQmxBase_Scale_Map_PreScaledMin ***
'//int32 DllExport __CFUNC DAQmxBaseGetScaleMapPreScaledMin(const char scaleName[], float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetScaleMapPreScaledMin(const char scaleName[], float64 data);
'//*** Set/Get functions for DAQmxBase_Scale_Poly_ForwardCoeff ***
'//int32 DllExport __CFUNC DAQmxBaseGetScalePolyForwardCoeff(const char scaleName[], float64 *data, uInt32 arraySizeInSamples);
'//int32 DllExport __CFUNC DAQmxBaseSetScalePolyForwardCoeff(const char scaleName[], float64 *data, uInt32 arraySizeInSamples);
'//*** Set/Get functions for DAQmxBase_Scale_Poly_ReverseCoeff ***
'//int32 DllExport __CFUNC DAQmxBaseGetScalePolyReverseCoeff(const char scaleName[], float64 *data, uInt32 arraySizeInSamples);
'//int32 DllExport __CFUNC DAQmxBaseSetScalePolyReverseCoeff(const char scaleName[], float64 *data, uInt32 arraySizeInSamples);
'//*** Set/Get functions for DAQmxBase_Scale_Table_ScaledVals ***
'//int32 DllExport __CFUNC DAQmxBaseGetScaleTableScaledVals(const char scaleName[], float64 *data, uInt32 arraySizeInSamples);
'//int32 DllExport __CFUNC DAQmxBaseSetScaleTableScaledVals(const char scaleName[], float64 *data, uInt32 arraySizeInSamples);
'//*** Set/Get functions for DAQmxBase_Scale_Table_PreScaledVals ***
'//int32 DllExport __CFUNC DAQmxBaseGetScaleTablePreScaledVals(const char scaleName[], float64 *data, uInt32 arraySizeInSamples);
'//int32 DllExport __CFUNC DAQmxBaseSetScaleTablePreScaledVals(const char scaleName[], float64 *data, uInt32 arraySizeInSamples);
'//********** System **********
'//*** Set/Get functions for DAQmxBase_Sys_GlobalChans ***
'//int32 DllExport __CFUNC DAQmxBaseGetSysGlobalChans(char *data, uInt32 bufferSize);
'//*** Set/Get functions for DAQmxBase_Sys_Scales ***
'//int32 DllExport __CFUNC DAQmxBaseGetSysScales(char *data, uInt32 bufferSize);
'//*** Set/Get functions for DAQmxBase_Sys_Tasks ***
'//int32 DllExport __CFUNC DAQmxBaseGetSysTasks(char *data, uInt32 bufferSize);
'//*** Set/Get functions for DAQmxBase_Sys_DevNames ***
'//int32 DllExport __CFUNC DAQmxBaseGetSysDevNames(char *data, uInt32 bufferSize);
'//*** Set/Get functions for DAQmxBase_Sys_NIDAQMajorVersion ***
'//int32 DllExport __CFUNC DAQmxBaseGetSysNIDAQMajorVersion(uInt32 *data);
'//*** Set/Get functions for DAQmxBase_Sys_NIDAQMinorVersion ***
'//int32 DllExport __CFUNC DAQmxBaseGetSysNIDAQMinorVersion(uInt32 *data);
'//********** Task **********
'//*** Set/Get functions for DAQmxBase_Task_Name ***
'//int32 DllExport __CFUNC DAQmxBaseGetTaskName(TaskHandle taskHandle, char *data, uInt32 bufferSize);
'//*** Set/Get functions for DAQmxBase_Task_Channels ***
'//int32 DllExport __CFUNC DAQmxBaseGetTaskChannels(TaskHandle taskHandle, char *data, uInt32 bufferSize);
'//*** Set/Get functions for DAQmxBase_Task_NumChans ***
'//int32 DllExport __CFUNC DAQmxBaseGetTaskNumChans(TaskHandle taskHandle, uInt32 *data);
'//*** Set/Get functions for DAQmxBase_Task_Complete ***
'//int32 DllExport __CFUNC DAQmxBaseGetTaskComplete(TaskHandle taskHandle, bool32 *data);
'//********** Timing **********
'//*** Set/Get functions for DAQmxBase_SampQuant_SampMode ***
'// Uses value set AcquisitionType
'//int32 DllExport __CFUNC DAQmxBaseGetSampQuantSampMode(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetSampQuantSampMode(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetSampQuantSampMode(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_SampQuant_SampPerChan ***
'//int32 DllExport __CFUNC DAQmxBaseGetSampQuantSampPerChan(TaskHandle taskHandle, uInt64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetSampQuantSampPerChan(TaskHandle taskHandle, uInt64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetSampQuantSampPerChan(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_SampTimingType ***
'// Uses value set SampleTimingType
'//int32 DllExport __CFUNC DAQmxBaseGetSampTimingType(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetSampTimingType(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetSampTimingType(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_SampClk_Rate ***
'//int32 DllExport __CFUNC DAQmxBaseGetSampClkRate(TaskHandle taskHandle, float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetSampClkRate(TaskHandle taskHandle, float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetSampClkRate(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_SampClk_Src ***
'//int32 DllExport __CFUNC DAQmxBaseGetSampClkSrc(TaskHandle taskHandle, char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetSampClkSrc(TaskHandle taskHandle, const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetSampClkSrc(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_SampClk_ActiveEdge ***
'// Uses value set Edge1
'//int32 DllExport __CFUNC DAQmxBaseGetSampClkActiveEdge(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetSampClkActiveEdge(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetSampClkActiveEdge(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_SampClk_TimebaseDiv ***
'//int32 DllExport __CFUNC DAQmxBaseGetSampClkTimebaseDiv(TaskHandle taskHandle, uInt32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetSampClkTimebaseDiv(TaskHandle taskHandle, uInt32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetSampClkTimebaseDiv(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_SampClk_Timebase_Rate ***
'//int32 DllExport __CFUNC DAQmxBaseGetSampClkTimebaseRate(TaskHandle taskHandle, float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetSampClkTimebaseRate(TaskHandle taskHandle, float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetSampClkTimebaseRate(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_SampClk_Timebase_Src ***
'//int32 DllExport __CFUNC DAQmxBaseGetSampClkTimebaseSrc(TaskHandle taskHandle, char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetSampClkTimebaseSrc(TaskHandle taskHandle, const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetSampClkTimebaseSrc(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_SampClk_Timebase_ActiveEdge ***
'// Uses value set Edge1
'//int32 DllExport __CFUNC DAQmxBaseGetSampClkTimebaseActiveEdge(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetSampClkTimebaseActiveEdge(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetSampClkTimebaseActiveEdge(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_SampClk_Timebase_MasterTimebaseDiv ***
'//int32 DllExport __CFUNC DAQmxBaseGetSampClkTimebaseMasterTimebaseDiv(TaskHandle taskHandle, uInt32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetSampClkTimebaseMasterTimebaseDiv(TaskHandle taskHandle, uInt32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetSampClkTimebaseMasterTimebaseDiv(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_ChangeDetect_DI_RisingEdgePhysicalChans ***
'//int32 DllExport __CFUNC DAQmxBaseGetChangeDetectDIRisingEdgePhysicalChans(TaskHandle taskHandle, char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetChangeDetectDIRisingEdgePhysicalChans(TaskHandle taskHandle, const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetChangeDetectDIRisingEdgePhysicalChans(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_ChangeDetect_DI_FallingEdgePhysicalChans ***
'//int32 DllExport __CFUNC DAQmxBaseGetChangeDetectDIFallingEdgePhysicalChans(TaskHandle taskHandle, char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetChangeDetectDIFallingEdgePhysicalChans(TaskHandle taskHandle, const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetChangeDetectDIFallingEdgePhysicalChans(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_OnDemand_SimultaneousAOEnable ***
'//int32 DllExport __CFUNC DAQmxBaseGetOnDemandSimultaneousAOEnable(TaskHandle taskHandle, bool32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetOnDemandSimultaneousAOEnable(TaskHandle taskHandle, bool32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetOnDemandSimultaneousAOEnable(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_AIConv_Rate ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIConvRate(TaskHandle taskHandle, float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIConvRate(TaskHandle taskHandle, float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIConvRate(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_AIConv_Src ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIConvSrc(TaskHandle taskHandle, char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetAIConvSrc(TaskHandle taskHandle, const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIConvSrc(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_AIConv_ActiveEdge ***
'// Uses value set Edge1
'//int32 DllExport __CFUNC DAQmxBaseGetAIConvActiveEdge(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIConvActiveEdge(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIConvActiveEdge(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_AIConv_TimebaseDiv ***
'//int32 DllExport __CFUNC DAQmxBaseGetAIConvTimebaseDiv(TaskHandle taskHandle, uInt32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIConvTimebaseDiv(TaskHandle taskHandle, uInt32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIConvTimebaseDiv(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_AIConv_Timebase_Src ***
'// Uses value set MIOAIConvertTbSrc
'//int32 DllExport __CFUNC DAQmxBaseGetAIConvTimebaseSrc(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAIConvTimebaseSrc(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAIConvTimebaseSrc(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_MasterTimebase_Rate ***
'//int32 DllExport __CFUNC DAQmxBaseGetMasterTimebaseRate(TaskHandle taskHandle, float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetMasterTimebaseRate(TaskHandle taskHandle, float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetMasterTimebaseRate(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_MasterTimebase_Src ***
'//int32 DllExport __CFUNC DAQmxBaseGetMasterTimebaseSrc(TaskHandle taskHandle, char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetMasterTimebaseSrc(TaskHandle taskHandle, const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetMasterTimebaseSrc(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_DelayFromSampClk_DelayUnits ***
'// Uses value set DigitalWidthUnits2
'//int32 DllExport __CFUNC DAQmxBaseGetDelayFromSampClkDelayUnits(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetDelayFromSampClkDelayUnits(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetDelayFromSampClkDelayUnits(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_DelayFromSampClk_Delay ***
'//int32 DllExport __CFUNC DAQmxBaseGetDelayFromSampClkDelay(TaskHandle taskHandle, float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetDelayFromSampClkDelay(TaskHandle taskHandle, float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetDelayFromSampClkDelay(TaskHandle taskHandle);
'//********** Trigger **********
'//*** Set/Get functions for DAQmxBase_StartTrig_Type ***
'// Uses value set TriggerType8
'//int32 DllExport __CFUNC DAQmxBaseGetStartTrigType(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetStartTrigType(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetStartTrigType(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_DigEdge_StartTrig_Src ***
'//int32 DllExport __CFUNC DAQmxBaseGetDigEdgeStartTrigSrc(TaskHandle taskHandle, char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetDigEdgeStartTrigSrc(TaskHandle taskHandle, const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetDigEdgeStartTrigSrc(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_DigEdge_StartTrig_Edge ***
'// Uses value set Edge1
'//int32 DllExport __CFUNC DAQmxBaseGetDigEdgeStartTrigEdge(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetDigEdgeStartTrigEdge(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetDigEdgeStartTrigEdge(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_AnlgEdge_StartTrig_Src ***
'//int32 DllExport __CFUNC DAQmxBaseGetAnlgEdgeStartTrigSrc(TaskHandle taskHandle, char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetAnlgEdgeStartTrigSrc(TaskHandle taskHandle, const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetAnlgEdgeStartTrigSrc(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_AnlgEdge_StartTrig_Slope ***
'// Uses value set Slope1
'//int32 DllExport __CFUNC DAQmxBaseGetAnlgEdgeStartTrigSlope(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAnlgEdgeStartTrigSlope(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAnlgEdgeStartTrigSlope(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_AnlgEdge_StartTrig_Lvl ***
'//int32 DllExport __CFUNC DAQmxBaseGetAnlgEdgeStartTrigLvl(TaskHandle taskHandle, float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAnlgEdgeStartTrigLvl(TaskHandle taskHandle, float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAnlgEdgeStartTrigLvl(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_AnlgEdge_StartTrig_Hyst ***
'//int32 DllExport __CFUNC DAQmxBaseGetAnlgEdgeStartTrigHyst(TaskHandle taskHandle, float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAnlgEdgeStartTrigHyst(TaskHandle taskHandle, float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAnlgEdgeStartTrigHyst(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_AnlgWin_StartTrig_Src ***
'//int32 DllExport __CFUNC DAQmxBaseGetAnlgWinStartTrigSrc(TaskHandle taskHandle, char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetAnlgWinStartTrigSrc(TaskHandle taskHandle, const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetAnlgWinStartTrigSrc(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_AnlgWin_StartTrig_When ***
'// Uses value set WindowTriggerCondition1
'//int32 DllExport __CFUNC DAQmxBaseGetAnlgWinStartTrigWhen(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAnlgWinStartTrigWhen(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAnlgWinStartTrigWhen(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_AnlgWin_StartTrig_Top ***
'//int32 DllExport __CFUNC DAQmxBaseGetAnlgWinStartTrigTop(TaskHandle taskHandle, float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAnlgWinStartTrigTop(TaskHandle taskHandle, float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAnlgWinStartTrigTop(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_AnlgWin_StartTrig_Btm ***
'//int32 DllExport __CFUNC DAQmxBaseGetAnlgWinStartTrigBtm(TaskHandle taskHandle, float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAnlgWinStartTrigBtm(TaskHandle taskHandle, float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAnlgWinStartTrigBtm(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_StartTrig_Delay ***
'//int32 DllExport __CFUNC DAQmxBaseGetStartTrigDelay(TaskHandle taskHandle, float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetStartTrigDelay(TaskHandle taskHandle, float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetStartTrigDelay(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_StartTrig_DelayUnits ***
'// Uses value set DigitalWidthUnits1
'//int32 DllExport __CFUNC DAQmxBaseGetStartTrigDelayUnits(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetStartTrigDelayUnits(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetStartTrigDelayUnits(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_StartTrig_Retriggerable ***
'//int32 DllExport __CFUNC DAQmxBaseGetStartTrigRetriggerable(TaskHandle taskHandle, bool32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetStartTrigRetriggerable(TaskHandle taskHandle, bool32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetStartTrigRetriggerable(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_RefTrig_Type ***
'// Uses value set TriggerType1
'//int32 DllExport __CFUNC DAQmxBaseGetRefTrigType(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetRefTrigType(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetRefTrigType(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_RefTrig_PretrigSamples ***
'//int32 DllExport __CFUNC DAQmxBaseGetRefTrigPretrigSamples(TaskHandle taskHandle, uInt32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetRefTrigPretrigSamples(TaskHandle taskHandle, uInt32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetRefTrigPretrigSamples(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_DigEdge_RefTrig_Src ***
'//int32 DllExport __CFUNC DAQmxBaseGetDigEdgeRefTrigSrc(TaskHandle taskHandle, char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetDigEdgeRefTrigSrc(TaskHandle taskHandle, const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetDigEdgeRefTrigSrc(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_DigEdge_RefTrig_Edge ***
'// Uses value set Edge1
'//int32 DllExport __CFUNC DAQmxBaseGetDigEdgeRefTrigEdge(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetDigEdgeRefTrigEdge(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetDigEdgeRefTrigEdge(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_AnlgEdge_RefTrig_Src ***
'//int32 DllExport __CFUNC DAQmxBaseGetAnlgEdgeRefTrigSrc(TaskHandle taskHandle, char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetAnlgEdgeRefTrigSrc(TaskHandle taskHandle, const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetAnlgEdgeRefTrigSrc(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_AnlgEdge_RefTrig_Slope ***
'// Uses value set Slope1
'//int32 DllExport __CFUNC DAQmxBaseGetAnlgEdgeRefTrigSlope(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAnlgEdgeRefTrigSlope(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAnlgEdgeRefTrigSlope(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_AnlgEdge_RefTrig_Lvl ***
'//int32 DllExport __CFUNC DAQmxBaseGetAnlgEdgeRefTrigLvl(TaskHandle taskHandle, float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAnlgEdgeRefTrigLvl(TaskHandle taskHandle, float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAnlgEdgeRefTrigLvl(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_AnlgEdge_RefTrig_Hyst ***
'//int32 DllExport __CFUNC DAQmxBaseGetAnlgEdgeRefTrigHyst(TaskHandle taskHandle, float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAnlgEdgeRefTrigHyst(TaskHandle taskHandle, float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAnlgEdgeRefTrigHyst(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_AnlgWin_RefTrig_Src ***
'//int32 DllExport __CFUNC DAQmxBaseGetAnlgWinRefTrigSrc(TaskHandle taskHandle, char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetAnlgWinRefTrigSrc(TaskHandle taskHandle, const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetAnlgWinRefTrigSrc(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_AnlgWin_RefTrig_When ***
'// Uses value set WindowTriggerCondition1
'//int32 DllExport __CFUNC DAQmxBaseGetAnlgWinRefTrigWhen(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAnlgWinRefTrigWhen(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAnlgWinRefTrigWhen(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_AnlgWin_RefTrig_Top ***
'//int32 DllExport __CFUNC DAQmxBaseGetAnlgWinRefTrigTop(TaskHandle taskHandle, float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAnlgWinRefTrigTop(TaskHandle taskHandle, float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAnlgWinRefTrigTop(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_AnlgWin_RefTrig_Btm ***
'//int32 DllExport __CFUNC DAQmxBaseGetAnlgWinRefTrigBtm(TaskHandle taskHandle, float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAnlgWinRefTrigBtm(TaskHandle taskHandle, float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAnlgWinRefTrigBtm(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_AdvTrig_Type ***
'// Uses value set TriggerType5
'//int32 DllExport __CFUNC DAQmxBaseGetAdvTrigType(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAdvTrigType(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAdvTrigType(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_DigEdge_AdvTrig_Src ***
'//int32 DllExport __CFUNC DAQmxBaseGetDigEdgeAdvTrigSrc(TaskHandle taskHandle, char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetDigEdgeAdvTrigSrc(TaskHandle taskHandle, const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetDigEdgeAdvTrigSrc(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_DigEdge_AdvTrig_Edge ***
'// Uses value set Edge1
'//int32 DllExport __CFUNC DAQmxBaseGetDigEdgeAdvTrigEdge(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetDigEdgeAdvTrigEdge(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetDigEdgeAdvTrigEdge(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_PauseTrig_Type ***
'// Uses value set TriggerType6
'//int32 DllExport __CFUNC DAQmxBaseGetPauseTrigType(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetPauseTrigType(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetPauseTrigType(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_AnlgLvl_PauseTrig_Src ***
'//int32 DllExport __CFUNC DAQmxBaseGetAnlgLvlPauseTrigSrc(TaskHandle taskHandle, char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetAnlgLvlPauseTrigSrc(TaskHandle taskHandle, const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetAnlgLvlPauseTrigSrc(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_AnlgLvl_PauseTrig_When ***
'// Uses value set ActiveLevel
'//int32 DllExport __CFUNC DAQmxBaseGetAnlgLvlPauseTrigWhen(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAnlgLvlPauseTrigWhen(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAnlgLvlPauseTrigWhen(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_AnlgLvl_PauseTrig_Lvl ***
'//int32 DllExport __CFUNC DAQmxBaseGetAnlgLvlPauseTrigLvl(TaskHandle taskHandle, float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAnlgLvlPauseTrigLvl(TaskHandle taskHandle, float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAnlgLvlPauseTrigLvl(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_AnlgLvl_PauseTrig_Hyst ***
'//int32 DllExport __CFUNC DAQmxBaseGetAnlgLvlPauseTrigHyst(TaskHandle taskHandle, float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAnlgLvlPauseTrigHyst(TaskHandle taskHandle, float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAnlgLvlPauseTrigHyst(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_AnlgWin_PauseTrig_Src ***
'//int32 DllExport __CFUNC DAQmxBaseGetAnlgWinPauseTrigSrc(TaskHandle taskHandle, char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetAnlgWinPauseTrigSrc(TaskHandle taskHandle, const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetAnlgWinPauseTrigSrc(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_AnlgWin_PauseTrig_When ***
'// Uses value set WindowTriggerCondition2
'//int32 DllExport __CFUNC DAQmxBaseGetAnlgWinPauseTrigWhen(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAnlgWinPauseTrigWhen(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAnlgWinPauseTrigWhen(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_AnlgWin_PauseTrig_Top ***
'//int32 DllExport __CFUNC DAQmxBaseGetAnlgWinPauseTrigTop(TaskHandle taskHandle, float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAnlgWinPauseTrigTop(TaskHandle taskHandle, float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAnlgWinPauseTrigTop(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_AnlgWin_PauseTrig_Btm ***
'//int32 DllExport __CFUNC DAQmxBaseGetAnlgWinPauseTrigBtm(TaskHandle taskHandle, float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetAnlgWinPauseTrigBtm(TaskHandle taskHandle, float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetAnlgWinPauseTrigBtm(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_DigLvl_PauseTrig_Src ***
'//int32 DllExport __CFUNC DAQmxBaseGetDigLvlPauseTrigSrc(TaskHandle taskHandle, char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetDigLvlPauseTrigSrc(TaskHandle taskHandle, const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetDigLvlPauseTrigSrc(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_DigLvl_PauseTrig_When ***
'// Uses value set Level1
'//int32 DllExport __CFUNC DAQmxBaseGetDigLvlPauseTrigWhen(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetDigLvlPauseTrigWhen(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetDigLvlPauseTrigWhen(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_ArmStartTrig_Type ***
'// Uses value set TriggerType4
'//int32 DllExport __CFUNC DAQmxBaseGetArmStartTrigType(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetArmStartTrigType(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetArmStartTrigType(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_DigEdge_ArmStartTrig_Src ***
'//int32 DllExport __CFUNC DAQmxBaseGetDigEdgeArmStartTrigSrc(TaskHandle taskHandle, char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetDigEdgeArmStartTrigSrc(TaskHandle taskHandle, const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetDigEdgeArmStartTrigSrc(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_DigEdge_ArmStartTrig_Edge ***
'// Uses value set Edge1
'//int32 DllExport __CFUNC DAQmxBaseGetDigEdgeArmStartTrigEdge(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetDigEdgeArmStartTrigEdge(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetDigEdgeArmStartTrigEdge(TaskHandle taskHandle);
'//********** Watchdog **********
'//*** Set/Get functions for DAQmxBase_Watchdog_Timeout ***
'//int32 DllExport __CFUNC DAQmxBaseGetWatchdogTimeout(TaskHandle taskHandle, float64 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetWatchdogTimeout(TaskHandle taskHandle, float64 data);
'//int32 DllExport __CFUNC DAQmxBaseResetWatchdogTimeout(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_WatchdogExpirTrig_Type ***
'// Uses value set TriggerType4
'//int32 DllExport __CFUNC DAQmxBaseGetWatchdogExpirTrigType(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetWatchdogExpirTrigType(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetWatchdogExpirTrigType(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_DigEdge_WatchdogExpirTrig_Src ***
'//int32 DllExport __CFUNC DAQmxBaseGetDigEdgeWatchdogExpirTrigSrc(TaskHandle taskHandle, char *data, uInt32 bufferSize);
'//int32 DllExport __CFUNC DAQmxBaseSetDigEdgeWatchdogExpirTrigSrc(TaskHandle taskHandle, const char *data);
'//int32 DllExport __CFUNC DAQmxBaseResetDigEdgeWatchdogExpirTrigSrc(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_DigEdge_WatchdogExpirTrig_Edge ***
'// Uses value set Edge1
'//int32 DllExport __CFUNC DAQmxBaseGetDigEdgeWatchdogExpirTrigEdge(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetDigEdgeWatchdogExpirTrigEdge(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetDigEdgeWatchdogExpirTrigEdge(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_Watchdog_DO_ExpirState ***
'// Uses value set DigitalLineState
'//int32 DllExport __CFUNC DAQmxBaseGetWatchdogDOExpirState(TaskHandle taskHandle, const char channel[], int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetWatchdogDOExpirState(TaskHandle taskHandle, const char channel[], int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetWatchdogDOExpirState(TaskHandle taskHandle, const char channel[]);
'//*** Set/Get functions for DAQmxBase_Watchdog_HasExpired ***
'//int32 DllExport __CFUNC DAQmxBaseGetWatchdogHasExpired(TaskHandle taskHandle, bool32 *data);
'//********** Write **********
'//*** Set/Get functions for DAQmxBase_Write_RelativeTo ***
'// Uses value set WriteRelativeTo
'//int32 DllExport __CFUNC DAQmxBaseGetWriteRelativeTo(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetWriteRelativeTo(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetWriteRelativeTo(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_Write_Offset ***
'//int32 DllExport __CFUNC DAQmxBaseGetWriteOffset(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetWriteOffset(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetWriteOffset(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_Write_RegenMode ***
'// Uses value set RegenerationMode1
'//int32 DllExport __CFUNC DAQmxBaseGetWriteRegenMode(TaskHandle taskHandle, int32 *data);
'//int32 DllExport __CFUNC DAQmxBaseSetWriteRegenMode(TaskHandle taskHandle, int32 data);
'//int32 DllExport __CFUNC DAQmxBaseResetWriteRegenMode(TaskHandle taskHandle);
'//*** Set/Get functions for DAQmxBase_Write_CurrWritePos ***
'//int32 DllExport __CFUNC DAQmxBaseGetWriteCurrWritePos(TaskHandle taskHandle, uInt64 *data);
'//*** Set/Get functions for DAQmxBase_Write_SpaceAvail ***
'//int32 DllExport __CFUNC DAQmxBaseGetWriteSpaceAvail(TaskHandle taskHandle, uInt32 *data);
'//*** Set/Get functions for DAQmxBase_Write_TotalSampPerChanGenerated ***
'//int32 DllExport __CFUNC DAQmxBaseGetWriteTotalSampPerChanGenerated(TaskHandle taskHandle, uInt64 *data);
'//*** Set/Get functions for DAQmxBase_Write_RawDataWidth ***
'//int32 DllExport __CFUNC DAQmxBaseGetWriteRawDataWidth(TaskHandle taskHandle, uInt32 *data);
'//*** Set/Get functions for DAQmxBase_Write_NumChans ***
'//int32 DllExport __CFUNC DAQmxBaseGetWriteNumChans(TaskHandle taskHandle, uInt32 *data);
'//*** Set/Get functions for DAQmxBase_Write_DigitalLines_BytesPerChan ***
'//int32 DllExport __CFUNC DAQmxBaseGetWriteDigitalLinesBytesPerChan(TaskHandle taskHandle, uInt32 *data);
'/******************************************************************************
public const DAQmxSuccess as long = 0
'//#define DAQmxFailed(error)                            ((error)<0)
'// Error and Warning Codes
public const DAQmxErrorInvalidInstallation as long = -200683
public const DAQmxErrorRefTrigMasterSessionUnavailable as long = -200682
public const DAQmxErrorRouteFailedBecauseWatchdogExpired as long = -200681
public const DAQmxErrorDeviceShutDownDueToHighTemp as long = -200680
public const DAQmxErrorNoMemMapWhenHWTimedSinglePoint as long = -200679
public const DAQmxErrorWriteFailedBecauseWatchdogExpired as long = -200678
public const DAQmxErrorDifftInternalAIInputSrcs as long = -200677
public const DAQmxErrorDifftAIInputSrcInOneChanGroup as long = -200676
public const DAQmxErrorInternalAIInputSrcInMultChanGroups as long = -200675
public const DAQmxErrorSwitchOpFailedDueToPrevError as long = -200674
public const DAQmxErrorWroteMultiSampsUsingSingleSampWrite as long = -200673
public const DAQmxErrorMismatchedInputArraySizes as long = -200672
public const DAQmxErrorCantExceedRelayDriveLimit as long = -200671
public const DAQmxErrorDACRngLowNotEqualToMinusRefVal as long = -200670
public const DAQmxErrorCantAllowConnectDACToGnd as long = -200669
public const DAQmxErrorWatchdogTimeoutOutOfRangeAndNotSpecialVal as long = -200668
public const DAQmxErrorNoWatchdogOutputOnPortReservedForInput as long = -200667
public const DAQmxErrorNoInputOnPortCfgdForWatchdogOutput as long = -200666
public const DAQmxErrorWatchdogExpirationStateNotEqualForLinesInPort as long = -200665
public const DAQmxErrorCannotPerformOpWhenTaskNotReserved as long = -200664
public const DAQmxErrorPowerupStateNotSupported as long = -200663
public const DAQmxErrorWatchdogTimerNotSupported as long = -200662
public const DAQmxErrorOpNotSupportedWhenRefClkSrcNone as long = -200661
public const DAQmxErrorSampClkRateUnavailable as long = -200660
public const DAQmxErrorPrptyGetSpecdSingleActiveChanFailedDueToDifftVals as long = -200659
public const DAQmxErrorPrptyGetImpliedActiveChanFailedDueToDifftVals as long = -200658
public const DAQmxErrorPrptyGetSpecdActiveChanFailedDueToDifftVals as long = -200657
public const DAQmxErrorNoRegenWhenUsingBrdMem as long = -200656
public const DAQmxErrorNonbufferedReadMoreThanSampsPerChan as long = -200655
public const DAQmxErrorWatchdogExpirationTristateNotSpecdForEntirePort as long = -200654
public const DAQmxErrorPowerupTristateNotSpecdForEntirePort as long = -200653
public const DAQmxErrorPowerupStateNotSpecdForEntirePort as long = -200652
public const DAQmxErrorCantSetWatchdogExpirationOnDigInChan as long = -200651
public const DAQmxErrorCantSetPowerupStateOnDigInChan as long = -200650
public const DAQmxErrorPhysChanNotInTask as long = -200649
public const DAQmxErrorPhysChanDevNotInTask as long = -200648
public const DAQmxErrorDigInputNotSupported as long = -200647
public const DAQmxErrorDigFilterIntervalNotEqualForLines as long = -200646
public const DAQmxErrorDigFilterIntervalAlreadyCfgd as long = -200645
public const DAQmxErrorCantResetExpiredWatchdog as long = -200644
public const DAQmxErrorActiveChanTooManyLinesSpecdWhenGettingPrpty as long = -200643
public const DAQmxErrorActiveChanNotSpecdWhenGetting1LinePrpty as long = -200642
public const DAQmxErrorDigPrptyCannotBeSetPerLine as long = -200641
public const DAQmxErrorSendAdvCmpltAfterWaitForTrigInScanlist as long = -200640
public const DAQmxErrorDisconnectionRequiredInScanlist as long = -200639
public const DAQmxErrorTwoWaitForTrigsAfterConnectionInScanlist as long = -200638
public const DAQmxErrorActionSeparatorRequiredAfterBreakingConnectionInScanlist as long = -200637
public const DAQmxErrorConnectionInScanlistMustWaitForTrig as long = -200636
public const DAQmxErrorActionNotSupportedTaskNotWatchdog as long = -200635
public const DAQmxErrorWfmNameSameAsScriptName as long = -200634
public const DAQmxErrorScriptNameSameAsWfmName as long = -200633
public const DAQmxErrorDSFStopClock as long = -200632
public const DAQmxErrorDSFReadyForStartClock as long = -200631
public const DAQmxErrorWriteOffsetNotMultOfIncr as long = -200630
public const DAQmxErrorDifferentPrptyValsNotSupportedOnDev as long = -200629
public const DAQmxErrorRefAndPauseTrigConfigured as long = -200628
public const DAQmxErrorFailedToEnableHighSpeedInputClock as long = -200627
public const DAQmxErrorEmptyPhysChanInPowerUpStatesArray as long = -200626
public const DAQmxErrorActivePhysChanTooManyLinesSpecdWhenGettingPrpty as long = -200625
public const DAQmxErrorActivePhysChanNotSpecdWhenGetting1LinePrpty as long = -200624
public const DAQmxErrorPXIDevTempCausedShutDown as long = -200623
public const DAQmxErrorInvalidNumSampsToWrite as long = -200622
public const DAQmxErrorOutputFIFOUnderflow2 as long = -200621
public const DAQmxErrorRepeatedAIPhysicalChan as long = -200620
public const DAQmxErrorMultScanOpsInOneChassis as long = -200619
public const DAQmxErrorInvalidAIChanOrder as long = -200618
public const DAQmxErrorReversePowerProtectionActivated as long = -200617
public const DAQmxErrorInvalidAsynOpHandle as long = -200616
public const DAQmxErrorFailedToEnableHighSpeedOutput as long = -200615
public const DAQmxErrorCannotReadPastEndOfRecord as long = -200614
public const DAQmxErrorAcqStoppedToPreventInputBufferOverwriteOneDataXferMech as long = -200613
public const DAQmxErrorZeroBasedChanIndexInvalid as long = -200612
public const DAQmxErrorNoChansOfGivenTypeInTask as long = -200611
public const DAQmxErrorSampClkSrcInvalidForOutputValidForInput as long = -200610
public const DAQmxErrorOutputBufSizeTooSmallToStartGen as long = -200609
public const DAQmxErrorInputBufSizeTooSmallToStartAcq as long = -200608
public const DAQmxErrorExportTwoSignalsOnSameTerminal as long = -200607
public const DAQmxErrorChanIndexInvalid as long = -200606
public const DAQmxErrorRangeSyntaxNumberTooBig as long = -200605
public const DAQmxErrorNULLPtr as long = -200604
public const DAQmxErrorScaledMinEqualMax as long = -200603
public const DAQmxErrorPreScaledMinEqualMax as long = -200602
public const DAQmxErrorPropertyNotSupportedForScaleType as long = -200601
public const DAQmxErrorChannelNameGenerationNumberTooBig as long = -200600
public const DAQmxErrorRepeatedNumberInScaledValues as long = -200599
public const DAQmxErrorRepeatedNumberInPreScaledValues as long = -200598
public const DAQmxErrorLinesAlreadyReservedForOutput as long = -200597
public const DAQmxErrorSwitchOperationChansSpanMultipleDevsInList as long = -200596
public const DAQmxErrorInvalidIDInListAtBeginningOfSwitchOperation as long = -200595
public const DAQmxErrorMStudioInvalidPolyDirection as long = -200594
public const DAQmxErrorMStudioPropertyGetWhileTaskNotVerified as long = -200593
public const DAQmxErrorRangeWithTooManyObjects as long = -200592
public const DAQmxErrorCppDotNetAPINegativeBufferSize as long = -200591
public const DAQmxErrorCppCantRemoveInvalidEventHandler as long = -200590
public const DAQmxErrorCppCantRemoveEventHandlerTwice as long = -200589
public const DAQmxErrorCppCantRemoveOtherObjectsEventHandler as long = -200588
public const DAQmxErrorDigLinesReservedOrUnavailable as long = -200587
public const DAQmxErrorDSFFailedToResetStream as long = -200586
public const DAQmxErrorDSFReadyForOutputNotAsserted as long = -200585
public const DAQmxErrorSampToWritePerChanNotMultipleOfIncr as long = -200584
public const DAQmxErrorAOPropertiesCauseVoltageBelowMin as long = -200583
public const DAQmxErrorAOPropertiesCauseVoltageOverMax as long = -200582
public const DAQmxErrorPropertyNotSupportedWhenRefClkSrcNone as long = -200581
public const DAQmxErrorAIMaxTooSmall as long = -200580
public const DAQmxErrorAIMaxTooLarge as long = -200579
public const DAQmxErrorAIMinTooSmall as long = -200578
public const DAQmxErrorAIMinTooLarge as long = -200577
public const DAQmxErrorBuiltInCJCSrcNotSupported as long = -200576
public const DAQmxErrorTooManyPostTrigSampsPerChan as long = -200575
public const DAQmxErrorTrigLineNotFoundSingleDevRoute as long = -200574
public const DAQmxErrorDifferentInternalAIInputSources as long = -200573
public const DAQmxErrorDifferentAIInputSrcInOneChanGroup as long = -200572
public const DAQmxErrorInternalAIInputSrcInMultipleChanGroups as long = -200571
public const DAQmxErrorCAPIChanIndexInvalid as long = -200570
public const DAQmxErrorCollectionDoesNotMatchChanType as long = -200569
public const DAQmxErrorOutputCantStartChangedRegenerationMode as long = -200568
public const DAQmxErrorOutputCantStartChangedBufferSize as long = -200567
public const DAQmxErrorChanSizeTooBigForU32PortWrite as long = -200566
public const DAQmxErrorChanSizeTooBigForU8PortWrite as long = -200565
public const DAQmxErrorChanSizeTooBigForU32PortRead as long = -200564
public const DAQmxErrorChanSizeTooBigForU8PortRead as long = -200563
public const DAQmxErrorInvalidDigDataWrite as long = -200562
public const DAQmxErrorInvalidAODataWrite as long = -200561
public const DAQmxErrorWaitUntilDoneDoesNotIndicateDone as long = -200560
public const DAQmxErrorMultiChanTypesInTask as long = -200559
public const DAQmxErrorMultiDevsInTask as long = -200558
public const DAQmxErrorCannotSetPropertyWhenTaskRunning as long = -200557
public const DAQmxErrorCannotGetPropertyWhenTaskNotCommittedOrRunning as long = -200556
public const DAQmxErrorLeadingUnderscoreInString as long = -200555
public const DAQmxErrorTrailingSpaceInString as long = -200554
public const DAQmxErrorLeadingSpaceInString as long = -200553
public const DAQmxErrorInvalidCharInString as long = -200552
public const DAQmxErrorDLLBecameUnlocked as long = -200551
public const DAQmxErrorDLLLock as long = -200550
public const DAQmxErrorSelfCalConstsInvalid as long = -200549
public const DAQmxErrorInvalidTrigCouplingExceptForExtTrigChan as long = -200548
public const DAQmxErrorWriteFailsBufferSizeAutoConfigured as long = -200547
public const DAQmxErrorExtCalAdjustExtRefVoltageFailed as long = -200546
public const DAQmxErrorSelfCalFailedExtNoiseOrRefVoltageOutOfCal as long = -200545
public const DAQmxErrorExtCalTemperatureNotDAQmx as long = -200544
public const DAQmxErrorExtCalDateTimeNotDAQmx as long = -200543
public const DAQmxErrorSelfCalTemperatureNotDAQmx as long = -200542
public const DAQmxErrorSelfCalDateTimeNotDAQmx as long = -200541
public const DAQmxErrorDACRefValNotSet as long = -200540
public const DAQmxErrorAnalogMultiSampWriteNotSupported as long = -200539
public const DAQmxErrorInvalidActionInControlTask as long = -200538
public const DAQmxErrorPolyCoeffsInconsistent as long = -200537
public const DAQmxErrorSensorValTooLow as long = -200536
public const DAQmxErrorSensorValTooHigh as long = -200535
public const DAQmxErrorWaveformNameTooLong as long = -200534
public const DAQmxErrorIdentifierTooLongInScript as long = -200533
public const DAQmxErrorUnexpectedIDFollowingSwitchChanName as long = -200532
public const DAQmxErrorRelayNameNotSpecifiedInList as long = -200531
public const DAQmxErrorUnexpectedIDFollowingRelayNameInList as long = -200530
public const DAQmxErrorUnexpectedIDFollowingSwitchOpInList as long = -200529
public const DAQmxErrorInvalidLineGrouping as long = -200528
public const DAQmxErrorCtrMinMax as long = -200527
public const DAQmxErrorWriteChanTypeMismatch as long = -200526
public const DAQmxErrorReadChanTypeMismatch as long = -200525
public const DAQmxErrorWriteNumChansMismatch as long = -200524
public const DAQmxErrorOneChanReadForMultiChanTask as long = -200523
public const DAQmxErrorCannotSelfCalDuringExtCal as long = -200522
public const DAQmxErrorMeasCalAdjustOscillatorPhaseDAC as long = -200521
public const DAQmxErrorInvalidCalConstCalADCAdjustment as long = -200520
public const DAQmxErrorInvalidCalConstOscillatorFreqDACValue as long = -200519
public const DAQmxErrorInvalidCalConstOscillatorPhaseDACValue as long = -200518
public const DAQmxErrorInvalidCalConstOffsetDACValue as long = -200517
public const DAQmxErrorInvalidCalConstGainDACValue as long = -200516
public const DAQmxErrorInvalidNumCalADCReadsToAverage as long = -200515
public const DAQmxErrorInvalidCfgCalAdjustDirectPathOutputImpedance as long = -200514
public const DAQmxErrorInvalidCfgCalAdjustMainPathOutputImpedance as long = -200513
public const DAQmxErrorInvalidCfgCalAdjustMainPathPostAmpGainAndOffset as long = -200512
public const DAQmxErrorInvalidCfgCalAdjustMainPathPreAmpGain as long = -200511
public const DAQmxErrorInvalidCfgCalAdjustMainPreAmpOffset as long = -200510
public const DAQmxErrorMeasCalAdjustCalADC as long = -200509
public const DAQmxErrorMeasCalAdjustOscillatorFrequency as long = -200508
public const DAQmxErrorMeasCalAdjustDirectPathOutputImpedance as long = -200507
public const DAQmxErrorMeasCalAdjustMainPathOutputImpedance as long = -200506
public const DAQmxErrorMeasCalAdjustDirectPathGain as long = -200505
public const DAQmxErrorMeasCalAdjustMainPathPostAmpGainAndOffset as long = -200504
public const DAQmxErrorMeasCalAdjustMainPathPreAmpGain as long = -200503
public const DAQmxErrorMeasCalAdjustMainPathPreAmpOffset as long = -200502
public const DAQmxErrorInvalidDateTimeInEEPROM as long = -200501
public const DAQmxErrorUnableToLocateErrorResources as long = -200500
public const DAQmxErrorDotNetAPINotUnsigned32BitNumber as long = -200499
public const DAQmxErrorInvalidRangeOfObjectsSyntaxInString as long = -200498
public const DAQmxErrorAttemptToEnableLineNotPreviouslyDisabled as long = -200497
public const DAQmxErrorInvalidCharInPattern as long = -200496
public const DAQmxErrorIntermediateBufferFull as long = -200495
public const DAQmxErrorLoadTaskFailsBecauseNoTimingOnDev as long = -200494
public const DAQmxErrorCAPIReservedParamNotNULLNorEmpty as long = -200493
public const DAQmxErrorCAPIReservedParamNotNULL as long = -200492
public const DAQmxErrorCAPIReservedParamNotZero as long = -200491
public const DAQmxErrorSampleValueOutOfRange as long = -200490
public const DAQmxErrorChanAlreadyInTask as long = -200489
public const DAQmxErrorVirtualChanDoesNotExist as long = -200488
public const DAQmxErrorChanNotInTask as long = -200486
public const DAQmxErrorTaskNotInDataNeighborhood as long = -200485
public const DAQmxErrorCantSaveTaskWithoutReplace as long = -200484
public const DAQmxErrorCantSaveChanWithoutReplace as long = -200483
public const DAQmxErrorDevNotInTask as long = -200482
public const DAQmxErrorDevAlreadyInTask as long = -200481
public const DAQmxErrorCanNotPerformOpWhileTaskRunning as long = -200479
public const DAQmxErrorCanNotPerformOpWhenNoChansInTask as long = -200478
public const DAQmxErrorCanNotPerformOpWhenNoDevInTask as long = -200477
public const DAQmxErrorCannotPerformOpWhenTaskNotRunning as long = -200475
public const DAQmxErrorOperationTimedOut as long = -200474
public const DAQmxErrorCannotReadWhenAutoStartFalseAndTaskNotRunningOrCommitted as long = -200473
public const DAQmxErrorCannotWriteWhenAutoStartFalseAndTaskNotRunningOrCommitted as long = -200472
public const DAQmxErrorTaskVersionNew as long = -200470
public const DAQmxErrorChanVersionNew as long = -200469
public const DAQmxErrorEmptyString as long = -200467
public const DAQmxErrorChannelSizeTooBigForPortReadType as long = -200466
public const DAQmxErrorChannelSizeTooBigForPortWriteType as long = -200465
public const DAQmxErrorExpectedNumberOfChannelsVerificationFailed as long = -200464
public const DAQmxErrorNumLinesMismatchInReadOrWrite as long = -200463
public const DAQmxErrorOutputBufferEmpty as long = -200462
public const DAQmxErrorInvalidChanName as long = -200461
public const DAQmxErrorReadNoInputChansInTask as long = -200460
public const DAQmxErrorWriteNoOutputChansInTask as long = -200459
public const DAQmxErrorPropertyNotSupportedNotInputTask as long = -200457
public const DAQmxErrorPropertyNotSupportedNotOutputTask as long = -200456
public const DAQmxErrorGetPropertyNotInputBufferedTask as long = -200455
public const DAQmxErrorGetPropertyNotOutputBufferedTask as long = -200454
public const DAQmxErrorInvalidTimeoutVal as long = -200453
public const DAQmxErrorAttributeNotSupportedInTaskContext as long = -200452
public const DAQmxErrorAttributeNotQueryableUnlessTaskIsCommitted as long = -200451
public const DAQmxErrorAttributeNotSettableWhenTaskIsRunning as long = -200450
public const DAQmxErrorDACRngLowNotMinusRefValNorZero as long = -200449
public const DAQmxErrorDACRngHighNotEqualRefVal as long = -200448
public const DAQmxErrorUnitsNotFromCustomScale as long = -200447
public const DAQmxErrorInvalidVoltageReadingDuringExtCal as long = -200446
public const DAQmxErrorCalFunctionNotSupported as long = -200445
public const DAQmxErrorInvalidPhysicalChanForCal as long = -200444
public const DAQmxErrorExtCalNotComplete as long = -200443
public const DAQmxErrorCantSyncToExtStimulusFreqDuringCal as long = -200442
public const DAQmxErrorUnableToDetectExtStimulusFreqDuringCal as long = -200441
public const DAQmxErrorInvalidCloseAction as long = -200440
public const DAQmxErrorExtCalFunctionOutsideExtCalSession as long = -200439
public const DAQmxErrorInvalidCalArea as long = -200438
public const DAQmxErrorExtCalConstsInvalid as long = -200437
public const DAQmxErrorStartTrigDelayWithExtSampClk as long = -200436
public const DAQmxErrorDelayFromSampClkWithExtConv as long = -200435
public const DAQmxErrorFewerThan2PreScaledVals as long = -200434
public const DAQmxErrorFewerThan2ScaledValues as long = -200433
public const DAQmxErrorPhysChanOutputType as long = -200432
public const DAQmxErrorPhysChanMeasType as long = -200431
public const DAQmxErrorInvalidPhysChanType as long = -200430
public const DAQmxErrorLabVIEWEmptyTaskOrChans as long = -200429
public const DAQmxErrorLabVIEWInvalidTaskOrChans as long = -200428
public const DAQmxErrorInvalidRefClkRate as long = -200427
public const DAQmxErrorInvalidExtTrigImpedance as long = -200426
public const DAQmxErrorHystTrigLevelAIMax as long = -200425
public const DAQmxErrorLineNumIncompatibleWithVideoSignalFormat as long = -200424
public const DAQmxErrorTrigWindowAIMinAIMaxCombo as long = -200423
public const DAQmxErrorTrigAIMinAIMax as long = -200422
public const DAQmxErrorHystTrigLevelAIMin as long = -200421
public const DAQmxErrorInvalidSampRateConsiderRIS as long = -200420
public const DAQmxErrorInvalidReadPosDuringRIS as long = -200419
public const DAQmxErrorImmedTrigDuringRISMode as long = -200418
public const DAQmxErrorTDCNotEnabledDuringRISMode as long = -200417
public const DAQmxErrorMultiRecWithRIS as long = -200416
public const DAQmxErrorInvalidRefClkSrc as long = -200415
public const DAQmxErrorInvalidSampClkSrc as long = -200414
public const DAQmxErrorInsufficientOnBoardMemForNumRecsAndSamps as long = -200413
public const DAQmxErrorInvalidAIAttenuation as long = -200412
public const DAQmxErrorACCouplingNotAllowedWith50OhmImpedance as long = -200411
public const DAQmxErrorInvalidRecordNum as long = -200410
public const DAQmxErrorZeroSlopeLinearScale as long = -200409
public const DAQmxErrorZeroReversePolyScaleCoeffs as long = -200408
public const DAQmxErrorZeroForwardPolyScaleCoeffs as long = -200407
public const DAQmxErrorNoReversePolyScaleCoeffs as long = -200406
public const DAQmxErrorNoForwardPolyScaleCoeffs as long = -200405
public const DAQmxErrorNoPolyScaleCoeffs as long = -200404
public const DAQmxErrorReversePolyOrderLessThanNumPtsToCompute as long = -200403
public const DAQmxErrorReversePolyOrderNotPositive as long = -200402
public const DAQmxErrorNumPtsToComputeNotPositive as long = -200401
public const DAQmxErrorWaveformLengthNotMultipleOfIncr as long = -200400
public const DAQmxErrorCAPINoExtendedErrorInfoAvailable as long = -200399
public const DAQmxErrorCVIFunctionNotFoundInDAQmxDLL as long = -200398
public const DAQmxErrorCVIFailedToLoadDAQmxDLL as long = -200397
public const DAQmxErrorNoCommonTrigLineForImmedRoute as long = -200396
public const DAQmxErrorNoCommonTrigLineForTaskRoute as long = -200395
public const DAQmxErrorF64PrptyValNotUnsignedInt as long = -200394
public const DAQmxErrorRegisterNotWritable as long = -200393
public const DAQmxErrorInvalidOutputVoltageAtSampClkRate as long = -200392
public const DAQmxErrorStrobePhaseShiftDCMBecameUnlocked as long = -200391
public const DAQmxErrorDrivePhaseShiftDCMBecameUnlocked as long = -200390
public const DAQmxErrorClkOutPhaseShiftDCMBecameUnlocked as long = -200389
public const DAQmxErrorOutputBoardClkDCMBecameUnlocked as long = -200388
public const DAQmxErrorInputBoardClkDCMBecameUnlocked as long = -200387
public const DAQmxErrorInternalClkDCMBecameUnlocked as long = -200386
public const DAQmxErrorDCMLock as long = -200385
public const DAQmxErrorDataLineReservedForDynamicOutput as long = -200384
public const DAQmxErrorInvalidRefClkSrcGivenSampClkSrc as long = -200383
public const DAQmxErrorNoPatternMatcherAvailable as long = -200382
public const DAQmxErrorInvalidDelaySampRateBelowPhaseShiftDCMThresh as long = -200381
public const DAQmxErrorStrainGageCalibration as long = -200380
public const DAQmxErrorInvalidExtClockFreqAndDivCombo as long = -200379
public const DAQmxErrorCustomScaleDoesNotExist as long = -200378
public const DAQmxErrorOnlyFrontEndChanOpsDuringScan as long = -200377
public const DAQmxErrorInvalidOptionForDigitalPortChannel as long = -200376
public const DAQmxErrorUnsupportedSignalTypeExportSignal as long = -200375
public const DAQmxErrorInvalidSignalTypeExportSignal as long = -200374
public const DAQmxErrorUnsupportedTrigTypeSendsSWTrig as long = -200373
public const DAQmxErrorInvalidTrigTypeSendsSWTrig as long = -200372
public const DAQmxErrorRepeatedPhysicalChan as long = -200371
public const DAQmxErrorResourcesInUseForRouteInTask as long = -200370
public const DAQmxErrorResourcesInUseForRoute as long = -200369
public const DAQmxErrorRouteNotSupportedByHW as long = -200368
public const DAQmxErrorResourcesInUseForExportSignalPolarity as long = -200367
public const DAQmxErrorResourcesInUseForInversionInTask as long = -200366
public const DAQmxErrorResourcesInUseForInversion as long = -200365
public const DAQmxErrorExportSignalPolarityNotSupportedByHW as long = -200364
public const DAQmxErrorInversionNotSupportedByHW as long = -200363
public const DAQmxErrorOverloadedChansExistNotRead as long = -200362
public const DAQmxErrorInputFIFOOverflow2 as long = -200361
public const DAQmxErrorCJCChanNotSpecd as long = -200360
public const DAQmxErrorCtrExportSignalNotPossible as long = -200359
public const DAQmxErrorRefTrigWhenContinuous as long = -200358
public const DAQmxErrorIncompatibleSensorOutputAndDeviceInputRanges as long = -200357
public const DAQmxErrorCustomScaleNameUsed as long = -200356
public const DAQmxErrorPropertyValNotSupportedByHW as long = -200355
public const DAQmxErrorPropertyValNotValidTermName as long = -200354
public const DAQmxErrorResourcesInUseForProperty as long = -200353
public const DAQmxErrorCJCChanAlreadyUsed as long = -200352
public const DAQmxErrorForwardPolynomialCoefNotSpecd as long = -200351
public const DAQmxErrorTableScaleNumPreScaledAndScaledValsNotEqual as long = -200350
public const DAQmxErrorTableScalePreScaledValsNotSpecd as long = -200349
public const DAQmxErrorTableScaleScaledValsNotSpecd as long = -200348
public const DAQmxErrorIntermediateBufferSizeNotMultipleOfIncr as long = -200347
public const DAQmxErrorEventPulseWidthOutOfRange as long = -200346
public const DAQmxErrorEventDelayOutOfRange as long = -200345
public const DAQmxErrorSampPerChanNotMultipleOfIncr as long = -200344
public const DAQmxErrorCannotCalculateNumSampsTaskNotStarted as long = -200343
public const DAQmxErrorScriptNotInMem as long = -200342
public const DAQmxErrorOnboardMemTooSmall as long = -200341
public const DAQmxErrorReadAllAvailableDataWithoutBuffer as long = -200340
public const DAQmxErrorPulseActiveAtStart as long = -200339
public const DAQmxErrorCalTempNotSupported as long = -200338
public const DAQmxErrorDelayFromSampClkTooLong as long = -200337
public const DAQmxErrorDelayFromSampClkTooShort as long = -200336
public const DAQmxErrorAIConvRateTooHigh as long = -200335
public const DAQmxErrorDelayFromStartTrigTooLong as long = -200334
public const DAQmxErrorDelayFromStartTrigTooShort as long = -200333
public const DAQmxErrorSampRateTooHigh as long = -200332
public const DAQmxErrorSampRateTooLow as long = -200331
public const DAQmxErrorPFI0UsedForAnalogAndDigitalSrc as long = -200330
public const DAQmxErrorPrimingCfgFIFO as long = -200329
public const DAQmxErrorCannotOpenTopologyCfgFile as long = -200328
public const DAQmxErrorInvalidDTInsideWfmDataType as long = -200327
public const DAQmxErrorRouteSrcAndDestSame as long = -200326
public const DAQmxErrorReversePolynomialCoefNotSpecd as long = -200325
public const DAQmxErrorDevAbsentOrUnavailable as long = -200324
public const DAQmxErrorNoAdvTrigForMultiDevScan as long = -200323
public const DAQmxErrorInterruptsInsufficientDataXferMech as long = -200322
public const DAQmxErrorInvalidAttentuationBasedOnMinMax as long = -200321
public const DAQmxErrorCabledModuleCannotRouteSSH as long = -200320
public const DAQmxErrorCabledModuleCannotRouteConvClk as long = -200319
public const DAQmxErrorInvalidExcitValForScaling as long = -200318
public const DAQmxErrorNoDevMemForScript as long = -200317
public const DAQmxErrorScriptDataUnderflow as long = -200316
public const DAQmxErrorNoDevMemForWaveform as long = -200315
public const DAQmxErrorStreamDCMBecameUnlocked as long = -200314
public const DAQmxErrorStreamDCMLock as long = -200313
public const DAQmxErrorWaveformNotInMem as long = -200312
public const DAQmxErrorWaveformWriteOutOfBounds as long = -200311
public const DAQmxErrorWaveformPreviouslyAllocated as long = -200310
public const DAQmxErrorSampClkTbMasterTbDivNotAppropriateForSampTbSrc as long = -200309
public const DAQmxErrorSampTbRateSampTbSrcMismatch as long = -200308
public const DAQmxErrorMasterTbRateMasterTbSrcMismatch as long = -200307
public const DAQmxErrorSampsPerChanTooBig as long = -200306
public const DAQmxErrorFinitePulseTrainNotPossible as long = -200305
public const DAQmxErrorExtMasterTimebaseRateNotSpecified as long = -200304
public const DAQmxErrorExtSampClkSrcNotSpecified as long = -200303
public const DAQmxErrorInputSignalSlowerThanMeasTime as long = -200302
public const DAQmxErrorCannotUpdatePulseGenProperty as long = -200301
public const DAQmxErrorInvalidTimingType as long = -200300
public const DAQmxErrorPropertyUnavailWhenUsingOnboardMemory as long = -200297
public const DAQmxErrorCannotWriteAfterStartWithOnboardMemory as long = -200295
public const DAQmxErrorNotEnoughSampsWrittenForInitialXferRqstCondition as long = -200294
public const DAQmxErrorNoMoreSpace as long = -200293
public const DAQmxErrorSamplesCanNotYetBeWritten as long = -200292
public const DAQmxErrorGenStoppedToPreventIntermediateBufferRegenOfOldSamples as long = -200291
public const DAQmxErrorGenStoppedToPreventRegenOfOldSamples as long = -200290
public const DAQmxErrorSamplesNoLongerWriteable as long = -200289
public const DAQmxErrorSamplesWillNeverBeGenerated as long = -200288
public const DAQmxErrorNegativeWriteSampleNumber as long = -200287
public const DAQmxErrorNoAcqStarted as long = -200286
public const DAQmxErrorSamplesNotYetAvailable as long = -200284
public const DAQmxErrorAcqStoppedToPreventIntermediateBufferOverflow as long = -200283
public const DAQmxErrorNoRefTrigConfigured as long = -200282
public const DAQmxErrorCannotReadRelativeToRefTrigUntilDone as long = -200281
public const DAQmxErrorSamplesNoLongerAvailable as long = -200279
public const DAQmxErrorSamplesWillNeverBeAvailable as long = -200278
public const DAQmxErrorNegativeReadSampleNumber as long = -200277
public const DAQmxErrorExternalSampClkAndRefClkThruSameTerm as long = -200276
public const DAQmxErrorExtSampClkRateTooLowForClkIn as long = -200275
public const DAQmxErrorExtSampClkRateTooHighForBackplane as long = -200274
public const DAQmxErrorSampClkRateAndDivCombo as long = -200273
public const DAQmxErrorSampClkRateTooLowForDivDown as long = -200272
public const DAQmxErrorProductOfAOMinAndGainTooSmall as long = -200271
public const DAQmxErrorInterpolationRateNotPossible as long = -200270
public const DAQmxErrorOffsetTooLarge as long = -200269
public const DAQmxErrorOffsetTooSmall as long = -200268
public const DAQmxErrorProductOfAOMaxAndGainTooLarge as long = -200267
public const DAQmxErrorMinAndMaxNotSymmetric as long = -200266
public const DAQmxErrorInvalidAnalogTrigSrc as long = -200265
public const DAQmxErrorTooManyChansForAnalogRefTrig as long = -200264
public const DAQmxErrorTooManyChansForAnalogPauseTrig as long = -200263
public const DAQmxErrorTrigWhenOnDemandSampTiming as long = -200262
public const DAQmxErrorInconsistentAnalogTrigSettings as long = -200261
public const DAQmxErrorMemMapDataXferModeSampTimingCombo as long = -200260
public const DAQmxErrorInvalidJumperedAttr as long = -200259
public const DAQmxErrorInvalidGainBasedOnMinMax as long = -200258
public const DAQmxErrorInconsistentExcit as long = -200257
public const DAQmxErrorTopologyNotSupportedByCfgTermBlock as long = -200256
public const DAQmxErrorBuiltInTempSensorNotSupported as long = -200255
public const DAQmxErrorInvalidTerm as long = -200254
public const DAQmxErrorCannotTristateTerm as long = -200253
public const DAQmxErrorCannotTristateBusyTerm as long = -200252
public const DAQmxErrorNoDMAChansAvailable as long = -200251
public const DAQmxErrorInvalidWaveformLengthWithinLoopInScript as long = -200250
public const DAQmxErrorInvalidSubsetLengthWithinLoopInScript as long = -200249
public const DAQmxErrorMarkerPosInvalidForLoopInScript as long = -200248
public const DAQmxErrorIntegerExpectedInScript as long = -200247
public const DAQmxErrorPLLBecameUnlocked as long = -200246
public const DAQmxErrorPLLLock as long = -200245
public const DAQmxErrorDDCClkOutDCMBecameUnlocked as long = -200244
public const DAQmxErrorDDCClkOutDCMLock as long = -200243
public const DAQmxErrorClkDoublerDCMBecameUnlocked as long = -200242
public const DAQmxErrorClkDoublerDCMLock as long = -200241
public const DAQmxErrorSampClkDCMBecameUnlocked as long = -200240
public const DAQmxErrorSampClkDCMLock as long = -200239
public const DAQmxErrorSampClkTimebaseDCMBecameUnlocked as long = -200238
public const DAQmxErrorSampClkTimebaseDCMLock as long = -200237
public const DAQmxErrorAttrCannotBeReset as long = -200236
public const DAQmxErrorExplanationNotFound as long = -200235
public const DAQmxErrorWriteBufferTooSmall as long = -200234
public const DAQmxErrorSpecifiedAttrNotValid as long = -200233
public const DAQmxErrorAttrCannotBeRead as long = -200232
public const DAQmxErrorAttrCannotBeSet as long = -200231
public const DAQmxErrorNULLPtrForC_Api as long = -200230
public const DAQmxErrorReadBufferTooSmall as long = -200229
public const DAQmxErrorBufferTooSmallForString as long = -200228
public const DAQmxErrorNoAvailTrigLinesOnDevice as long = -200227
public const DAQmxErrorTrigBusLineNotAvail as long = -200226
public const DAQmxErrorCouldNotReserveRequestedTrigLine as long = -200225
public const DAQmxErrorTrigLineNotFound as long = -200224
public const DAQmxErrorSCXI1126ThreshHystCombination as long = -200223
public const DAQmxErrorAcqStoppedToPreventInputBufferOverwrite as long = -200222
public const DAQmxErrorTimeoutExceeded as long = -200221
public const DAQmxErrorInvalidDeviceID as long = -200220
public const DAQmxErrorInvalidAOChanOrder as long = -200219
public const DAQmxErrorSampleTimingTypeAndDataXferMode as long = -200218
public const DAQmxErrorBufferWithOnDemandSampTiming as long = -200217
public const DAQmxErrorBufferAndDataXferMode as long = -200216
public const DAQmxErrorMemMapAndBuffer as long = -200215
public const DAQmxErrorNoAnalogTrigHW as long = -200214
public const DAQmxErrorTooManyPretrigPlusMinPostTrigSamps as long = -200213
public const DAQmxErrorInconsistentUnitsSpecified as long = -200212
public const DAQmxErrorMultipleRelaysForSingleRelayOp as long = -200211
public const DAQmxErrorMultipleDevIDsPerChassisSpecifiedInList as long = -200210
public const DAQmxErrorDuplicateDevIDInList as long = -200209
public const DAQmxErrorInvalidRangeStatementCharInList as long = -200208
public const DAQmxErrorInvalidDeviceIDInList as long = -200207
public const DAQmxErrorTriggerPolarityConflict as long = -200206
public const DAQmxErrorCannotScanWithCurrentTopology as long = -200205
public const DAQmxErrorUnexpectedIdentifierInFullySpecifiedPathInList as long = -200204
public const DAQmxErrorSwitchCannotDriveMultipleTrigLines as long = -200203
public const DAQmxErrorInvalidRelayName as long = -200202
public const DAQmxErrorSwitchScanlistTooBig as long = -200201
public const DAQmxErrorSwitchChanInUse as long = -200200
public const DAQmxErrorSwitchNotResetBeforeScan as long = -200199
public const DAQmxErrorInvalidTopology as long = -200198
public const DAQmxErrorAttrNotSupported as long = -200197
public const DAQmxErrorUnexpectedEndOfActionsInList as long = -200196
public const DAQmxErrorPowerBudgetExceeded as long = -200195
public const DAQmxErrorHWUnexpectedlyPoweredOffAndOn as long = -200194
public const DAQmxErrorSwitchOperationNotSupported as long = -200193
public const DAQmxErrorOnlyContinuousScanSupported as long = -200192
public const DAQmxErrorSwitchDifferentTopologyWhenScanning as long = -200191
public const DAQmxErrorDisconnectPathNotSameAsExistingPath as long = -200190
public const DAQmxErrorConnectionNotPermittedOnChanReservedForRouting as long = -200189
public const DAQmxErrorCannotConnectSrcChans as long = -200188
public const DAQmxErrorCannotConnectChannelToItself as long = -200187
public const DAQmxErrorChannelNotReservedForRouting as long = -200186
public const DAQmxErrorCannotConnectChansDirectly as long = -200185
public const DAQmxErrorChansAlreadyConnected as long = -200184
public const DAQmxErrorChanDuplicatedInPath as long = -200183
public const DAQmxErrorNoPathToDisconnect as long = -200182
public const DAQmxErrorInvalidSwitchChan as long = -200181
public const DAQmxErrorNoPathAvailableBetween2SwitchChans as long = -200180
public const DAQmxErrorExplicitConnectionExists as long = -200179
public const DAQmxErrorSwitchDifferentSettlingTimeWhenScanning as long = -200178
public const DAQmxErrorOperationOnlyPermittedWhileScanning as long = -200177
public const DAQmxErrorOperationNotPermittedWhileScanning as long = -200176
public const DAQmxErrorHardwareNotResponding as long = -200175
public const DAQmxErrorInvalidSampAndMasterTimebaseRateCombo as long = -200173
public const DAQmxErrorNonZeroBufferSizeInProgIOXfer as long = -200172
public const DAQmxErrorVirtualChanNameUsed as long = -200171
public const DAQmxErrorPhysicalChanDoesNotExist as long = -200170
public const DAQmxErrorMemMapOnlyForProgIOXfer as long = -200169
public const DAQmxErrorTooManyChans as long = -200168
public const DAQmxErrorCannotHaveCJTempWithOtherChans as long = -200167
public const DAQmxErrorOutputBufferUnderwrite as long = -200166
public const DAQmxErrorSensorInvalidCompletionResistance as long = -200163
public const DAQmxErrorVoltageExcitIncompatibleWith2WireCfg as long = -200162
public const DAQmxErrorIntExcitSrcNotAvailable as long = -200161
public const DAQmxErrorCannotCreateChannelAfterTaskVerified as long = -200160
public const DAQmxErrorLinesReservedForSCXIControl as long = -200159
public const DAQmxErrorCouldNotReserveLinesForSCXIControl as long = -200158
public const DAQmxErrorCalibrationFailed as long = -200157
public const DAQmxErrorReferenceFrequencyInvalid as long = -200156
public const DAQmxErrorReferenceResistanceInvalid as long = -200155
public const DAQmxErrorReferenceCurrentInvalid as long = -200154
public const DAQmxErrorReferenceVoltageInvalid as long = -200153
public const DAQmxErrorEEPROMDataInvalid as long = -200152
public const DAQmxErrorCabledModuleNotCapableOfRoutingAI as long = -200151
public const DAQmxErrorChannelNotAvailableInParallelMode as long = -200150
public const DAQmxErrorExternalTimebaseRateNotKnownForDelay as long = -200149
public const DAQmxErrorFREQOUTCannotProduceDesiredFrequency as long = -200148
public const DAQmxErrorMultipleCounterInputTask as long = -200147
public const DAQmxErrorCounterStartPauseTriggerConflict as long = -200146
public const DAQmxErrorCounterInputPauseTriggerAndSampleClockInvalid as long = -200145
public const DAQmxErrorCounterOutputPauseTriggerInvalid as long = -200144
public const DAQmxErrorCounterTimebaseRateNotSpecified as long = -200143
public const DAQmxErrorCounterTimebaseRateNotFound as long = -200142
public const DAQmxErrorCounterOverflow as long = -200141
public const DAQmxErrorCounterNoTimebaseEdgesBetweenGates as long = -200140
public const DAQmxErrorCounterMaxMinRangeFreq as long = -200139
public const DAQmxErrorCounterMaxMinRangeTime as long = -200138
public const DAQmxErrorSuitableTimebaseNotFoundTimeCombo as long = -200137
public const DAQmxErrorSuitableTimebaseNotFoundFrequencyCombo as long = -200136
public const DAQmxErrorInternalTimebaseSourceDivisorCombo as long = -200135
public const DAQmxErrorInternalTimebaseSourceRateCombo as long = -200134
public const DAQmxErrorInternalTimebaseRateDivisorSourceCombo as long = -200133
public const DAQmxErrorExternalTimebaseRateNotknownForRate as long = -200132
public const DAQmxErrorAnalogTrigChanNotFirstInScanList as long = -200131
public const DAQmxErrorNoDivisorForExternalSignal as long = -200130
public const DAQmxErrorAttributeInconsistentAcrossRepeatedPhysicalChannels as long = -200128
public const DAQmxErrorCannotHandshakeWithPort0 as long = -200127
public const DAQmxErrorControlLineConflictOnPortC as long = -200126
public const DAQmxErrorLines4To7ConfiguredForOutput as long = -200125
public const DAQmxErrorLines4To7ConfiguredForInput as long = -200124
public const DAQmxErrorLines0To3ConfiguredForOutput as long = -200123
public const DAQmxErrorLines0To3ConfiguredForInput as long = -200122
public const DAQmxErrorPortConfiguredForOutput as long = -200121
public const DAQmxErrorPortConfiguredForInput as long = -200120
public const DAQmxErrorPortConfiguredForStaticDigitalOps as long = -200119
public const DAQmxErrorPortReservedForHandshaking as long = -200118
public const DAQmxErrorPortDoesNotSupportHandshakingDataIO as long = -200117
public const DAQmxErrorCannotTristate8255OutputLines as long = -200116
public const DAQmxErrorTemperatureOutOfRangeForCalibration as long = -200113
public const DAQmxErrorCalibrationHandleInvalid as long = -200112
public const DAQmxErrorPasswordRequired as long = -200111
public const DAQmxErrorIncorrectPassword as long = -200110
public const DAQmxErrorPasswordTooLong as long = -200109
public const DAQmxErrorCalibrationSessionAlreadyOpen as long = -200108
public const DAQmxErrorSCXIModuleIncorrect as long = -200107
public const DAQmxErrorAttributeInconsistentAcrossChannelsOnDevice as long = -200106
public const DAQmxErrorSCXI1122ResistanceChanNotSupportedForCfg as long = -200105
public const DAQmxErrorBracketPairingMismatchInList as long = -200104
public const DAQmxErrorInconsistentNumSamplesToWrite as long = -200103
public const DAQmxErrorIncorrectDigitalPattern as long = -200102
public const DAQmxErrorIncorrectNumChannelsToWrite as long = -200101
public const DAQmxErrorIncorrectReadFunction as long = -200100
public const DAQmxErrorPhysicalChannelNotSpecified as long = -200099
public const DAQmxErrorMoreThanOneTerminal as long = -200098
public const DAQmxErrorMoreThanOneActiveChannelSpecified as long = -200097
public const DAQmxErrorInvalidNumberSamplesToRead as long = -200096
public const DAQmxErrorAnalogWaveformExpected as long = -200095
public const DAQmxErrorDigitalWaveformExpected as long = -200094
public const DAQmxErrorActiveChannelNotSpecified as long = -200093
public const DAQmxErrorFunctionNotSupportedForDeviceTasks as long = -200092
public const DAQmxErrorFunctionNotInLibrary as long = -200091
public const DAQmxErrorLibraryNotPresent as long = -200090
public const DAQmxErrorDuplicateTask as long = -200089
public const DAQmxErrorInvalidTask as long = -200088
public const DAQmxErrorInvalidChannel as long = -200087
public const DAQmxErrorInvalidSyntaxForPhysicalChannelRange as long = -200086
public const DAQmxErrorMinNotLessThanMax as long = -200082
public const DAQmxErrorSampleRateNumChansConvertPeriodCombo as long = -200081
public const DAQmxErrorAODuringCounter1DMAConflict as long = -200079
public const DAQmxErrorAIDuringCounter0DMAConflict as long = -200078
public const DAQmxErrorInvalidAttributeValue as long = -200077
public const DAQmxErrorSuppliedCurrentDataOutsideSpecifiedRange as long = -200076
public const DAQmxErrorSuppliedVoltageDataOutsideSpecifiedRange as long = -200075
public const DAQmxErrorCannotStoreCalConst as long = -200074
public const DAQmxErrorSCXIModuleNotFound as long = -200073
public const DAQmxErrorDuplicatePhysicalChansNotSupported as long = -200072
public const DAQmxErrorTooManyPhysicalChansInList as long = -200071
public const DAQmxErrorInvalidAdvanceEventTriggerType as long = -200070
public const DAQmxErrorDeviceIsNotAValidSwitch as long = -200069
public const DAQmxErrorDeviceDoesNotSupportScanning as long = -200068
public const DAQmxErrorScanListCannotBeTimed as long = -200067
public const DAQmxErrorConnectOperatorInvalidAtPointInList as long = -200066
public const DAQmxErrorUnexpectedSwitchActionInList as long = -200065
public const DAQmxErrorUnexpectedSeparatorInList as long = -200064
public const DAQmxErrorExpectedTerminatorInList as long = -200063
public const DAQmxErrorExpectedConnectOperatorInList as long = -200062
public const DAQmxErrorExpectedSeparatorInList as long = -200061
public const DAQmxErrorFullySpecifiedPathInListContainsRange as long = -200060
public const DAQmxErrorConnectionSeparatorAtEndOfList as long = -200059
public const DAQmxErrorIdentifierInListTooLong as long = -200058
public const DAQmxErrorDuplicateDeviceIDInListWhenSettling as long = -200057
public const DAQmxErrorChannelNameNotSpecifiedInList as long = -200056
public const DAQmxErrorDeviceIDNotSpecifiedInList as long = -200055
public const DAQmxErrorSemicolonDoesNotFollowRangeInList as long = -200054
public const DAQmxErrorSwitchActionInListSpansMultipleDevices as long = -200053
public const DAQmxErrorRangeWithoutAConnectActionInList as long = -200052
public const DAQmxErrorInvalidIdentifierFollowingSeparatorInList as long = -200051
public const DAQmxErrorInvalidChannelNameInList as long = -200050
public const DAQmxErrorInvalidNumberInRepeatStatementInList as long = -200049
public const DAQmxErrorInvalidTriggerLineInList as long = -200048
public const DAQmxErrorInvalidIdentifierInListFollowingDeviceID as long = -200047
public const DAQmxErrorInvalidIdentifierInListAtEndOfSwitchAction as long = -200046
public const DAQmxErrorDeviceRemoved as long = -200045
public const DAQmxErrorRoutingPathNotAvailable as long = -200044
public const DAQmxErrorRoutingHardwareBusy as long = -200043
public const DAQmxErrorRequestedSignalInversionForRoutingNotPossible as long = -200042
public const DAQmxErrorInvalidRoutingDestinationTerminalName as long = -200041
public const DAQmxErrorInvalidRoutingSourceTerminalName as long = -200040
public const DAQmxErrorRoutingNotSupportedForDevice as long = -200039
public const DAQmxErrorWaitIsLastInstructionOfLoopInScript as long = -200038
public const DAQmxErrorClearIsLastInstructionOfLoopInScript as long = -200037
public const DAQmxErrorInvalidLoopIterationsInScript as long = -200036
public const DAQmxErrorRepeatLoopNestingTooDeepInScript as long = -200035
public const DAQmxErrorMarkerPositionOutsideSubsetInScript as long = -200034
public const DAQmxErrorSubsetStartOffsetNotAlignedInScript as long = -200033
public const DAQmxErrorInvalidSubsetLengthInScript as long = -200032
public const DAQmxErrorMarkerPositionNotAlignedInScript as long = -200031
public const DAQmxErrorSubsetOutsideWaveformInScript as long = -200030
public const DAQmxErrorMarkerOutsideWaveformInScript as long = -200029
public const DAQmxErrorWaveformInScriptNotInMem as long = -200028
public const DAQmxErrorKeywordExpectedInScript as long = -200027
public const DAQmxErrorBufferNameExpectedInScript as long = -200026
public const DAQmxErrorProcedureNameExpectedInScript as long = -200025
public const DAQmxErrorScriptHasInvalidIdentifier as long = -200024
public const DAQmxErrorScriptHasInvalidCharacter as long = -200023
public const DAQmxErrorResourceAlreadyReserved as long = -200022
public const DAQmxErrorSelfTestFailed as long = -200020
public const DAQmxErrorADCOverrun as long = -200019
public const DAQmxErrorDACUnderflow as long = -200018
public const DAQmxErrorInputFIFOUnderflow as long = -200017
public const DAQmxErrorOutputFIFOUnderflow as long = -200016
public const DAQmxErrorSCXISerialCommunication as long = -200015
public const DAQmxErrorDigitalTerminalSpecifiedMoreThanOnce as long = -200014
public const DAQmxErrorDigitalOutputNotSupported as long = -200012
public const DAQmxErrorInconsistentChannelDirections as long = -200011
public const DAQmxErrorInputFIFOOverflow as long = -200010
public const DAQmxErrorTimeStampOverwritten as long = -200009
public const DAQmxErrorStopTriggerHasNotOccurred as long = -200008
public const DAQmxErrorRecordNotAvailable as long = -200007
public const DAQmxErrorRecordOverwritten as long = -200006
public const DAQmxErrorDataNotAvailable as long = -200005
public const DAQmxErrorDataOverwrittenInDeviceMemory as long = -200004
public const DAQmxErrorDuplicatedChannel as long = -200003
public const DAQmxWarningTimestampCounterRolledOver as long = 200003
public const DAQmxWarningInputTerminationOverloaded as long = 200004
public const DAQmxWarningADCOverloaded as long = 200005
public const DAQmxWarningPLLUnlocked as long = 200007
public const DAQmxWarningCounter0DMADuringAIConflict as long = 200008
public const DAQmxWarningCounter1DMADuringAOConflict as long = 200009
public const DAQmxWarningStoppedBeforeDone as long = 200010
public const DAQmxWarningRateViolatesSettlingTime as long = 200011
public const DAQmxWarningRateViolatesMaxADCRate as long = 200012
public const DAQmxWarningUserDefInfoStringTooLong as long = 200013
public const DAQmxWarningTooManyInterruptsPerSecond as long = 200014
public const DAQmxWarningPotentialGlitchDuringWrite as long = 200015
public const DAQmxWarningDevNotSelfCalibratedWithDAQmx as long = 200016
public const DAQmxWarningAISampRateTooLow as long = 200017
public const DAQmxWarningAIConvRateTooLow as long = 200018
public const DAQmxWarningReadOffsetCoercion as long = 200019
public const DAQmxWarningPretrigCoercion as long = 200020
public const DAQmxWarningSampValCoercedToMax as long = 200021
public const DAQmxWarningSampValCoercedToMin as long = 200022
public const DAQmxWarningPropertyVersionNew as long = 200024
public const DAQmxWarningUserDefinedInfoTooLong as long = 200025
public const DAQmxWarningCAPIStringTruncatedToFitBuffer as long = 200026
public const DAQmxWarningSampClkRateTooLow as long = 200027
public const DAQmxWarningPossiblyInvalidCTRSampsInFiniteDMAAcq as long = 200028
public const DAQmxWarningRISAcqCompletedSomeBinsNotFilled as long = 200029
public const DAQmxWarningPXIDevTempExceedsMaxOpTemp as long = 200030
public const DAQmxWarningOutputGainTooLowForRFFreq as long = 200031
public const DAQmxWarningOutputGainTooHighForRFFreq as long = 200032
public const DAQmxWarningMultipleWritesBetweenSampClks as long = 200033
public const DAQmxWarningDeviceMayShutDownDueToHighTemp as long = 200034
public const DAQmxWarningReadNotCompleteBeforeSampClk as long = 209800
public const DAQmxWarningWriteNotCompleteBeforeSampClk as long = 209801
